<?php

/**
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * @package openEngine
 * @author Stephan Raabe
 */

class Action
{
	/**
	* Klasse mit Datenbankmethoden
	*
	* @var Database
	*/	
	private $db;

	/**
	* Tabellen Prfix fr Datenbank-Zugriffe
	*
	* @var string
	*/	
	private $prefix;

	/**
	* Klasse mit Seitenmethoden
	*
	* @var Page
	*/	
	private $page;

	/**
	* Klasse mit Benutzermethoden
	*
	* @var User
	*/	
	private $user;

	/**
	* Klasse mit Dialogmethoden
	*
	* @var Dialog
	*/	
	private $dialog;

	/**
	* Klasse mit Systemeinstellungen
	*
	* @var Settings
	*/	
	private $set;

	/**
	* Klasse mit Filtermethoden
	*
	* @var Filter
	*/	
	private $filter;
	
	/**
	* Klasse mit Sessionmethoden
	*
	* @var Session
	*/	
	private $session;
	
	/**
	* Klasse mit Sessionmethoden
	*
	* @var Extranet
	*/	
	private $extranet;
		
	/**
	* Konstruktor
	*/	
	public function Action()
	{
		global $oe_db,$db_praefix,$oe_page,$oe_user,$oe_dialog,$oe_set,$oe_session,$oe_extranet;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->user = $oe_user;
		$this->dialog = $oe_dialog;
		$this->set = $oe_set;
		$this->session = $oe_session;
		$this->extranet = $oe_extranet;
	}
	
	/**
	* Verarbeitung der Dialogeingaben
	*/	
	public function adminAction()
	{
		global $page;
		if ($this->user->isAdmin())
		{
			if (isset($_POST["action"]))
			{
				$oe_log = new Log();
				$oe_log->writeLog($_SESSION["account_email"],$_POST["action"],$page["page_path"],$this->set->getLogPath());
				$oe_changedate = new Changedate();
				$oe_changedate->init();
				switch ($_POST["action"]) 
				{
					case "settings":
						if ($this->user->isAdministrator())
						{
							$this->dialog->updateSettings($_POST["page_key"],$_POST["site_name"],$_POST["site_admin"],$_POST["site_url"],$_POST["lang_default"],$_POST["account_register"],$_POST["cache_path"],$_POST["site_staging"],$_POST["nl_encoding"],$_POST["log_path"],$_POST["button_style"],$_POST["template_location"],$_POST["upload_chmod"],$_POST["site_pool"],$_POST["template_path"],$_POST["default_type"],$_POST["debugging"],$_POST["export_stepsize"],$_POST["module_path"],$_POST["edit_scroll"],$_POST["page_permissions"],$_POST["menu_mode"],$_POST["system_theme"],$_POST["company_logo"],$_POST["export_mode"],$_POST["page_meta1"],$_POST["page_meta2"],$_POST["page_meta3"],$_POST["page_meta4"],$_POST["page_meta5"],$_POST["page_meta6"],$_POST["page_meta7"],$_POST["page_meta8"],$_POST["page_meta9"],$_POST["page_meta10"],$_POST["site_meta1"],$_POST["site_meta2"],$_POST["site_meta3"],$_POST["site_meta4"],$_POST["filepool_mode"],$_POST["site_authurl"],$_POST["password_length"],$_POST["password_complexity"]);
						}
					break;
					case "updatecss": 
						if ($this->user->isAdministrator())
						{
							$this->dialog->updateCss($_POST["page_key"],$_POST["site_css"]);
						}
					break;
					case "properties":
						$this->session->checkRandomRequest($_POST["account_randomkey"]);
						if ($this->user->pagePermission($_POST["page_key"]))
						{ 
							$this->dialog->updateProperties($_POST["page_key"],$_POST["page_path"],$_POST["page_extern"],$_POST["page_headline"],$_POST["page_title"],$_POST["page_keywords"],$_POST["page_description"],$_POST["page_template"],$_POST["page_att1"],$_POST["page_att2"],$_POST["page_navigation"],$_POST["page_include"],$_POST["page_hide"],$_POST["page_meta1"],$_POST["page_meta2"],$_POST["page_meta3"],$_POST["page_meta4"],$_POST["page_meta5"],$_POST["page_meta6"],$_POST["page_meta7"],$_POST["page_meta8"],$_POST["page_meta9"],$_POST["page_meta10"],$_POST["page_tags"],$_POST["page_date"]); 
						}
					break;			
					case "authorization": 
						if (($this->user->pagePermission($_POST["page_key"])) && ($_SESSION["account_releasepage"] == 1))
						{ 
							$this->dialog->updateAuthorization($_POST["page_key"],$_POST["page_status"],$_POST["status_subpages"],$_POST["page_redirect"]);
						}
					break;
					case "addpage": 
						if ($this->user->pagePermission($_POST["page_key"]))
						{ 
							$this->dialog->addPage($_POST["page_key"],$_POST["page_pathnew"],$_POST["page_headline"],$_POST["page_title"],$_POST["page_keywords"],$_POST["page_description"],$_POST["page_template"],$_POST["page_att1"],$_POST["page_att2"],$_POST["page_navigation"]); 
						}
					break;
					case "user": 
						$this->dialog->updateUser($_POST["account_key"],$_POST["account_password"],$_POST["account_firstname"],$_POST["account_lastname"],$_POST["account_editor"],$_POST["account_emailold"],$_POST["account_group"],$_POST["account_password_old"]);
					break;
					case "addnewsletter": 
						if ($this->user->isAdministrator())
						{
							$this->newsletter->addNewsletter($_POST["page_key"],$_POST["nl_subject"],$_POST["nl_sender"],$_POST["nl_date"],$_POST["nl_date_unformated"],$_POST["nl_test"],$_POST["nl_text"],$_POST["nl_html"],$_POST["nl_status"]);
						}
					break;
					case "message": 
						$this->dialog->sendMessage($_POST["msg_receiver"],$_POST["msg_subject"],$_POST["msg_message"],$_POST["msg_from"]);
					break;
					case "editnewsletter": 
						if ($this->user->isAdministrator())
						{
							$this->newsletter->updateNewsletter($_POST["page_key"],$_POST["nl_multi"],$_POST["nl_subject"],$_POST["nl_sender"],$_POST["nl_date_unformated"],$_POST["nl_test"],$_POST["nl_text"],$_POST["nl_html"],$_POST["nl_status"],$_POST["nl_target"],$_POST["nl_key"]);
						}
					break;
					case "addaccount":
						if ($this->user->isAdministrator())
						{
							$this->dialog->addAccount($_POST["page_key"],$_POST["account_email"],$_POST["account_password"],$_POST["account_firstname"],$_POST["account_lastname"],$_POST["account_telefon"],$_POST["account_company"],$_POST["account_group"],$_POST["account_lock"]);
						}
					break;
					case "editaccount": 
						if ($this->user->isAdministrator())
						{
							$this->dialog->updateAccount($_POST["page_key"],$_POST["account_key"],$_POST["account_email"],$_POST["account_password"],$_POST["account_firstname"],$_POST["account_lastname"],$_POST["account_telefon"],$_POST["account_company"],$_POST["account_homepage"],$_POST["account_group"],$_POST["account_lock"],$_POST["account_info"],$_POST["account_lang"],$_POST["account_editor"],$_POST["account_access"],$_POST["account_delpage"],$_POST["account_exportpage"],$_POST["account_profile"],$_POST["account_uploadfile"],$_POST["account_deletefile"],$_POST["account_filepool"],$_POST["account_releasepage"],$_POST["account_importfile"],$_POST["account_orderpage"],$_POST["account_treelink"],$_POST["account_thumbnail"]);
						}
					break;
					case "deletepage": 
						if (($this->user->pagePermission($_POST["page_key"])) && ($_SESSION["account_delpage"] == 1))
						{
							if (($_SESSION["account_group"] == 2) && (isset($_POST["direct_delete"])))
							{
								$_POST["delete_full"] = 1;
							}
							$this->dialog->deletePage($_POST["page_key"]);
						}
					break;
					case "edittemplate": 
						if ($this->user->isAdministrator())
						{
							$this->dialog->updateTemplate($_POST["page_key"],$_POST["template_key"],$_POST["template_name"],$_POST["template_description"],$_POST["template_select"],$_POST["template_hide"],$_POST["template_short"],$_POST["template_lockexport"],$_POST["template_include"],$_POST["template_permission"]);
						}
					break;
					case "release": 
						if (($this->user->pagePermission($_POST["page_key"])) && ($_SESSION["account_releasepage"] == 1))
						{ 
							$this->dialog->releasePage($_POST["page_key"],$_POST["block"],$_POST["okexport"]);
						}
					break;
					case "updateremark": 
						if ($this->user->pagePermission($_POST["page_key"]))
						{ 
							$this->dialog->remarkPage($_POST["page_key"],$_POST["page_remark"]);
						}
					break;
					case "updatetemplatesource": 
						if ($this->user->isAdministrator())
						{
							$this->dialog->templateSource($_POST["page_key"],$_POST["template_name"],$_POST["template_source"]);
						}
					break;
					case "savebackup": 
						if ($this->user->isAdministrator())
						{
							$this->dialog->saveSource($_POST["template_name"],$_POST["template_source"],$_POST["template_version"]);
						}
					break;
					case "loadbackup": 
						if ($this->user->isAdministrator())
						{
							$this->dialog->loadSource($_POST["template_name"],$_POST["template_version"]);
						}
					break;
					case "edittext": 
						if ($this->user->pagePermission($_POST["page_key"]))
						{ 
							if (isset($_POST["htmlentities"]))
							{
								$page_input_new = $this->page->htmlEncode($_POST["page_input"]);
								$page_input_new = str_replace("<?","",$page_input_new);
								$page_input_new = str_replace("?>","",$page_input_new);
								if (isset($_POST["simpletext"]))
								{
									$page_input_new = strip_tags($page_input_new);
									if (isset($_POST["linebreaks"]))
									{
										$page_input_new = ereg_replace("\n", "<br>", $page_input_new);
									}
									else
									{
										$page_input_new = str_replace("\n", "", $page_input_new);
										$page_input_new = str_replace("\r", "", $page_input_new);
									}
								}
							}
							else
							{
								$page_input_new = $_POST["page_input"];
							}
							$this->dialog->updateText($_POST["page_key"],$_POST["page_edit"],$page_input_new);
						}
					break;
					case "editphp":
						if ($this->user->isAdministrator())
						{
							$page_input_new = $_POST["page_input"];
							$this->dialog->updateText($_POST["page_key"],$_POST["page_edit"],$page_input_new);
						}
					break;
					case "editdate":
						if ($this->user->pagePermission($_POST["page_key"]))
						{ 
							if (isset($_POST["special"]))
							{
								$page_input_new = "";
							}
							else
							{
								$page_input_new = $_POST["year"].$_POST["month"].$_POST["day"];
							}
							$this->dialog->updateText($_POST["page_key"],$_POST["page_edit"],$page_input_new);
						}
					break;	
					case "newdata": 
						if ($this->user->pagePermission($_POST["page_key"]))
						{ 
							$this->dialog->addPage($_POST["page_key"],$_POST["page_pathnew"],$_POST["page_headline"],$_POST["page_headline"],$_POST["page_keywords"],$_POST["page_description"],$_POST["page_template"],$_POST["page_att1"],$_POST["page_att2"],$_POST["page_headline"]); 
						}
					break;
					case "navigation": 
						if ($this->user->pagePermission($_POST["page_key"]))
						{ 
							$this->dialog->updateNavigation($_POST["page_key"],$_POST["keys"]);
						}
					break;
					case "grouporder": 
						if ($this->user->isAdministrator())
						{
							$this->dialog->updateGroupOrder($_POST["page_key"],$_POST["keys"]);
						}
					break;
					case "delstatistic": 
						if ($this->user->isAdministrator())
						{
							$this->dialog->delStatistic();
						}
					break;
					case "addTableItem": 
						if ($this->user->isAdministrator())
						{
							$this->dialog->addTableItem();
						}
					break;
					case "delTableItem": 
						if ($this->user->isAdministrator())
						{
							$this->dialog->delTableItem();
						}
					break;
					case "editTableItem": 
						if ($this->user->isAdministrator())
						{
							$this->dialog->editTableItem();
						}
					break;
					case "upload": 
						if ($this->user->pagePermission($_POST["page_key"]))
						{ 
							$this->dialog->updateText($_POST["page_key"],$_POST["field"],$_POST["page_upFile"]); 
						}
					break;
				}
			}
		
			if (isset($_GET["action"]))
			{
				$oe_log = new Log();
				$oe_log->writeLog($_SESSION["account_email"],$_GET["action"],$page["page_path"],$this->set->getLogPath());
				switch ($_GET["action"]) 
				{
					case "delaccount": 
						if ($this->user->isAdministrator())
						{
							$this->user->deleteAccount($_GET["account_key"]);
						}
					break;
					case "delnewsletter": 
						if ($this->user->isAdministrator())
						{
							$this->newsletter->deleteNewsletter($_GET["nl_key"]);
						}
					break;
					case "copynewsletter": 
						if ($this->user->isAdministrator())
						{
							$this->newsletter->copyNewsletter($_GET["nl_key"]);
						}
					break;
					case "unlocknewsletter": 
						if ($this->user->isAdministrator())
						{
							$this->newsletter->unlockNewsletter();
						}
					break;
				}
			}
		}		
	}

	/**
	* Verarbeitung der Logineingaben
	*/	
	public function pageAction()
	{
		global $admin_lang,$page;
		if (isset($_POST["action"]))
		{
			switch ($_POST["action"])
		    {
				case "loginInt":
					if (!$this->user->login($_POST["account_email"],$_POST["account_password"]))
					{
						$admin_lang["profile"][1] = $admin_lang["profile"][2];
					}
				break;

				case "loginExtranet":
					$this->extranet->login($_POST["account_email"],$_POST["account_password"]);
				break;

				case "logoutExtranet":
					$this->extranet->logout();
				break;

				case "passwordInt":
					$this->user->password($_POST["account_password"],$_POST["account_password_new"]);
				break;
				
				case "logoutInt": 
					$this->user->logout($this->set->getSiteUrl());
				break;
			}
		}		
	}
}
?>
