<?php

/**
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * @package openEngine
 * @author Stephan Raabe
 */

class Ajax
{
	private $db;
	private $prefix;
	private $user;
	private $page;
	private $set;
	
	/**
	 * Konstruktor
	 *
	 * @return Ajax
	 */
	function Ajax()
	{
		global $oe_db,$db_praefix,$oe_user,$oe_page,$oe_set;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->user = $oe_user;
		$this->page = $oe_page;
		$this->set = $oe_set;
	}
	
	/**
	 * Verarbeitung der AJAX Aufrufe
	 *
	 */
	public function setAjax()
	{
		if (isset($_GET["method"]))
		{
			switch ($_GET["method"])
			{
				case "checkpagepath":
					$this->checkPagePath();
				break;
		
				case "saveMenu":
					$this->saveMenu();
				break;
		
				case "appearMenu":
					$this->appearMenu();
				break;
				
				case "checkuserpassword":
					$this->checkPassword();
				break;
				
				case "checkusername":
					$this->checkUsername($_POST["username"]);
				break;
			}
		}		
	}
	
	/**
	 * Prft die Passwortlnge und Komplexitt.
	 *
	 */
	private function checkPassword()
	{
		$oe_pass = new Password();
		$mode = false;
		if (isset($_POST["mode"]))
		{
			$mode = true;
		}
		$password_old = md5($_POST["password_old"]);
		$password_len = $_POST["password"];
		$password_temp = $_POST["password"];
		$password = md5($password_temp);
		$password_new = md5($_POST["password_new"]);
		$account_key = $_SESSION["account_key"];
		$account_email = $_SESSION["account_email"];
		if ($mode)
		{
			if ($oe_pass->checkLength($password_len))
			{
				if ($password == $password_new)
				{
					if ($oe_pass->checkComplexity($password_temp))
					{
						echo "5";
					}
					else 
					{
						echo "4";
					}
				}
				else
				{
					echo "3";
				}
			}
			else 
			{
				echo "1";
			}			
		}
		else 
		{
			if (($password_old != "") && ($password != "") && ($password_new != ""))
			{
				if ($oe_pass->checkLength($password_len))
				{
					$param = array("account_key" => $account_key, "account_email" => $account_email);
					$query = "SELECT * FROM ".$this->prefix."account WHERE account_key = :account_key AND account_email = :account_email";
					$resArr = $this->db->row($query,$param);
					if ($password_old == $resArr["account_password"])
					{
						if ($password == $password_new)
						{
							if ($oe_pass->checkComplexity($password_temp))
							{
								echo "5";
							}
							else 
							{
								echo "4";
							}
						}
						else
						{
							echo "3";
						}
					}
					else
					{
						echo "2";
					}
				}
				else 
				{
					echo "1";
				}
			}
			else
			{
				echo "0";
			}
		}
	}
	
	/**
	 * Prft, ob der Seitenpfad bereits existiert.
	 *
	 */
	private function checkPagePath()
	{
		global $site_encoding;
		$page_path = $_POST["path"];
		if ($site_encoding == "utf-8")
		{
			$page_path = utf8_decode($page_path);			
		}
		$page_path = strtolower($page_path);
		$page_path = str_replace("","ae",$page_path);
		$page_path = str_replace("","ue",$page_path);
		$page_path = str_replace("","oe",$page_path);		
		$page_path = strip_tags($page_path);
		$page_path = str_replace(" ","",$page_path);
		$page_path = $this->page->htmlEncode($page_path);
		$page_path = str_replace(";","",$page_path);
		$page_path = str_replace("&","",$page_path);
		$page_path = str_replace("../","",$page_path);
		$page_path = str_replace("./","",$page_path);
		$page_path_str = substr($page_path,0,1);
		if ($page_path_str != "/")
		{
			$page_path = "/".$page_path;
		}		
		$param = array("page_path" => $page_path);
		$query = "SELECT * FROM ".$this->prefix."page WHERE page_path = :page_path";
		echo $this->db->count($query,$param);
	}
	
	/**
	 * Speicher die aktuelle Position des openEngine Mens.
	 *
	 */
	private function saveMenu()
	{
		$accountn_key = $_SESSION["account_key"];
		$accountn_menux = $_POST["menux"]; 
		$accountn_menuy = $_POST["menuy"]; 
		$accountn_menux = str_replace("px", "", $accountn_menux);
		$accountn_menuy = str_replace("px", "", $accountn_menuy);
		$param = array("account_menux" => $accountn_menux,"account_menuy" => $accountn_menuy,"account_key" => $accountn_key);
		$query = "UPDATE ".$this->prefix."account SET account_menux = :account_menux, account_menuy = :account_menuy where account_key = :account_key";
		$this->db->update($query,$param);
		$_SESSION["account_menux"] = $accountn_menux;
		$_SESSION["account_menuy"] = $accountn_menuy;
	}
	
	/**
	 * Speichert, ob das openEngine Men sichtbar oder unsichtbar ist.
	 *
	 */
	private function appearMenu()
	{
		if ($_SESSION["account_menu"] == 0)
		{
			$accountn_menu = 1;			
		}
		else
		{
			$accountn_menu = 0;			
		}
		$accountn_key = $_SESSION["account_key"];
		$param = array("account_menu" => $accountn_menu,"account_key" => $accountn_key);
		$query = "UPDATE ".$this->prefix."account SET account_menu = :account_menu where account_key = :account_key";
		$this->db->update($query,$param);
		$_SESSION["account_menu"] = $accountn_menu;
	}
}
?>