<?php

/**
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * @package openEngine
 * @author Stephan Raabe
 */

class Dialog
{
	private $db;
	private $page;
	private $prefix;
	private $set;
		
	public function Dialog()
	{
		global $oe_db,$oe_page,$db_praefix,$oe_set;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->set = $oe_set;
	}

	public function updateAccount($page_key,$accountn_key,$accountn_email,$accountn_password,$accountn_firstname,$accountn_lastname,$accountn_telefon,$accountn_company,$accountn_homepage,$accountn_group,$accountn_lock,$accountn_info,$accountn_lang,$accountn_editor,$accountn_access,$accountn_delpage,$accountn_exportpage,$accountn_profile,$accountn_uploadfile,$accountn_deletefile,$accountn_filepool,$accountn_releasepage,$accountn_importfile,$accountn_orderpage,$accountn_treelink,$accountn_thumbnail)
	{
		$account = $this->getUser($accountn_key);
		if ($accountn_password != "")
		{
			$oe_pass = new Password();
			if (($oe_pass->checkComplexity($accountn_password)) && ($oe_pass->checkLength($accountn_password)))
			{			
				$accountn_password = md5($accountn_password);
				$param = array("account_password" => $accountn_password,"account_key" => $accountn_key);
				$query = "UPDATE ".$this->prefix."account SET account_password = :account_password WHERE account_key = :account_key";
				$this->db->update($query,$param);
				if (($accountn_group == 3) && ($this->set->repeatAuthorPassword()))
				{
					$param = array("account_key" => $accountn_key);
					$query = "UPDATE ".$this->prefix."account SET account_passwordchanged = 1 WHERE account_key = :account_key";
					$this->db->update($query,$param);					
				}
			}
		}
		$param = array("account_email" => $accountn_email, "account_firstname" => $accountn_firstname, "account_lastname" => $accountn_lastname, "account_telefon" => $accountn_telefon, "account_company" => $accountn_company, "account_lang" => $accountn_lang, "account_homepage" => $accountn_homepage, "account_group" => $accountn_group, "account_lock" => $accountn_lock, "account_info" => $accountn_info, "account_editor" => $accountn_editor, "account_access" => $accountn_access, "account_delpage" => $accountn_delpage, "account_exportpage" => $accountn_exportpage, "account_profile" => $accountn_profile, "account_uploadfile" => $accountn_uploadfile, "account_deletefile" => $accountn_deletefile, "account_filepool" => $accountn_filepool, "account_releasepage" => $accountn_releasepage, "account_importfile" => $accountn_importfile, "account_orderpage" => $accountn_orderpage, "account_thumbnail" => $accountn_thumbnail, "account_key" => $accountn_key);
		$query = "UPDATE ".$this->prefix."account SET account_email = :account_email, account_firstname = :account_firstname, account_lastname = :account_lastname, account_telefon = :account_telefon, account_company = :account_company, account_lang = :account_lang, account_homepage = :account_homepage, account_group = :account_group, account_lock = :account_lock, account_info = :account_info, account_editor = :account_editor, account_access = :account_access, account_delpage = :account_delpage, account_exportpage = :account_exportpage, account_profile = :account_profile, account_uploadfile = :account_uploadfile, account_deletefile = :account_deletefile, account_filepool = :account_filepool, account_releasepage = :account_releasepage, account_importfile = :account_importfile, account_orderpage = :account_orderpage, account_thumbnail = :account_thumbnail WHERE account_key = :account_key";
		$this->db->update($query,$param);
		$pagekey = $this->page->getPageKey($page_key);
		?>
		<script language="JavaScript" type="text/javascript">
		location.href = "website.php?id=<?= $pagekey["page_path"]; ?>&admin=accounts";
		</script>
		<?
	}
	
	private function getUser($account_key)
	{
		$param = array("account_key" => $account_key);
		$query = "SELECT * FROM ".$this->prefix."account WHERE account_key = :account_key";
		return $this->db->row($query,$param);
	}
	
	private function filterPHP($str)
	{
		$str = str_replace("<?","",$str);
		$str = str_replace("?>","",$str);
		return $str;
	}
	
	public function updateProperties($page_key,$page_path,$page_extern,$page_headline,$page_title,$page_keywords,$page_description,$page_template,$page_att1,$page_att2,$page_navigation,$page_include,$page_hide,$page_meta1,$page_meta2,$page_meta3,$page_meta4,$page_meta5,$page_meta6,$page_meta7,$page_meta8,$page_meta9,$page_meta10,$page_tags,$page_date)
	{
		global $site_encoding,$oe_classpath;
		require($oe_classpath."/openengine/path.php");
		$oe_path = new Path();
		$oe_prop = new Properties();
		$oe_template = new Template();
		
		if (($page_headline != "") && ($page_navigation != "") && ($page_title != "") && ($page_template != "") && ($oe_template->checkTemplatePermission($page_key)))
		{
			$param = array("page_key" => $page_key);
			$query = "SELECT * FROM ".$this->prefix."page WHERE page_key = :page_key";
			$pageArr = $this->db->row($query,$param);
			$page_lang = $pageArr["page_lang"];
			$page_count = $pageArr["page_count"]; 
			$page_date_unformated = $pageArr["page_date_unformated"];
			$page_keywords = str_replace("\n", "", $page_keywords);
			$page_keywords = str_replace("\r", "", $page_keywords);
			$page_keywords = $this->filterPHP($page_keywords);
			$page_description = str_replace("\n", "", $page_description);
			$page_description = str_replace("\r", "", $page_description);
			$page_description = $this->filterPHP($page_description);
			$page_tags = str_replace("\n", "", $page_tags);
			$page_tags = str_replace("\r", "", $page_tags);
			$page_tags = $this->filterPHP($page_tags);
			if ($site_encoding != "utf-8")
			{
				$page_headline = htmlentities($this->filterPHP($page_headline));
				$page_title = htmlentities($this->filterPHP($page_title));
				$page_navigation = htmlentities($this->filterPHP($page_navigation));
			}
			$page_path = $this->filterPath($page_path);
			if (($oe_prop->checkPath($page_path)) || ($page_path == $pageArr["page_path"]))
			{
				if ($page_path != $pageArr["page_path"])
				{
					$this->replaceContent("website.php?id=".$pageArr["page_path"],"website.php?id=".$page_path);
				}
				$param = array("page_path" => $page_path,"page_key" => $page_key);
				$query = "UPDATE ".$this->prefix."page SET page_path = :page_path WHERE page_key = :page_key";
				$this->db->update($query,$param);
			}
			$param = array("page_extern" => $page_extern,"page_headline" => $page_headline,"page_title" => $page_title,"page_navigation" => $page_navigation,"page_keywords" => $page_keywords,"page_description" => $page_description,"page_template" => $page_template,"page_att1" => $page_att1,"page_att2" => $page_att2,"page_date" => $page_date,"page_datunformated" => $page_date_unformated,"page_count" => $page_count,"page_lang" => $page_lang,"page_include" => $page_include,"page_hide" => $page_hide,"page_meta1" => $page_meta1,"page_meta2" => $page_meta2,"page_meta3" => $page_meta3,"page_meta4" => $page_meta4,"page_meta5" => $page_meta5,"page_meta6" => $page_meta6,"page_meta7" => $page_meta7,"page_meta8" => $page_meta8,"page_meta9" => $page_meta9,"page_met10" => $page_meta10,"page_tags" => $page_tags, "page_key" => $page_key);
			$query = "UPDATE ".$this->prefix."page SET page_extern = :page_extern,page_headline = :page_headline,page_title = :page_title,page_navigation = :page_navigation,page_keywords = :page_keywords,page_description = :page_description,page_template = :page_template,page_att1 = :page_att1,page_att2 = :page_att2,page_date = :page_date,page_date_unformated = :page_datunformated,page_count = :page_count,page_lang = :page_lang,page_include = :page_include,page_hide = :page_hide,page_meta1 = :page_meta1,page_meta2 = :page_meta2,page_meta3 = :page_meta3,page_meta4 = :page_meta4,page_meta5 = :page_meta5,page_meta6 = :page_meta6,page_meta7 = :page_meta7,page_meta8 = :page_meta8,page_meta9 = :page_meta9,page_meta10 = :page_met10,page_tags = :page_tags WHERE page_key = :page_key";
			$this->db->update($query,$param);
			?>
			<script language="JavaScript" type="text/javascript">
			window.opener.location.href = "website.php?id=<?= $page_path; ?>";
			window.close();
			</script>
			<?
		}
		else 
		{
			?>
			<script language="JavaScript" type="text/javascript">
			window.close();
			</script>
			<?			
		}
	}

	/**
	* Filtert einen eingegebenen Pfad
	*
	* @param string Pfad, der gefiltert werden soll
	* @return string Gefilterter Pad
	*/	
	public function filterPath($page_path)
	{
		global $site_encoding;
		if ($site_encoding == "utf-8")
		{
			$page_path = utf8_decode($page_path);			
		}
		$page_path = strtolower($page_path);
		$page_path = str_replace("","ae",$page_path);
		$page_path = str_replace("","ue",$page_path);
		$page_path = str_replace("","oe",$page_path);
		$page_path = urldecode($page_path);
		$page_path = strip_tags($page_path);
		$page_path = str_replace(" ","",$page_path);
		$page_path = $this->page->htmlEncode($page_path);
		$page_path = str_replace(";","",$page_path);
		$page_path = str_replace("&","",$page_path);
		$page_path = str_replace("../","",$page_path);
		$page_path = str_replace("./","",$page_path);
		$page_path_str = substr($page_path,0,1);
		if ($page_path_str != "/")
		{
			$page_path = "/".$page_path;
		}	
		return $page_path;		
	}
	
	public function addPage($page_key,$page_pathnew,$page_headline,$page_title,$page_keywords,$page_description,$page_template,$page_att1,$page_att2,$page_navigation)
	{
		global $site_encoding,$oe_classpath;
		require($oe_classpath."/openengine/path.php");
		$oe_path = new Path();
		$oe_prop = new Properties();
		$oe_template = new Template();
		if (($oe_template->checkTemplatePermissionName($page_template)) && ($oe_path->checkPath($page_pathnew) == 0) && ($page_headline != "") && ($page_navigation != "") && ($page_title != "") && ($page_template != "") && ($oe_prop->checkPath($page_pathnew)))
		{
			$param = array("page_key" => $page_key);
			$query = "SELECT * FROM ".$this->prefix."page WHERE page_key = :page_key";
			$pageArr = $this->db->row($query,$param);
			$page_lang = $pageArr["page_lang"];
			$page_date = date("Y-m-d");
			$page_date_unformated = date("Ymd");
			$page_status = 2;
			
			$page_parent = $page_key;
			$page_pathnew = $this->filterPath($page_pathnew);
			$page_keywords = str_replace("\n", "", $page_keywords);
			$page_keywords = str_replace("\r", "", $page_keywords);
			$page_keywords = $this->filterPHP($page_keywords);
			$page_description = str_replace("\n", "", $page_description);
			$page_description = str_replace("\r", "", $page_description);
			$page_description = $this->filterPHP($page_description);
			
			if ($site_encoding != "utf-8")
			{
				$page_headline = htmlentities($this->filterPHP($page_headline));
				$page_title = htmlentities($this->filterPHP($page_title));
				$page_navigation = htmlentities($this->filterPHP($page_navigation));
			}
			$this->insertPage($page_parent,$page_pathnew,$page_status,$page_headline,$page_title,$page_keywords,$page_description,$page_template,$page_att1,$page_att2,$page_navigation,$page_date,$page_date_unformated,$page_lang);
			if (isset($_POST["redirect"]))
			{
				$pagekey = $this->page->getPageKey($_POST["redirect"]);
			}
			else
			{
				$pagekey = $this->page->getPageKey($page_key);
			}		
			?>
			<script language="JavaScript" type="text/javascript">
			window.opener.location.href = "website.php?id=<?= $pagekey["page_path"]; ?>";
			window.close();
			</script>
			<?
		}
		else 
		{
			?>
			<script language="JavaScript" type="text/javascript">
			window.close();
			</script>
			<?			
		}
	}

	private function insertPage($page_parent,$page_pathnew,$page_status,$page_headline,$page_title,$page_keywords,$page_description,$page_template,$page_att1,$page_att2,$page_navigation,$page_date,$page_date_unformated,$page_lang)
	{
		$page_create = date("YmdHis");
		$page_creator = $_SESSION["account_email"];
		$param = array("page_parent" => $page_parent);
		$query = "SELECT page_key FROM ".$this->prefix."page WHERE (page_parent = :page_parent)";
		$page_order = $this->db->count($query,$param) + 1;
		$page_exportdate = date("Y-m-d H:i:s");
		$param = array("page_parent" => $page_parent,"page_description" => $page_description,"page_keywords" => $page_keywords,"page_headline" => $page_headline,"page_title" => $page_title,"page_navigation" => $page_navigation,"page_pathnew" => $page_pathnew,"page_status" => $page_status,"page_order" => $page_order,"page_template" => $page_template,"page_att1" => $page_att1,"page_att2" => $page_att2,"page_date" => $page_date,"page_datunformated" => $page_date_unformated,"page_lang" => $page_lang,"page_create" => $page_create,"page_creator" => $page_creator,"page_exportdate" => $page_exportdate);
		$query = "INSERT ".$this->prefix."page (page_parent,page_description,page_keywords,page_headline,page_title,page_navigation,page_path,page_status,page_order,page_template,page_att1,page_att2,page_date,page_date_unformated,page_lang,page_create,page_creator,page_exportdate) VALUES (:page_parent,:page_description,:page_keywords,:page_headline,:page_title,:page_navigation,:page_pathnew,:page_status,:page_order,:page_template,:page_att1,:page_att2,:page_date,:page_datunformated,:page_lang,:page_create,:page_creator,:page_exportdate)";
		return $this->db->insert($query,$param);
	}

	public function updateAuthorization($page_key,$page_status,$status_subpages,$page_redirect)
	{
		if (isset($_POST["onlinefrom"]))
		{
			if (time() > strtotime($_POST["page_onlinefrom"]." ".$_POST["onlineFromHrs"].":".$_POST["onlineFromMin"].":00"))
			{
				$param = array("page_onlinefrom" => "0000-00-00 00:00:00","page_key" => $page_key);
			}
			else 
			{
				$param = array("page_onlinefrom" => $_POST["page_onlinefrom"]." ".$_POST["onlineFromHrs"].":".$_POST["onlineFromMin"].":00","page_key" => $page_key);
			}
		}
		else 
		{
			$param = array("page_onlinefrom" => "0000-00-00 00:00:00","page_key" => $page_key);
		}
		$query = "UPDATE ".$this->prefix."page SET page_onlinefrom = :page_onlinefrom WHERE page_key = :page_key";
		$this->db->update($query,$param);		
		$param = array("page_key" => $page_key);
		$query = "UPDATE ".$this->prefix."page SET page_exportdelete = 0 WHERE page_key = :page_key";
		$this->db->update($query,$param);
		$param = array("page_status" => $page_status,"page_key" => $page_key);
		$query = "UPDATE ".$this->prefix."page SET page_status = :page_status WHERE page_status <> 3 AND page_key = :page_key";
		$this->db->update($query,$param);
		if ($status_subpages == 1)
		{
			$this->getStatusFiles($page_key,$page_status);
		}
		$pagekey = $this->page->getPageKey($page_redirect);
		?>
		<script language="JavaScript" type="text/javascript">
		window.opener.location.href = "website.php?id=<?= $pagekey["page_path"]; ?>";
		window.close();
		</script>
		<?
	}
	
	public function getStatusFiles($page_key,$page_status)
	{
		$param = array("page_status" => $page_status,"page_key" => $page_key);
		$query = "UPDATE ".$this->prefix."page SET page_status = :page_status WHERE page_status <> 3 AND page_key = :page_key";
		$this->db->update($query,$param);
		$param = array("page_key" => $page_key);
		$query = "UPDATE ".$this->prefix."page SET page_exportdelete = 0 WHERE page_key = :page_key";
		$this->db->update($query,$param);
		$param = array("page_key" => $page_key);
		$query = "SELECT page_key FROM ".$this->prefix."page WHERE page_parent = :page_key";
		$resArr = $this->db->select($query,$param);
		foreach ($resArr as $row)
		{
			$this->getStatusFiles($row["page_key"],$page_status);
		}
	}
	
	public function changesPage($page_key)
	{
		$param = array("page_key" => $page_key);
		$query = "DELETE FROM ".$this->prefix."stage WHERE page_key = :page_key";
		$this->db->delete($query,$param);
		$pagekey = $this->page->getPageKey($page_key);
		?>
		<script language="JavaScript" type="text/javascript">
		window.opener.location.href = "website.php?id=<?= $pagekey["page_path"]; ?>";
		window.close();
		</script>
		<?
	}	

	public function deletePage($page_key)
	{
		$pagekey = $this->page->getPageKey($page_key);
		$page_parent = $pagekey["page_parent"];
		$this->delPage($page_parent,$page_key);
		$pagekey = $this->page->getPageKey($page_parent);
		if (isset($_POST["page_redirect"]))
		{
			$pagekey = $this->page->getPageKey($_POST["page_redirect"]);
		}
		?>
		<script language="JavaScript" type="text/javascript">
		window.opener.location.href = "website.php?id=<?= $pagekey["page_path"]; ?>";
		window.close();
		</script>
		<?
	}
	
	private function delPage($page_parent,$page_key)
	{
		$param = array("page_parent" => $page_parent,"page_key" => $page_key);
		$query = "SELECT page_key FROM ".$this->prefix."page WHERE page_parent = :page_parent AND page_key <> :page_key ORDER BY page_order";
		$resArr = $this->db->select($query,$param);
		$counter = 1;
		foreach ($resArr as $row)
		{
			$param = array("page_order" => $counter,"page_key" => $row["page_key"]);
			$query = "UPDATE ".$this->prefix."page SET page_order = :page_order WHERE page_key = :page_key";
			$this->db->update($query,$param);
			$counter++;
		}
		$this->delPages($page_key);
	}
	
	private function delPages($page_key)
	{
		$param = array("page_key" => $page_key);
		$query = "SELECT treelink_key FROM ".$this->prefix."page WHERE page_key = :page_key";
		$pA = $this->db->row($query,$param);
		if ($pA["treelink_key"] != 0)
		{
			$treelink_key = $pA["treelink_key"];
			$param = array("treelink_key" => $treelink_key);
			$query = "SELECT treelink_key FROM ".$this->prefix."page WHERE treelink_key = :treelink_key";
			if ($this->db->count($query,$param) <= 2)
			{
				$param = array("treelink_key" => $treelink_key);
				$query = "DELETE FROM ".$this->prefix."treelink WHERE treelink_key = :treelink_key";
				$this->db->delete($query,$param);
				$param = array("treelink_key" => $treelink_key);
				$query = "UPDATE ".$this->prefix."page SET treelink_key = 0 WHERE treelink_key = :treelink_key";
				$this->db->update($query,$param);
			}
		}
		if ($_POST["delete_full"] == 1)
		{
			$param = array("page_key" => $page_key);
			$query = "DELETE FROM ".$this->prefix."page WHERE page_key = :page_key";
			$this->db->delete($query,$param);
		}
		else
		{
			$param = array("page_key" => $page_key);
			$query = "UPDATE ".$this->prefix."page SET page_status = 3,treelink_key = 0 WHERE page_key = :page_key";
			$this->db->update($query,$param);
		}
		$param = array("page_key" => $page_key);
		$query = "DELETE FROM ".$this->prefix."stage WHERE page_key = :page_key";
		$this->db->delete($query,$param);
		$param = array("page_key" => $page_key);
		$query = "DELETE FROM ".$this->prefix."permission WHERE page_key = :page_key";
		$this->db->delete($query,$param);
		$param = array("page_key" => $page_key);
		$query = "SELECT page_key FROM ".$this->prefix."page WHERE page_parent = :page_key";
		$resArr = $this->db->select($query,$param);
		foreach ($resArr as $row)
		{
			$this->delPages($row["page_key"]);
		}
	}
			
	public function updateText($page_key,$page_edit,$page_input)
	{
		global $site_encoding;
		$page_input = ereg_replace($this->set->getSiteUrl()."/","",$page_input);
		$page_input = ereg_replace("<oe:site_url/>",$this->set->getSiteUrl(), $page_input);
		$page_input = ereg_replace("<oe:site_admin/>",$this->set->getSiteAdmin(), $page_input);
		if ((isset($_POST["htmlentities"])) && ($_POST["htmlentities"] == "yes") && ($site_encoding != "utf-8"))
		{
			$page_input = htmlentities($page_input);
		}
		$xhtmlCheck = true;
		if ($xhtmlCheck)
		{		
			if ($this->set->getSiteStaging() == 0)
			{
				$param = array("stage_input" => $page_input,"page_key" => $page_key);
				$query = "UPDATE ".$this->prefix."page SET $page_edit = :stage_input WHERE page_key = :page_key";
				$this->db->update($query,$param);
			}
			else
			{
				$param = array("stage_edit" => $page_edit,"page_key" => $page_key);
				$query = "SELECT * FROM ".$this->prefix."stage WHERE stage_edit = :stage_edit AND page_key = :page_key";
				$resArr = $this->db->row($query,$param);
				if (sizeof($resArr) == 1)
				{
					$param = array("page_key" => $page_key,"stage_edit" => $page_edit,"stage_input" => $page_input);
					$query = "INSERT ".$this->prefix."stage (page_key,stage_edit,stage_input) VALUES (:page_key,:stage_edit,:stage_input)";
					$this->db->insert($query,$param);
				}
				else
				{
					$param = array("stage_input" => $page_input, "stage_edit" => $page_edit, "page_key" => $page_key);
					$query = "UPDATE ".$this->prefix."stage SET stage_input = :stage_input WHERE stage_edit = :stage_edit AND page_key = :page_key";
					$this->db->update($query,$param);
				}
			}
			$page_anchor = $page_key;
			$page_key = $_POST["page_redirect"];
			$pagekey = $this->page->getPageKey($page_key);
			?>
			<script language="JavaScript" type="text/javascript">
			window.opener.location.href = "website.php?id=<?= $pagekey["page_path"]; ?>&scroll=scroll<?= $page_edit.$page_anchor; ?>";
			window.close();
			</script>
			<?
		}
		else 
		{
			?>
			<script language="JavaScript" type="text/javascript">
			alert("Your input is not XHTML valid!");
			</script>
			<?
		}
	}

	public function addAccount($page_key,$accountn_email,$accountn_password,$accountn_firstname,$accountn_lastname,$accountn_telefon,$accountn_company,$accountn_group,$accountn_lock)
	{
		$param = array("account_email" => $accountn_email);
		$query = "SELECT * FROM ".$this->prefix."account WHERE account_email = :account_email";
		$resArr = $this->db->row($query,$param);	
		if (sizeof($resArr) == 1)
		{
			$accountn_password = md5($accountn_password);
			$param = array("accountn_email" => $accountn_email,"accountn_password" => $accountn_password,"accountn_firstname" => $accountn_firstname,"accountn_lastname" => $accountn_lastname,"accountn_telefon" => $accountn_telefon,"accountn_company" => $accountn_company,"accountn_group" => $accountn_group,"accountn_lock" => $accountn_lock);
			$query = "INSERT ".$this->prefix."account (account_email,account_password,account_firstname,account_lastname,account_telefon,account_company,account_group,account_lock) VALUES (:accountn_email,:accountn_password,:accountn_firstname,:accountn_lastname,:accountn_telefon,:accountn_company,:accountn_group,:accountn_lock)";
			$this->db->insert($query,$param);
			$pagekey = $this->page->getPageKey($page_key);
			?>
			<script language="JavaScript" type="text/javascript">
			location.href = "website.php?id=<?= $pagekey["page_path"]; ?>&admin=accounts";
			</script>
			<?
		}
		else
		{
			?>
			<script language="JavaScript" type="text/javascript">
			alert("Username exists!");
			location.href = "website.php?id=<?= $pagekey["page_path"]; ?>&admin=accounts&action=addaccount";
			</script>
			<?
		}
	}

	public function replaceContent($s,$r)
	{
		$fieldArr = explode(",",$this->set->getFieldList());
		if ($this->set->getSiteStaging() == 0)
		{
			foreach ($fieldArr as $value)
			{
				$query = "SELECT * FROM ".$this->prefix."page WHERE $value like '%$s%'";
				$resArr = $this->db->select($query);
				if (sizeof($resArr) > 1)
				{
					foreach ($resArr as $row)
					{
						$teasernew = addslashes(str_replace($s,$r,$row[$value]));
						$param = array("replace_content" => $teasernew,"page_key" => $row["page_key"]);
						$query = "UPDATE ".$this->prefix."page SET $value = :replace_content WHERE page_key = :page_key";
						$this->db->update($query,$param);
					}
				}
			}
		}
		else
		{
			$query = "SELECT * FROM ".$this->prefix."stage WHERE stage_input like '%$s%'";
			$resArr = $this->db->select($query);
			foreach ($resArr as $row)
			{
				$stageinputnew = addslashes(str_replace($s,$r,$row["stage_input"]));
				$param = array("stage_input" => $stageinputnew,"stage_key" => $row["stage_key"]);
				$query = "UPDATE ".$this->prefix."stage SET stage_input = :stage_input WHERE stage_key = :stage_key";
				$this->db->update($query,$param);
			}
			foreach ($fieldArr as $value)
			{
				$query = "SELECT * FROM ".$this->prefix."page WHERE $value like '%$s%'";
				$resArr = $this->db->select($query);
				if (sizeof($resArr) > 0)
				{
					foreach ($resArr as $row)
					{
						$teasernew = addslashes(str_replace($s,$r,$row[$value]));	
						$param = array("replace_content" => $teasernew,"page_key" => $row["page_key"]);
						$query = "UPDATE ".$this->prefix."page SET $value = :replace_content WHERE page_key = :page_key";
						$this->db->update($query,$param);
					}
				}
			}
		}	
	}	

	public function updateCss($page_key,$site_css)
	{
		$param = array("site_css" => $site_css);
		$query = "UPDATE ".$this->prefix."settings SET site_css = :site_css";
		$this->db->update($query,$param);
		$pagekey = $this->page->getPageKey($page_key);
		?>
		<script language="JavaScript" type="text/javascript">
		window.opener.location.href = "website.php?id=<?= $pagekey["page_path"]; ?>";
		location.href = "website.php?id=<?= $pagekey["page_path"]; ?>&admin=system";
		</script>
		<?
	}

	public function remarkPage($page_key,$page_remark)
	{
		$page_remark = $this->page->htmlEncode($page_remark);
		$param = array("page_remark" => $page_remark,"page_key" => $page_key);
		$query = "UPDATE ".$this->prefix."page SET page_remark = :page_remark WHERE page_key = :page_key";
		$this->db->update($query,$param);
		$pagekey = $this->page->getPageKey($page_key);
		?>
		<script language="JavaScript" type="text/javascript">
		window.opener.location.href = "website.php?id=<?= $pagekey["page_path"]; ?>";
		window.close();
		</script>
		<?
	}

	public function templateSource($page_key,$template_name,$template_source)
	{
		if (isset($_POST["external_file"]))
		{
			$param = array("template_name" => $template_name);
			$query = "SELECT * FROM ".$this->prefix."files WHERE files_key = :template_name";
			$template_arr = $this->db-row($query,$param);
			$template_source = stripcslashes($template_source);
			$fp = fopen($template_arr["files_path"], "w+");
			fputs($fp,$template_source);
			fclose($fp);
		}
		else
		{
			$param = array("template_source" => $template_source,"template_name" => $template_name);
			$query = "UPDATE ".$this->prefix."template SET template_source = :template_source WHERE template_name = :template_name";
			$this->db->update($query,$param);
		}
		$pagekey = $this->page->getPageKey($page_key);
		if (empty($_POST["center"]))
		{
		?>
		<script language="JavaScript" type="text/javascript">
		window.opener.location.href = "website.php?id=<?= $pagekey["page_path"]; ?>";
		</script>
		<?
		}
	}

	public function saveSource($template_name,$template_source,$template_version)
	{
		$param = array("template_source" => $template_source,"template_name" => $template_name);
		$query = "UPDATE ".$this->prefix."template SET template_source = :template_source,template_backup".$template_version." = :template_source WHERE template_name = :template_name";
		$this->db->update($query,$param);
		if (empty($_POST["center"]))
		{
		?>
		<script language="JavaScript">
		alert("Backup OK!"); 
		</script>
		<?
		}
	}
	
	public function loadSource($template_name,$template_version)
	{
		$param = array("template_name" => $template_name);
		$query = "SELECT * FROM ".$this->prefix."template WHERE template_name = :template_name";
		$load_arr = $this->db->row($query,$param);
		$backup_source = $load_arr["template_backup".$template_version];
		$param = array("template_source" => $backup_source,"template_name" => $template_name);
		$query = "UPDATE ".$this->prefix."template SET template_source = :template_source WHERE template_name = :template_name";
		$this->db->update($query,$param);
		if (empty($_POST["center"]))
		{
		?>
		<script language="JavaScript" type="text/javascript">
		alert("Backup Loading OK!"); 
		</script>
		<?
		}
	}

	public function updateTemplate($page_key,$template_key,$template_name,$template_description,$template_select,$template_hide,$template_short,$template_lockexport,$template_include,$template_permission)
	{
		$param = array("template_short" => $template_short,"template_name" => $template_name,"template_description" => $template_description,"template_select" => $template_select,"template_hide" => $template_hide,"template_lockexport" => $template_lockexport,"template_include" => $template_include,"template_permission" => $template_permission,"template_key" => $template_key);
		$query = "UPDATE ".$this->prefix."template SET template_short = :template_short,template_name = :template_name,template_description = :template_description,template_select = :template_select,template_hide = :template_hide,template_lockexport = :template_lockexport,template_include = :template_include,template_permission = :template_permission WHERE template_key = :template_key";
		$this->db->update($query,$param);
		$pagekey = $this->page->getPageKey($page_key);
		?>
		<script language="JavaScript">
		location.href = "website.php?id=<?= $pagekey["page_path"]; ?>&admin=templates&step=<?= $_GET["step"]; ?>";
		</script>
		<?
	}

	public function delStatistic()
	{
		$query = "UPDATE ".$this->prefix."page SET page_count = 0";
		$this->db->update($query);
	}
	
	public function sendMessage($msg_receiver,$msg_subject,$msg_message,$msg_from)
	{
		global $oe_classpath;
		$param = array("account_key" => $msg_receiver);
		$query = "SELECT * FROM ".$this->prefix."account WHERE account_key = :account_key";
		$resArr = $this->db->row($query,$param);
		if (sizeof($resArr) > 1)
		{
			require($oe_classpath."/phpmailer/class.phpmailer.php");
			$mail = new phpmailer();
			$mail->From = $msg_from;
			$mail->FromName = "";
			$mail->AddAddress($resArr["account_email"]);
			$mail->Subject = $msg_subject;
			$mail->Encoding = "8bit";
			$mail->CharSet = $this->set->getNlEncoding();
			$text_body = $msg_message;
			$mail->Body = $text_body;
			$mail->Send();
		}
		?>
		<script language="Javascript">
		window.close();
		</script>
		<?
	}

	public function rec_rmdir ($path) {
	    // schau' nach, ob das ueberhaupt ein Verzeichnis ist
	    if (!is_dir ($path)) {
	        return -1;
	    }
	    // oeffne das Verzeichnis
	    $dir = @opendir ($path);
	    
	    // Fehler?
	    if (!$dir) {
	        return -2;
	    }
	    
	    // gehe durch das Verzeichnis
	    while ($entry = @readdir($dir)) {
	        // wenn der Eintrag das aktuelle Verzeichnis oder das Elternverzeichnis
	        // ist, ignoriere es
	        if ($entry == '.' || $entry == '..') continue;
	        // wenn der Eintrag ein Verzeichnis ist, dann 
	        if (is_dir ($path.'/'.$entry)) {
	            // rufe mich selbst auf
	            $res = $this->rec_rmdir ($path.'/'.$entry);
	            // wenn ein Fehler aufgetreten ist
	            if ($res == -1) { // dies duerfte gar nicht passieren
	                @closedir ($dir); // Verzeichnis schliessen
	                return -2; // normalen Fehler melden
	            } else if ($res == -2) { // Fehler?
	                @closedir ($dir); // Verzeichnis schliessen
	                return -2; // Fehler weitergeben
	            } else if ($res == -3) { // nicht unterstuetzer Dateityp?
	                @closedir ($dir); // Verzeichnis schliessen
	                return -3; // Fehler weitergeben
	            } else if ($res != 0) { // das duerfe auch nicht passieren...
	                @closedir ($dir); // Verzeichnis schliessen
	                return -2; // Fehler zurueck
	            }
	        } else if (is_file ($path.'/'.$entry) || is_link ($path.'/'.$entry)) {
	            // ansonsten loesche diese Datei / diesen Link
	            $res = @unlink ($path.'/'.$entry);
	            // Fehler?
	            if (!$res) {
	                @closedir ($dir); // Verzeichnis schliessen
	                return -2; // melde ihn
	            }
	        } else {
	            // ein nicht unterstuetzer Dateityp
	            @closedir ($dir); // Verzeichnis schliessen
	            return -3; // tut mir schrecklich leid...
	        }
	    }
	    
	    // schliesse nun das Verzeichnis
	    @closedir ($dir);
	    
	    // versuche nun, das Verzeichnis zu loeschen
	    $res = @rmdir ($path);
	    
	    // gab's einen Fehler?
	    if (!$res) {
	        return -2; // melde ihn
	    }
	    
	    // alles ok
	    return 0;
	}	

	public function mk_dir($path, $rights = 0777)
	{
	  $folder_path = array(
	   strstr($path, '.') ? dirname($path) : $path);
	
	  while(!@is_dir(dirname(end($folder_path)))
	         && dirname(end($folder_path)) != '/'
	         && dirname(end($folder_path)) != '.'
	         && dirname(end($folder_path)) != '')
	   array_push($folder_path, dirname(end($folder_path)));
	
	  while($parent_folder_path = array_pop($folder_path))
	   if(!@mkdir($parent_folder_path, $rights))
	   {}
	}	

	public function removeQuotes($s)
	{
		$s = ereg_replace('"', '', $s);
		return $s;
	}

	public function writeCode($dumpvar)
	{
		global $page,$primary,$path,$siblings,$childs,$oe_classpath;
		
		switch($dumpvar)
		{
			case "page":
			$source = $this->show($page);
			$language = "php"; 
			break;
			case "primary":
			$source = $this->show($primary); 
			$language = "php"; 
			break;
			case "path":
			$source = $this->show($path); 
			$language = "php"; 
			break;
			case "siblings":
			$source = $this->show($siblings); 
			$language = "php"; 
			break;
			case "childs":
			$source = $this->show($childs); 
			$language = "php"; 
			break;
			case "template":
			$content = "";
			$template = $page["page_template"];
			$param = array("template_name" => $template);
			$query = "SELECT template_source from ".$this->prefix."template where template_name = :template_name";
			$template_arr = $this->db->row($query,$param);
			if ($template_arr["template_source"] != "")
			{
				$content = $template_arr["template_source"];	
			}
			else
			{
				if (file_exists($this->set->getTemplatePath()."/".$template."/index.php"))
				{
					$content = file_get_contents($this->set->getTemplatePath()."/".$template."/index.php");
				}
			}
			$source = $content;
			$language = "php";
			break;
		
			case "html":
			$export_key = $path[0]["page_key"];
			$export_folder_arr = $this->page->getPageKey($export_key);
			$export_folder = $export_folder_arr["page_exportfolder"];
	
			$content = "";
			$content = file_get_contents($this->set->getSiteUrl()."/website.php?id=".$page["page_path"]."&export=yes");
			$content = ereg_replace("\\?id=", "", $content);
			$content = ereg_replace("website.php", "", $content);
			$content = ereg_replace($this->set->getSiteUrl(), $this->set->getSiteUrl().$export_folder, $content);
		
			$query = "SELECT page_key,page_path FROM ".$this->prefix."page WHERE page_status = 0 AND page_lockexport = 0";
			$resArr = $this->db->select($query);
			if ($this->set->getExportMode() == 0)
			{
				foreach ($resArr as $row)
				{
					$page_path_file = $this->page->getFile($row["page_path"]);
					$content = ereg_replace($row["page_path"], $page_path_file, $content);
				}
			}
			
			$result_replacings = $this->page->getReplacings();
			foreach ($result_replacings as $row)
			{
				$content = ereg_replace($row["re_name"], $row["re_value"], $content);
			}
			$source = $content;
			$language = "html4strict";
			break;
		}
	
		include_once($oe_classpath."/geshi/geshi.php");
		$path = $oe_classpath."/geshi/geshi/";
		$geshi = new GeSHi($source, $language, $path);
		$geshi->set_link_target("_blank");
		return $geshi->parse_code();
	}	
	
	private function show($data, $func = "print_r", $return_str = true)
	{
	   ob_start();
	   $func($data);
	   $output = ob_get_contents();
	   ob_end_clean();
	   if($return_str) 
	   {
			return $output; 
	   }
	   else 
	   {
			echo $output;	
	   }
	}	

    private function checkReleaseInput($block,$input)
    {
		if ($block == "page_xmlcontent")
		{
        	if ($input != "")
        	{
          		return true;
		    }
        	else
        	{
          		return false;
	        }
    	}
      	else
      	{
        	return true;
      	}
    }

	public function releasePage($page_key,$block,$okexport)
	{
		if (isset($_POST["release"]))
		{
			switch ($_POST["release"])
			{
				case "page":
				$param = array("stage_edit" => $block,"page_key" => $page_key);
				$query = "SELECT stage_input FROM ".$this->prefix."stage WHERE stage_edit = :stage_edit AND page_key = :page_key";
				$row = $this->db->row($query,$param);
				$input = $row["stage_input"];
                if ($this->checkReleaseInput($block,$input))
                {
					$param = array("stage_input" => $input,"page_key" => $page_key);
					$query = "UPDATE ".$this->prefix."page SET $block = :stage_input WHERE page_key = :page_key";
					$this->db->update($query,$param);
					$param = array("stage_edit" => $block,"page_key" => $page_key);
					$query = "DELETE FROM ".$this->prefix."stage WHERE stage_edit = :stage_edit AND page_key = :page_key";
					$this->db->delete($query,$param);
                }
				break;

				case "all":
				$param = array("page_key" => $page_key);
				$query = "SELECT * FROM ".$this->prefix."stage WHERE page_key = :page_key";
				$resArr = $this->db->select($query,$param);
				foreach ($resArr as $row)
				{
					$input = $row["stage_input"];
					$block = $row["stage_edit"];
                    if ($this->checkReleaseInput($block,$input))
                    {
						$param = array("stage_input" => addslashes($input),"page_key" => $page_key);
						$query = "UPDATE ".$this->prefix."page SET $block = :stage_input WHERE page_key = :page_key";
						$this->db->update($query,$param);
						$param = array("page_key" => $page_key);
						$query = "DELETE FROM ".$this->prefix."stage WHERE page_key = :page_key";
						$this->db->delete($query,$param);
                    }
				}
				break;

				case "not":
				$param = array("stage_edit" => $block,"page_key" => $page_key);
				$query = "DELETE FROM ".$this->prefix."stage WHERE stage_edit = :stage_edit AND page_key = :page_key";
				$this->db->delete($query,$param);
				break;

				case "notpages":
				$param = array("page_key" => $page_key);
				$query = "DELETE FROM ".$this->prefix."stage WHERE page_key = :page_key";
				$this->db->delete($query,$param);
				break;
			}
		}
		$page_anchor = $page_key;
		$page_key = $_POST["page_redirect"];
		$pagekey = $this->page->getPageKey($page_key);
		if ($okexport == 1)
		{
			$release_page = $this->page->getPageKey($page_anchor);
			?>
			<script language="JavaScript" type="text/javascript">
			window.opener.location.href = "website.php?id=<?= $pagekey["page_path"]; ?>&scroll=scroll<?= $block.$page_anchor; ?>";
			location.href = "website.php?id=<?= $release_page["page_path"]; ?>&admin=exporting/export&mode=5";
			</script>
			<?
		}
		else
		{
			?>
			<script language="JavaScript" type="text/javascript">
			window.opener.location.href = "website.php?id=<?= $pagekey["page_path"]; ?>&scroll=scroll<?= $block.$page_anchor; ?>";
			window.close();
			</script>
			<?
		}
	}

	public function updateNavigation($page_key,$keys)
	{
		$array_keys = explode("&",$keys);
		$array_keys = array_reverse($array_keys);
		$counter = 1;
		foreach ($array_keys as $value)
		{
			$value_key = ereg_replace("oe_sortable", "", $value);
			$value_key = ereg_replace("\\[\\]=", "", $value_key);
			$param = array("page_order" => $counter,"page_key" => $value_key);
			$query = "UPDATE ".$this->prefix."page SET page_order = :page_order WHERE page_key = :page_key";
			$this->db->update($query,$param);
			$counter++;
		}
		$pagekey = $this->page->getPageKey($page_key);
		if (isset($_POST["page_redirect"]))
		{
			$pagekey = $this->page->getPageKey($_POST["page_redirect"]);
		}
		?>
		<script language="JavaScript" type="text/javascript">
		window.opener.location.href = "website.php?id=<?= $pagekey["page_path"]; ?>";
		window.close();
		</script>
		<?
	}

	public function updateGroupOrder($page_key,$keys)
	{
		$keys = substr($keys,0,strlen($keys)-1);
		$array_keys = explode(",",$keys);
		$array_keys = array_reverse($array_keys);
		$counter = 0;
		foreach ($array_keys as $value)
		{
			$param = array("group_order" => $counter,"group_key" => $value);
			$query = "UPDATE ".$this->prefix."group SET group_order = :group_order WHERE group_key = :group_key";
			$this->db->update($query,$param);
			$counter++;
		}
		$pagekey = $this->page->getPageKey($page_key);
		?>
		<script language="JavaScript" type="text/javascript">
		window.opener.location.href = "website.php?id=<?= $pagekey["page_path"]; ?>&admin=group";
		window.close();
		</script>
		<?
	}

	public function updateUser($accountn_key,$accountn_password,$accountn_firstname,$accountn_lastname,$accountn_editor,$accountn_emailold,$accountn_group,$accountn_password_old)
	{
		global $oe_classpath;
		if (($_SESSION["account_key"] == $accountn_key) && ($accountn_lastname != ""))
		{
			$param = array("account_email" => $_SESSION["account_email"],"account_key" => $accountn_key,"account_group" => $accountn_group);
			$query = "SELECT account_key FROM ".$this->prefix."account WHERE account_email = :account_email AND account_key = :account_key AND account_group = :account_group";
			if ($this->db->count($query,$param) == 1)
			{
				if (($accountn_password != "") && ($accountn_password_old != ""))
				{
					$oe_pass = new Password();
					$param = array("account_key" => $accountn_key,"account_group" => $accountn_group);
					$query = "SELECT * FROM ".$this->prefix."account WHERE account_key = :account_key AND account_group = :account_group";
					$resArr = $this->db->row($query,$param);
					if (($resArr["account_password"] == md5($accountn_password_old)) && ($oe_pass->checkComplexity($accountn_password)) && ($oe_pass->checkLength($accountn_password)))
					{
						$accountn_password = md5($accountn_password);
						$param = array("account_password" => $accountn_password,"account_key" => $_SESSION["account_key"]);
						$query = "UPDATE ".$this->prefix."account SET account_password = :account_password where account_key = :account_key";
						$this->db->update($query,$param);
					}
				}
				$param = array("account_firstname" => $accountn_firstname,"account_lastname" => $accountn_lastname,"account_editor" => $accountn_editor,"account_key" => $accountn_key);
				$query = "UPDATE ".$this->prefix."account SET account_firstname = :account_firstname,account_lastname = :account_lastname, account_editor = :account_editor where account_key = :account_key";
				$this->db->update($query,$param);
				$_SESSION["account_firstname"] = $accountn_firstname;
				$_SESSION["account_lastname"] = $accountn_lastname;
				$_SESSION["account_editor"] = $accountn_editor;
			}
		}
		?>
		<script language="JavaScript" type="text/javascript">
		window.close();
		</script>
		<?
	}

	public function updateSettings($page_key,$site_name,$site_admin,$site_url,$lang_default,$account_register,$cache_path,$site_staging,$nl_encoding,$log_path,$button_style,$template_location,$upload_chmod,$site_pool,$template_path,$default_type,$debugging,$export_stepsize,$module_path,$edit_scroll,$page_permissions,$menu_mode,$system_theme,$company_logo,$export_mode,$page_meta1,$page_meta2,$page_meta3,$page_meta4,$page_meta5,$page_meta6,$page_meta7,$page_meta8,$page_meta9,$page_meta10,$site_meta1,$site_meta2,$site_meta3,$site_meta4,$filepool_mode,$site_authurl,$password_length,$password_complexity)
	{
		$param = array("site_url" => $site_url,"site_name" => $site_name,"site_admin" => $site_admin,"lang_default" => $lang_default,"account_register" => $account_register,"cache_path" => $cache_path,"site_staging" => $site_staging,"nl_encoding" => $nl_encoding,"log_path" => $log_path,"button_style" => $button_style,"template_location" => $template_location,"upload_chmod" => $upload_chmod,"site_pool" => $site_pool,"template_path" => $template_path,"default_type" => $default_type,"debugging" => $debugging,"export_stepsize" => $export_stepsize,"module_path" => $module_path,"edit_scroll" => $edit_scroll,"page_permissions" => $page_permissions,"menu_mode" => $menu_mode,"system_theme" => $system_theme,"company_logo" => $company_logo,"export_mode" => $export_mode,"page_meta1" => $page_meta1,"page_meta2" => $page_meta2,"page_meta3" => $page_meta3,"page_meta4" => $page_meta4,"page_meta5" => $page_meta5,"page_meta6" => $page_meta6,"page_meta7" => $page_meta7,"page_meta8" => $page_meta8,"page_meta9" => $page_meta9,"page_met10" => $page_meta10,"site_meta1" => $site_meta1,"site_meta2" => $site_meta2,"site_meta3" => $site_meta3,"site_meta4" => $site_meta4,"filepool_mode" => $filepool_mode,"site_authurl" => $site_authurl,"password_length" => $password_length,"password_complexity" => $password_complexity);
		$query = "UPDATE ".$this->prefix."settings SET site_url = :site_url,site_name = :site_name,site_admin = :site_admin,lang_default = :lang_default,account_register = :account_register,cache_path = :cache_path,site_staging = :site_staging,nl_encoding = :nl_encoding,log_path = :log_path,button_style = :button_style,template_location = :template_location,upload_chmod = :upload_chmod,site_pool = :site_pool,template_path = :template_path,default_type = :default_type,debugging = :debugging,export_stepsize = :export_stepsize,module_path = :module_path,edit_scroll = :edit_scroll,page_permissions = :page_permissions,menu_mode = :menu_mode,system_theme = :system_theme,company_logo = :company_logo,export_mode = :export_mode,page_meta1 = :page_meta1,page_meta2 = :page_meta2,page_meta3 = :page_meta3,page_meta4 = :page_meta4,page_meta5 = :page_meta5,page_meta6 = :page_meta6,page_meta7 = :page_meta7,page_meta8 = :page_meta8,page_meta9 = :page_meta9,page_meta10 = :page_met10,site_meta1 = :site_meta1,site_meta2 = :site_meta2,site_meta3 = :site_meta3,site_meta4 = :site_meta4,filepool_mode = :filepool_mode,site_authurl = :site_authurl,password_length = :password_length,password_complexity = :password_complexity";
		$this->db->update($query,$param);
		$_SESSION["site_url_key"] = $site_url;
		$pagekey = $this->page->getPageKey($page_key);
		?>
		<script language="JavaScript" type="text/javascript">
		window.opener.location.href = "website.php?id=<?= $pagekey["page_path"]; ?>";
		location.href = "website.php?id=<?= $pagekey["page_path"]; ?>&admin=settings";
		</script>
		<?
	}

	public function addTableItem()
	{
		global $page;
		$table = $_POST["table"];
		$fieldlist = $_POST["fieldlist"];
		$fieldlist_arr = explode(",",$fieldlist);
		$addhidden = $_POST["addhidden"];
		$addhidden_arr = explode(",",$addhidden);
		$hiddenlist = "";
		if ($addhidden != "")
		{
			foreach($addhidden_arr as $value) 
			{
				$value_arr = explode("=",$value);
				$hiddenlist .= ",".$value_arr[0];
			}
		}
		$query = "INSERT INTO ".$this->prefix.$table." ($fieldlist$hiddenlist) VALUES (";
		foreach($fieldlist_arr as $value) 
		{
			if ($value == "str_value")
			{
				$query .= "'".$this->page->htmlEncode($_POST[$value])."',";
			}
			else
			{
				$query .= "'".$_POST[$value]."',";
			}
		}
		if ($addhidden != "")
		{
			foreach($addhidden_arr as $value) 
			{
				$value_arr = explode("=",$value);
				$query .= "'".$value_arr[1]."',";
			}
		}
		$query = substr($query,0,strlen($query)-1);
		$query .= ")";
		$this->db->insert($query);	
		header("Location: website.php?id=".$page["page_path"]."&admin=".$_GET["admin"]);
	}
	
	public function delTableItem()
	{
		global $page;
		$table = $_POST["table"];
		$tablekey = $_POST["tablekey"];
		$delkey = $_POST["delkey"];
		$step = $_POST["step"];
		$param = array("del_key" => $delkey);
		$query = "DELETE FROM ".$this->prefix.$table." where $tablekey = :del_key";
		$this->db->delete($query,$param);
		if ($table == "account")
		{
			$param = array("del_key" => $delkey);
			$query = "DELETE FROM ".$this->prefix."permission where account_key = :del_key";
			$this->db->delete($query,$param);
		}	
		header("Location: website.php?id=".$page["page_path"]."&admin=".$_GET["admin"]."&step=".$step);
	}
	
	public function editTableItem()
	{
		global $page;
		$table = $_POST["table"];
		$tablekey = $_POST["tablekey"];
		$fieldlist = $_POST["fieldlist"];
		$fieldlist_arr = explode(",",$fieldlist);
		$editkey = $_POST["editkey"];
		$query = "UPDATE ".$this->prefix.$table." SET ";
		foreach($fieldlist_arr as $value) 
		{
			if ($value == "str_value")
			{
				$query .= $value."='".$this->page->htmlEncode($_POST[$value])."',";
			}
			else
			{
				$query .= $value."='".$_POST[$value]."',";
			}
		}
		$query = substr($query,0,strlen($query)-1);
		$query .= " where $tablekey = $editkey";
		$this->db->update($query);	
		header("Location: website.php?id=".$page["page_path"]."&admin=".$_GET["admin"]."&step=".$_GET["step"]);
	}	
}
?>