<?php

/**
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * @package openEngine
 * @author Stephan Raabe
 */

class ItemEditor
{
	private $db;
	private $prefix;
	private $page;
	private $user;
	private $output;
	private $adminLang;
	public $block;
	public $tooltip;
	public $pagekey;
	public $maxsize;
	public $returncontent;
	
	public function ItemEditor()
	{
		global $oe_db,$db_praefix,$oe_page,$oe_user,$oe_output,$admin_lang;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->user = $oe_user;
		$this->output = $oe_output;
		$this->block = "page_headline";
		$this->tooltip = "";
		$this->pagekey = 0;
		$this->maxsize = 0;
		$this->returncontent = true;
		$this->adminLang = $admin_lang;
	}
	
	public function getEditor()
	{
		global $page;
		if ($this->pagekey != 0)
		{
			$pageedit = $this->page->getPageKey($this->pagekey);
		}
		else
		{
			$pageedit = $page;
		}	
		if ((!$this->output->isPreview()) && ($this->user->pagePermission($pageedit["page_key"])))
		{
			$redirect = $page["page_key"];
			if($this->page->isStage($pageedit["page_key"],$this->block))
			{
				if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_releasepage"] == 1)))
				{
					?><a href="Javascript:openRelease('<?= $pageedit["page_path"]; ?>','<?= $pageedit["page_key"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>');" onmouseover="return overlib('<?= $this->adminLang["admin"]["23"]; ?>', CAPTION, '<?= $this->adminLang["admin"]["24"]; ?>');" onmouseout="return nd();"><img src='system/img/oes_release.png'" width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
				}
			} 
			?><a id="scroll<?= $this->block.$pageedit["page_key"]; ?>" href="Javascript:openItemeditor('<?= $pageedit["page_path"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>&amp;maxsize=<?= $this->maxsize; ?>');" onmouseover="return overlib('<?= $this->tooltip; ?>', CAPTION, 'Item-Editor<? if ($_SESSION["account_group"] == 2) { ?> [<?= $this->block; ?>]<? } ?>');" onmouseout="return nd();"><img src='system/img/oes_editor.png' width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
			if ($this->returncontent) 
			{ 
				echo $this->output->outputBlock($this->block,$pageedit["page_key"]); 
			}
		}
		else
		{
			if ($this->returncontent) 
			{ 
				echo $this->output->outputBlock($this->block,$pageedit["page_key"]); 
			}
		}
	}
}

class TextEditor
{
	var $db;
	var $prefix;
	var $page;
	var $user;
	var $output;
	var $block;
	var $tooltip;
	var $pagekey;
	var $returncontent;
	var $adminLang;
	
	function TextEditor()
	{
		global $oe_db,$db_praefix,$oe_page,$oe_user,$oe_output,$admin_lang;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->user = $oe_user;
		$this->output = $oe_output;
		$this->block = "page_text1";
		$this->tooltip = "";
		$this->pagekey = 0;
		$this->returncontent = true;
		$this->adminLang = $admin_lang;
	}
	
	function getEditor()
	{
		global $page;
		if ($this->pagekey != 0)
		{
			$pageedit = $this->page->getPageKey($this->pagekey);
		}
		else
		{
			$pageedit = $page;
		}	
		if ((!$this->output->isPreview()) && ($this->user->pagePermission($pageedit["page_key"])))
		{
			$redirect = $page["page_key"];
			if($this->page->isStage($pageedit["page_key"],$this->block))
			{
				if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_releasepage"] == 1)))
				{
					?><a href="Javascript:openRelease('<?= $pageedit["page_path"]; ?>','<?= $pageedit["page_key"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>');" onmouseover="return overlib('<?= $this->adminLang["admin"]["23"]; ?>', CAPTION, '<?= $this->adminLang["admin"]["24"]; ?>');" onmouseout="return nd();"><img src='system/img/oes_release.png'" width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
				}
			} 
			?><a id="scroll<?= $this->block.$pageedit["page_key"]; ?>" href="Javascript:openTexteditor('<?= $pageedit["page_path"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>');" onmouseover="return overlib('<?= $this->tooltip; ?>', CAPTION, 'WYSIWYG-Editor<? if ($_SESSION["account_group"] == 2) { ?> [<?= $this->block; ?>]<? } ?>');" onmouseout="return nd();"><img src='system/img/oes_editor.png' width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
			if ($this->returncontent) 
			{ 
				echo $this->output->outputBlock($this->block,$pageedit["page_key"]); 
			}
		}
		else
		{
			if ($this->returncontent) 
			{ 
				echo $this->output->outputBlock($this->block,$pageedit["page_key"]); 
			}
		}
	}
}

class HTMLEditor
{
	private $db;
	private $prefix;
	private $page;
	private $user;
	private $output;
	public $block;
	public $tooltip;
	public $pagekey;
	public $returncontent;
	public $maxsize;
	private $adminLang;
	public $lockauthor;

	function HTMLEditor()
	{
		global $oe_db,$db_praefix,$oe_page,$oe_user,$oe_output,$admin_lang;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->user = $oe_user;
		$this->output = $oe_output;
		$this->block = "page_text1";
		$this->tooltip = "";
		$this->pagekey = 0;
		$this->returncontent = true;
		$this->maxsize = 0;
		$this->adminLang = $admin_lang;
		$this->lockauthor = false;
	}
	
	function getEditor()
	{
		global $page;
		if ($this->pagekey != 0)
		{
			$pageedit = $this->page->getPageKey($this->pagekey);
		}
		else
		{
			$pageedit = $page;
		}	
		if ((isset($_SESSION["account_group"]) && (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && (!$this->lockauthor)))) && (!$this->output->isPreview()) && ($this->user->pagePermission($pageedit["page_key"])))
		{
			$redirect = $page["page_key"];
			if($this->page->isStage($pageedit["page_key"],$this->block))
			{
				if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_releasepage"] == 1)))
				{
					?><a href="Javascript:openRelease('<?= $pageedit["page_path"]; ?>','<?= $pageedit["page_key"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>');" onmouseover="return overlib('<?= $this->adminLang["admin"]["23"]; ?>', CAPTION, '<?= $this->adminLang["admin"]["24"]; ?>');" onmouseout="return nd();"><img src='system/img/oes_release.png'" width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
				}
			} 
			?><a id="scroll<?= $this->block.$pageedit["page_key"]; ?>" href="Javascript:openHTMLeditor('<?= $pageedit["page_path"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>&amp;maxsize=<?= $this->maxsize; ?>');" onmouseover="return overlib('<?= $this->tooltip; ?>', CAPTION, 'HTML/Text-Editor<? if ($_SESSION["account_group"] == 2) { ?> [<?= $this->block; ?>]<? } ?>');" onmouseout="return nd();"><img src='system/img/oes_editor.png' width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
			if ($this->returncontent) 
			{ 
				echo $this->output->outputBlock($this->block,$pageedit["page_key"]); 
			}
		}
		else
		{
			if ($this->returncontent) 
			{ 
				echo $this->output->outputBlock($this->block,$pageedit["page_key"]); 
			}
		}
	}
}

class PHPEditor
{
	var $db;
	var $prefix;
	var $page;
	var $user;
	var $output;
	var $block;
	var $tooltip;
	var $pagekey;
	var $returncontent;
	var $adminLang;
	
	function PHPEditor()
	{
		global $oe_db,$db_praefix,$oe_page,$oe_user,$oe_output,$admin_lang;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->user = $oe_user;
		$this->output = $oe_output;
		$this->block = "page_text1";
		$this->tooltip = "";
		$this->returncontent = true;
		$this->adminLang = $admin_lang;
	}
	
	function getEditor()
	{
		global $page;
		$pageedit = $page;
		if ((!$this->output->isPreview()) && ($this->user->pagePermission($pageedit["page_key"])))
		{
			$redirect = $page["page_key"];
			if ($_SESSION["account_group"] == 2)
			{
				if($this->page->isStage($pageedit["page_key"],$this->block))
				{
					if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_releasepage"] == 1)))
					{
						?><a href="Javascript:openRelease('<?= $pageedit["page_path"]; ?>','<?= $pageedit["page_key"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>');" onmouseover="return overlib('<?= $this->adminLang["admin"]["23"]; ?>', CAPTION, '<?= $this->adminLang["admin"]["24"]; ?>');" onmouseout="return nd();"><img src='system/img/oes_release.png'" width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
					}
				} 
				?><a id="scroll<?= $this->block.$pageedit["page_key"]; ?>" href="Javascript:openPHPeditor('<?= $pageedit["page_path"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>');" onmouseover="return overlib('<?= $this->tooltip; ?>', CAPTION, 'PHP-Editor<? if ($_SESSION["account_group"] == 2) { ?> [<?= $this->block; ?>]<? } ?>');" onmouseout="return nd();"><img src='system/img/oes_editor.png' width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
			}
			if ($this->returncontent) 
			{ 
				if (isset($_GET["export"]))
				{
					echo "<?php ".$this->output->outputBlock($this->block,$pageedit["page_key"])."?>";
				}
				else 
				{
					eval($this->output->outputBlock($this->block,$pageedit["page_key"]));
				}
			}
		}
		else
		{
			if ($this->returncontent) 
			{ 
				if (isset($_GET["export"]))
				{
					echo "<?php ".$this->output->outputBlock($this->block,$pageedit["page_key"])."?>";
				}
				else 
				{
					eval($this->output->outputBlock($this->block,$pageedit["page_key"]));
				}
			}
		}
	}
}

class ReleaseEditor
{
	var $db;
	var $prefix;
	var $page;
	var $user;
	var $output;
	var $block;
	var $tooltip;
	var $pagekey;
	var $adminLang;
	
	function ReleaseEditor()
	{
		global $oe_db,$db_praefix,$oe_page,$oe_user,$oe_output,$admin_lang;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->user = $oe_user;
		$this->output = $oe_output;
		$this->block = "page_headline";
		$this->tooltip = "";
		$this->pagekey = 0;
		$this->adminLang = $admin_lang;
	}
	
	function getEditor()
	{
		global $page;
		if ($this->pagekey != 0)
		{
			$pageedit = $this->page->getPageKey($this->pagekey);
		}
		else
		{
			$pageedit = $page;
		}	
		if ((!$this->output->isPreview()) && ($this->user->pagePermission($pageedit["page_key"])))
		{
			$redirect = $page["page_key"];
			if($this->page->isStage($pageedit["page_key"],$this->block))
			{
				if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_releasepage"] == 1)))
				{
					?><a href="Javascript:openRelease('<?= $pageedit["page_path"]; ?>','<?= $pageedit["page_key"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>');" onmouseover="return overlib('<?= $this->adminLang["admin"]["23"]; ?>', CAPTION, '<?= $this->adminLang["admin"]["24"]; ?>');" onmouseout="return nd();"><img src='system/img/oes_release.png'" width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
				}
			} 
		}
	}
}

class DateEditor
{
	var $db;
	var $prefix;
	var $page;
	var $user;
	var $output;
	var $block;
	var $tooltip;
	var $pagekey;
	var $returncontent;
	var $deletedate;
	var $adminLang;
	
	function DateEditor()
	{
		global $oe_db,$db_praefix,$oe_page,$oe_user,$oe_output,$admin_lang;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->user = $oe_user;
		$this->output = $oe_output;
		$this->block = "page_dateunformated";
		$this->tooltip = "";
		$this->pagekey = 0;
		$this->returncontent = true;
		$this->deletedate = true;
		$this->adminLang = $admin_lang;
	}
	
	function getEditor()
	{
		global $page;
		if ($this->pagekey != 0)
		{
			$pageedit = $this->page->getPageKey($this->pagekey);
		}
		else
		{
			$pageedit = $page;
		}	
		if ((!$this->output->isPreview()) && ($this->user->pagePermission($pageedit["page_key"])))
		{
			$redirect = $page["page_key"];
			if($this->page->isStage($pageedit["page_key"],$this->block))
			{
				if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_releasepage"] == 1)))
				{
					?><a href="Javascript:openRelease('<?= $pageedit["page_path"]; ?>','<?= $pageedit["page_key"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>');" onmouseover="return overlib('<?= $this->adminLang["admin"]["23"]; ?>', CAPTION, '<?= $this->adminLang["admin"]["24"]; ?>');" onmouseout="return nd();"><img src='system/img/oes_release.png'" width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
				}
			} 
			if ($this->deletedate)
			{
				$delete = 1;
			}
			else
			{
				$delete = 0;
			}
			?><a id="scroll<?= $this->block.$pageedit["page_key"]; ?>" href="Javascript:openDateeditor('<?= $pageedit["page_path"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>&delete=<?= $delete; ?>');" onmouseover="return overlib('<?= $this->tooltip; ?>', CAPTION, 'Date-Editor<? if ($_SESSION["account_group"] == 2) { ?> [<?= $this->block; ?>]<? } ?>');" onmouseout="return nd();"><img src='system/img/oes_date.png'" width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
			if ($this->returncontent) 
			{ 
				echo $this->output->outputBlock($this->block,$pageedit["page_key"]); 
			}
		}
		else
		{
			if ($this->returncontent) 
			{ 
				echo $this->output->outputBlock($this->block,$pageedit["page_key"]); 
			}
		}
	}
}

class SimpleTextEditor
{
	var $db;
	var $prefix;
	var $page;
	var $user;
	var $output;
	var $block;
	var $tooltip;
	var $pagekey;
	var $returncontent;
	var $maxsize;
	var $adminLang;
	
	function SimpleTextEditor()
	{
		global $oe_db,$db_praefix,$oe_page,$oe_user,$oe_output,$admin_lang;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->user = $oe_user;
		$this->output = $oe_output;
		$this->block = "page_text1";
		$this->tooltip = "";
		$this->pagekey = 0;
		$this->returncontent = true;
		$this->maxsize = 0;
		$this->adminLang = $admin_lang;
	}
	
	function getEditor()
	{
		global $page;
		if ($this->pagekey != 0)
		{
			$pageedit = $this->page->getPageKey($this->pagekey);
		}
		else
		{
			$pageedit = $page;
		}	
		if ((!$this->output->isPreview()) && ($this->user->pagePermission($pageedit["page_key"])))
		{
			$redirect = $page["page_key"];
			if($this->page->isStage($pageedit["page_key"],$this->block))
			{
				if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_releasepage"] == 1)))
				{
					?><a href="Javascript:openRelease('<?= $pageedit["page_path"]; ?>','<?= $pageedit["page_key"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>');" onmouseover="return overlib('<?= $this->adminLang["admin"]["23"]; ?>', CAPTION, '<?= $this->adminLang["admin"]["24"]; ?>');" onmouseout="return nd();"><img src='system/img/oes_release.png'" width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
				}
			} 
			?><a id="scroll<?= $this->block.$pageedit["page_key"]; ?>" href="Javascript:openSimpleTexteditor('<?= $pageedit["page_path"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>&amp;maxsize=<?= $this->maxsize; ?>');" onmouseover="return overlib('<?= $this->tooltip; ?>', CAPTION, 'SimpleText-Editor<? if ($_SESSION["account_group"] == 2) { ?> [<?= $this->block; ?>]<? } ?>');" onmouseout="return nd();"><img src='system/img/oes_editor.png' width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
			if ($this->returncontent) 
			{ 
				echo $this->output->outputBlock($this->block,$pageedit["page_key"]); 
			}
		}
		else
		{
			if ($this->returncontent) 
			{ 
				echo $this->output->outputBlock($this->block,$pageedit["page_key"]); 
			}
		}
	}
}

class DeleteEditor
{
	private $db;
	private $prefix;
	private $page;
	private $user;
	private $output;
	private $currentpage;
	public $tooltip;
	public $pagekey;
	public $redirect;
	
	function DeleteEditor()
	{
		global $oe_db,$db_praefix,$oe_page,$oe_user,$oe_output,$page;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->user = $oe_user;
		$this->output = $oe_output;
		$this->tooltip = "";
		$this->pagekey = 0;
		$this->currentpage = $page;
		$this->redirect = $this->currentpage["page_key"];
	}
	
	function getEditor()
	{
		global $page;
		if ($this->pagekey != 0)
		{
			$pageedit = $this->page->getPageKey($this->pagekey);
		}
		else
		{
			$pageedit = $page;
		}
		if ((!$this->output->isPreview()) && ($this->user->pagePermission($pageedit["page_key"])))
		{
			if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_delpage"] == 1)))
			{
				?><a href="Javascript:openSmallDialog('<?= $pageedit["page_path"]; ?>','delete&amp;redirect=<?= $this->redirect; ?>');" onmouseover="return overlib('<?= $this->tooltip; ?>', CAPTION, 'Delete-Editor');" onmouseout="return nd();"><img src='system/img/oes_pagedelete.png' alt='' border='0' class='oe_editbutton'/></a><?
			}
		}
	}
}

class NewPageEditor
{
	var $db;
	var $prefix;
	var $page;
	var $user;
	var $output;
	var $tooltip;
	var $pagekey;
	var $setpath;
	var $template;
	var $icon;
		
	function NewPageEditor()
	{
		global $oe_db,$db_praefix,$oe_page,$oe_user,$oe_output;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->user = $oe_user;
		$this->output = $oe_output;
		$this->tooltip = "";
		$this->pagekey = 0;
		$this->setpath = true;
		$this->template = "default";
		$this->icon = "system/img/oes_addpage.png";
	}
	
	function getEditor()
	{
		global $page;
		if ($this->pagekey != 0)
		{
			$pageedit = $this->page->getPageKey($this->pagekey);
		}
		else
		{
			$pageedit = $page;
		}
		if ((!$this->output->isPreview()) && ($this->user->pagePermission($pageedit["page_key"])))
		{
			$setpath_str = "";
			if ($this->setpath)
			{
				$setpath_str = "&setpath=1";
			}
			?><a href="Javascript:openSmall2Dialog('<?= $page["page_path"]; ?>','newdata&newtemplate=<?= $this->template.$setpath_str; ?>&key=<?= $pageedit["page_key"]; ?>');" onmouseover="return overlib('<?= $this->tooltip; ?>', CAPTION, 'New-Data-Editor');" onmouseout="return nd();"><img src='<?= $this->icon; ?>' alt='' border='0' class='oe_editbutton'/></a><?
		}
	}
}

class PageOrderEditor
{
	private $db;
	private $prefix;
	private $page;
	private $user;
	private $output;
	private $pageedit;
	private $currentpage;
	public $tooltip;
	public $template;
	public $pagekey;
		
	function PageOrderEditor()
	{
		global $oe_db,$db_praefix,$oe_page,$oe_user,$oe_output,$page;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->user = $oe_user;
		$this->output = $oe_output;
		$this->tooltip = "";
		$this->template = "";
		$this->pagekey = $page["page_key"];
		$this->pageedit = $page;
		$this->currentpage = $page;
	}
	
	function getEditor()
	{
		$sub = new Structure();
		$sub->key = $this->pagekey;
		if ($this->template != "")
		{
			$sub->template = $this->template;
		}
		$subpages = $sub->getStructure();
		if ((sizeof($subpages) > 1) && (!$this->output->isPreview()))
		{
			$subpage = $subpages[0];
			if ($this->user->pagePermission($this->pageedit["page_key"]))
			{
				if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_orderpage"] == 1))) 
				{
					$templateStr = "";
					if ($this->template != "")
					{
						$templateStr = "&template=".$this->template;
					}
	?>
	<a href="Javascript:openNavigation('<?= $subpage["page_path"]; ?>','navigation&amp;redirect=<?= $this->currentpage["page_key"].$templateStr; ?>');" onmouseover="return overlib('<?= $this->tooltip; ?>', CAPTION, 'Navigation-Editor');" onmouseout="return nd();"><img src='system/img/oes_navigation.png' alt='' border='0' class='oe_editbutton'/></a>
	<?
	
				}
			}
		}
	}
}

class IndividualEditor
{
	var $db;
	var $prefix;
	var $page;
	var $user;
	var $output;
	var $tooltip;
	var $include;
	var $name;
		
	function IndividualEditor()
	{
		global $oe_db,$db_praefix,$oe_page,$oe_user,$oe_output;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->user = $oe_user;
		$this->output = $oe_output;
		$this->tooltip = "";
		$this->include = "";
		$this->name = "Editor";
	}
	
	function getEditor()
	{
		global $page;
		if (!$this->output->isPreview())
		{
			if ($this->user->pagePermission($page["page_key"]))
			{
				?>
				<a href="Javascript:openBigDialog('<?= $page["page_path"]; ?>','edit/individual&include=<?= $this->include; ?>&name=<?= $this->name; ?>');" onmouseover="return overlib('<?= $this->tooltip; ?>', CAPTION, 'Individual-Editor');" onmouseout="return nd();"><img src='system/img/oes_editor.png' width='16' height='16' alt='' border='0' class='oe_editbutton'/></a>
				<?
			}
		}
	}
}

class ModuleEditor
{
	var $db;
	var $prefix;
	var $page;
	var $user;
	var $output;
	var $block;
	var $tooltip;
	var $pagekey;
	var $adminLang;
	
	function ModuleEditor()
	{
		global $oe_db,$db_praefix,$oe_page,$oe_user,$oe_output,$admin_lang;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->user = $oe_user;
		$this->output = $oe_output;
		$this->block = "page_text1";
		$this->tooltip = "";
		$this->pagekey = 0;
		$this->adminLang = $admin_lang;
	}
	
	function getEditor()
	{
		global $page;
		if ($this->pagekey != 0)
		{
			$pageedit = $this->page->getPageKey($this->pagekey);
		}
		else
		{
			$pageedit = $page;
		}	
		if ((!$this->output->isPreview()) && ($this->user->pagePermission($pageedit["page_key"])))
		{
			$redirect = $page["page_key"];
			if($this->page->isStage($pageedit["page_key"],$this->block))
			{
				if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_releasepage"] == 1)))
				{
					?><a href="Javascript:openRelease('<?= $pageedit["page_path"]; ?>','<?= $pageedit["page_key"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>');" onmouseover="return overlib('<?= $this->adminLang["admin"]["23"]; ?>', CAPTION, '<?= $this->adminLang["admin"]["24"]; ?>');" onmouseout="return nd();"><img src='system/img/oes_release.png'" width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
				}
			} 
			?><a id="scroll<?= $this->block.$pageedit["page_key"]; ?>" href="Javascript:openModuleeditor('<?= $pageedit["page_path"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>');" onmouseover="return overlib('<?= $this->tooltip; ?>', CAPTION, 'Module-Editor<? if ($_SESSION["account_group"] == 2) { ?> [<?= $this->block; ?>]<? } ?>');" onmouseout="return nd();"><img src='system/img/oes_editor.png' width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
		}
	}
}

class AuthorizationEditor
{
	private $db;
	private $prefix;
	private $page;
	private $user;
	private $output;
	public $tooltip;
	public $pagekey;
	public $redirect;
	public $forsubpages;
	
	function AuthorizationEditor()
	{
		global $oe_db,$db_praefix,$oe_page,$oe_user,$oe_output,$page;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->user = $oe_user;
		$this->output = $oe_output;
		$this->tooltip = "";
		$this->pagekey = 0;
		$this->currentpage = $page;
		$this->redirect = $this->currentpage["page_key"];		
		$this->forsubpages = true;
	}
	
	function getEditor()
	{
		global $page;
		if ($this->pagekey != 0)
		{
			$pageedit = $this->page->getPageKey($this->pagekey);
		}
		else
		{
			$pageedit = $page;
		}	
		if ((!$this->output->isPreview()) && ($this->user->pagePermission($pageedit["page_key"])))
		{
			if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_releasepage"] == 1)))
			{
				switch($pageedit["page_status"])
				{
					case 0:
					$icon = "oes_flag_green.png";
					break;
					case 1:
					$icon = "oes_flag_yellow.png";
					break;
					case 2:
					$icon = "oes_flag_red.png";
					break;
				}
				if ($this->forsubpages)
				{
					$forsub = "";
				}
				else 
				{
					$forsub = "&amp;forsub=0";
				}
				?><a href="Javascript:openAuthorization('<?= $pageedit["page_path"]; ?>','redirect=<?= $this->redirect.$forsub; ?>');" onmouseover="return overlib('<?= $this->tooltip; ?>', CAPTION, 'Authorization-Editor');" onmouseout="return nd();"><img src='system/img/<?= $icon; ?>'" width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
			}
		}
	}
}

class IncludeEditor
{
	var $db;
	var $prefix;
	var $page;
	var $user;
	var $output;
	var $block;
	var $tooltip;
	var $returncontent;
	var $adminLang;
	
	function IncludeEditor()
	{
		global $oe_db,$db_praefix,$oe_page,$oe_user,$oe_output,$admin_lang;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->user = $oe_user;
		$this->output = $oe_output;
		$this->block = "page_text1";
		$this->tooltip = "";
		$this->returncontent = true;
		$this->adminLang = $admin_lang;
	}
	
	function getEditor()
	{
		global $page;
		$pageedit = $page;
		if ((!$this->output->isPreview()) && ($this->user->pagePermission($pageedit["page_key"])))
		{
			$redirect = $page["page_key"];
			if($this->page->isStage($pageedit["page_key"],$this->block))
			{
				if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_releasepage"] == 1)))
				{
					?><a href="Javascript:openRelease('<?= $pageedit["page_path"]; ?>','<?= $pageedit["page_key"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>');" onmouseover="return overlib('<?= $this->adminLang["admin"]["23"]; ?>', CAPTION, '<?= $this->adminLang["admin"]["24"]; ?>');" onmouseout="return nd();"><img src='system/img/oes_release.png'" width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
				}
			} 
			?><a href="Javascript:openIncludeeditor('<?= $pageedit["page_path"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>');" onmouseover="return overlib('<?= $this->tooltip; ?>', CAPTION, 'Include-Editor<? if ($_SESSION["account_group"] == 2) { ?> [<?= $this->block; ?>]<? } ?>');" onmouseout="return nd();"><img src='system/img/oes_editor.png' width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
			if ($this->returncontent) 
			{ 
				echo $this->output->outputInclude($this->block); 
			}
		}
		else
		{
			if ($this->returncontent) 
			{ 
				echo $this->output->outputInclude($this->block);
			}
		}
	}
}

class IframeEditor
{
	var $db;
	var $prefix;
	var $page;
	var $user;
	var $output;
	var $block;
	var $tooltip;
	var $returncontent;
	var $style;
	var $adminLang;
	
	function IframeEditor()
	{
		global $oe_db,$db_praefix,$oe_page,$oe_user,$oe_output,$admin_lang;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->user = $oe_user;
		$this->output = $oe_output;
		$this->block = "page_text1";
		$this->tooltip = "";
		$this->returncontent = true;
		$this->style = "";
		$this->adminLang = $admin_lang;
	}
	
	function getEditor()
	{
		global $page;
		$pageedit = $page;
		if ((!$this->output->isPreview()) && ($this->user->pagePermission($pageedit["page_key"])))
		{
			$redirect = $page["page_key"];
			if($this->page->isStage($pageedit["page_key"],$this->block))
			{
				if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_releasepage"] == 1)))
				{
					?><a href="Javascript:openRelease('<?= $pageedit["page_path"]; ?>','<?= $pageedit["page_key"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>');" onmouseover="return overlib('<?= $this->adminLang["admin"]["23"]; ?>', CAPTION, '<?= $this->adminLang["admin"]["24"]; ?>');" onmouseout="return nd();"><img src='system/img/oes_release.png'" width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
				}
			} 
			?><a id="scroll<?= $this->block.$pageedit["page_key"]; ?>" href="Javascript:openIframeeditor('<?= $pageedit["page_path"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>');" onmouseover="return overlib('<?= $this->tooltip; ?>', CAPTION, 'iFrame-Editor<? if ($_SESSION["account_group"] == 2) { ?> [<?= $this->block; ?>]<? } ?>');" onmouseout="return nd();"><img src='system/img/oes_editor.png' width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
			if ($this->returncontent) 
			{ 
				echo $this->output->outputIframe($this->block,$this->style);
			}
		}
		else
		{
			if ($this->returncontent) 
			{ 
				echo $this->output->outputIframe($this->block,$this->style);
			}
		}
	}
}

class UploadEditor
{
	private $db;
	private $prefix;
	private $page;
	private $user;
	private $output;
	public $block;
	public $tooltip;
	public $pagekey;
	private $adminLang;
	
	function UploadEditor()
	{
		global $oe_db,$db_praefix,$oe_page,$oe_user,$oe_output,$admin_lang;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->user = $oe_user;
		$this->output = $oe_output;
		$this->block = "page_text1";
		$this->tooltip = "";
		$this->pagekey = 0;
		$this->adminLang = $admin_lang;
	}
	
	function getEditor()
	{
		global $page;
		if ($this->pagekey != 0)
		{
			$pageedit = $this->page->getPageKey($this->pagekey);
		}
		else
		{
			$pageedit = $page;
		}	
		if ((!$this->output->isPreview()) && ($this->user->pagePermission($pageedit["page_key"])))
		{
			$redirect = $page["page_key"];
			if($this->page->isStage($pageedit["page_key"],$this->block))
			{
				if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_releasepage"] == 1)))
				{
					?><a href="Javascript:openRelease('<?= $pageedit["page_path"]; ?>','<?= $pageedit["page_key"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>');" onmouseover="return overlib('<?= $this->adminLang["admin"]["23"]; ?>', CAPTION, '<?= $this->adminLang["admin"]["24"]; ?>');" onmouseout="return nd();"><img src='system/img/oes_release.png'" width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
				}
			} 
			?><a id="scroll<?= $this->block.$pageedit["page_key"]; ?>" href="Javascript:openUploadDialog('<?= $pageedit["page_path"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>');" onmouseover="return overlib('<?= $this->tooltip; ?>', CAPTION, 'Upload-Editor<? if ($_SESSION["account_group"] == 2) { ?> [<?= $this->block; ?>]<? } ?>');" onmouseout="return nd();"><img src='system/img/oes_upload.png' width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
		}
	}
}

class SelectEditor
{
	private $db;
	private $prefix;
	private $page;
	private $user;
	private $output;
	public $block;
	public $tooltip;
	public $selectarray;
	public $pagekey;
	private $adminLang;
	
	function SelectEditor()
	{
		global $oe_db,$db_praefix,$oe_page,$oe_user,$oe_output,$admin_lang;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->user = $oe_user;
		$this->output = $oe_output;
		$this->block = "page_text1";
		$this->tooltip = "";
		$this->selectarray = array();
		$this->adminLang = $admin_lang;
		$this->pagekey = 0;
	}
	
	function getEditor()
	{
		global $page;
		if ($this->pagekey != 0)
		{
			$pageedit = $this->page->getPageKey($this->pagekey);
		}
		else
		{
			$pageedit = $page;
		}	
		if ((!$this->output->isPreview()) && ($this->user->pagePermission($pageedit["page_key"])))
		{
			$selectstring = "option=";
			foreach ($this->selectarray as $value)
			{
				$selectstring .= $value["name"]."**";
				$selectstring .= $value["value"]."***";
			} 
			$redirect = $page["page_key"];
			if($this->page->isStage($pageedit["page_key"],$this->block))
			{
				if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_releasepage"] == 1)))
				{
					?><a href="Javascript:openRelease('<?= $pageedit["page_path"]; ?>','<?= $pageedit["page_key"]; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>');" onmouseover="return overlib('<?= $this->adminLang["admin"]["23"]; ?>', CAPTION, '<?= $this->adminLang["admin"]["24"]; ?>');" onmouseout="return nd();"><img src='system/img/oes_release.png'" width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
				}
			} 
			?><a id="scroll<?= $this->block.$pageedit["page_key"]; ?>" href="Javascript:openSelecteditor('<?= $pageedit["page_path"]; ?>&<?= $selectstring; ?>','<?= $this->block; ?>&amp;redirect=<?= $redirect; ?>');" onmouseover="return overlib('<?= $this->tooltip; ?>', CAPTION, 'Select-Editor<? if ($_SESSION["account_group"] == 2) { ?> [<?= $this->block; ?>]<? } ?>');" onmouseout="return nd();"><img src='system/img/oes_editor.png' width='16' height='16' alt='' border='0' class='oe_editbutton'/></a><?
		}
	}
}
?>