<?php

/**
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * @package openEngine
 * @author Stephan Raabe
 */

include($oe_classpath."/openengine/thumbnail.php");

class Filepool
{
	private $db;
	private $prefix;
	private $page;
	private $subArr;
	private $user; 
	private $dialog;
	private $adminLang;
	private $set;
	
	public function Filepool()
	{
		global $oe_db,$db_praefix,$oe_page,$oe_user,$oe_dialog,$admin_lang,$oe_set;
		$this->db = $oe_db;
		$this->set = $oe_set;
		$this->prefix = $db_praefix;
		$this->page = $oe_page;
		$this->user = $oe_user;
		$this->dialog = $oe_dialog;
		$this->adminLang = $admin_lang;
		$this->subArr = array();
	}
	
	public function setAjax()
	{
		if (isset($_GET["method"]))
		{
			switch ($_GET["method"])
			{
				case "init":
					$this->init();
				break;
						
				case "loadTree":
					$this->loadTree();
				break;
				
				case "loadPath":
					$this->loadPath();
				break;
				
				case "newFolder":
					if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_filepoolfolder"] == 1)))
					{
						$this->newFolder();
					}
				break;
						
				case "renameFolder":
					if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_filepoolfolder"] == 1)))
					{
						$this->renameFolder();
					}
				break;
				
				case "checkDeleteFolder":
					$this->checkDeleteFolder();
				break;
				
				case "deleteFolder":
					if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_filepoolfolder"] == 1)))
					{
						$this->deleteFolder();
					}
				break;
		
				case "subFolders":
					$this->subFolders();
				break;
		
				case "cutFolder":
					if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_filepoolfolder"] == 1)))
					{
						$this->cutFolder();
					}
				break;
				
				case "getFiles":
					$this->getFiles();
				break;
		
				case "getpermission":
					if ($this->user->isAdministrator())
					{
						$this->getPermission();
					}
				break;
		
				case "getforpermission":
					if ($this->user->isAdministrator())
					{
						$this->getForPermission();
					}
				break;
		
				case "savepermission":
					if ($this->user->isAdministrator())
					{
						$this->savePermission();
					}
				break;
		
				case "saveforpermission":
					if ($this->user->isAdministrator())
					{
						$this->saveForPermission();
					}
				break;
						
				case "refreshFile":
					if ($this->user->isAdministrator())
					{
						$this->refreshFile();
					}
				break;
		
				case "refreshFileFolder":
					if ($this->user->isAdministrator())
					{
						$this->refreshFolder();
					}
				break;
				
				case "getFileInfo":
					if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_filepool"] == 1)))
					{
						$this->getFileinfo();
					}
				break;
				
				case "saveFileInfo":
					if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_filepool"] == 1)))
					{
						$this->saveFileInfo();
					}
				break;		
		
				case "cutFile":
					if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_filepool"] == 1)))
					{
						$this->cutFile($_GET["key"],$_GET["folder"]);
					}
				break;	
				
				case "deleteFile":
					if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3) && ($_SESSION["account_deletefile"] == 1)))
					{
						$this->deleteFile($_GET["key"]);
					}
				break;
		
				case "deleteCache":
					if ($this->user->isAdministrator())
					{
						$this->deleteCache();
					}
				break;
		
				case "deleteFolderCache":
					if ($this->user->isAdministrator())
					{
						$this->deleteFolderCache();
					}
				break;
				
				case "checkDeleteFile":
					$this->checkDeleteFile($_GET["key"]);
				break;

				case "createThumbnails":
					$this->createThumbnails($_GET["key"]);
				break;					

				case "deleteThumbnails":
					$this->deleteThumbnails($_GET["key"]);
				break;
									
				case "createFolderThumbnails":
					$this->createFolderThumbnails($_GET["folder_key"]);
				break;

				case "getThumbnailList":
					$thumbArr = $this->getThumbnails($_GET["key"]);
					$tempArr = array();
					foreach ($thumbArr as $value)
					{
						array_push($tempArr,$value["asset_key"]);
					}
					echo implode(",",$tempArr);
				break;
				
				case "getListView":
					$this->getListView();
				break;
			}
		}		
	}
	
	private function init()
	{
		$query = "SELECT * FROM ".$this->prefix."filepool WHERE folder_parent = 0";
		$resArr = $this->db->row($query);
		if (sizeof($resArr) == 1)
		{
			$query = "INSERT INTO ".$this->prefix."filepool (folder_parent,folder_name) VALUES ('0','FilePool')";
			$this->db->insert($query);
			echo "-1";
		}
		else
		{
			echo $resArr["folder_key"];
		}			
	}
	
	private function getListView()
	{
		if (!isset($_SESSION["oe_filepool_listview"]))
		{
			$_SESSION["oe_filepool_listview"] = 0;
		}
		echo $_SESSION["oe_filepool_listview"];
	}
	
	private function loadPath()
	{
		if (isset($_SESSION["oe_filepoolfolder"]))
		{
			$key = $_SESSION["oe_filepoolfolder"];
			if ($this->checkFolderKey($key))
			{
				$pathArr = array();
				array_push($pathArr,$key);
				$param = array("folder_key" => $key);
				$query = "SELECT folder_key,folder_parent FROM ".$this->prefix."filepool WHERE folder_key = :folder_key";
				$resArr = $this->db->row($query,$param);
				$folder_parent = $resArr["folder_parent"];
				while ($folder_parent != 0)
				{
					array_push($pathArr,$folder_parent);
					$param = array("folder_parent" => $folder_parent);
					$query = "SELECT folder_key,folder_parent FROM ".$this->prefix."filepool WHERE folder_key = :folder_parent";
					$resArr = $this->db->row($query,$param);
					$folder_parent = $resArr["folder_parent"];
				}
				$pathArr = array_reverse($pathArr);
				echo implode(",",$pathArr);
			}
		}
	}
	
	private function checkFolderKey($k)
	{
		$res = false;
		$param = array("folder_key" => $k);
		$query = "SELECT folder_key FROM ".$this->prefix."filepool WHERE folder_key = :folder_key";
		if ($this->db->count($query,$param) == 1)
		{
			$res = true;
		}
		return $res;
	}
	
	private function checkFilename($fn)
	{
		if (preg_match($this->set->regFilename(),$fn))
		{
			return false;			
		}
		else 
		{
			return true;
		}
	}
	
	private function checkFolderPermission($k)
	{
		$perm = 1;
		if (($this->set->getPagePermission() == 1) && ($_SESSION["account_group"] == 3))
		{
			if (!$this->user->poolPermission($k))
			{
				$perm = 0;
			}
		}
		return $perm; 		
	}
	
	private function getFolderPermissionImage($p)
	{
		$img = "oes_folder.png";
		if ($p == 0)
		{
			$img = 'oes_lock.png';
		}
		return $img;		
	}
	
	private function checkPoolPermission($k)
	{
		$pool_perm = 0;
		if (($this->set->getPagePermission() == 1) && ($_SESSION["account_group"] == 2))
		{
			$param = array("folder_key" => $k);
			$query = "SELECT * FROM ".$this->prefix."poolpermission WHERE folder_key = :folder_key";
			if ($this->db->count($query,$param) > 0)
			{
				$param = array("folder_key" => $k);
				$query = "SELECT * FROM ".$this->prefix."poolpermission WHERE folder_key = :folder_key";
				$permArr = $this->db->row($query,$param);
				if ($permArr["perm_type"] == 0)
				{
					$pool_perm = 1;
				}
				if ($permArr["perm_type"] == 1)
				{
					$pool_perm = 2;
				}
			}
		}
		return $pool_perm;
	}

	private function writePoolPermissionImage($p)
	{
		if ($p == 1)
		{
			echo '<td><a href="Javascript:editPermission();"><img src="system/img/oes_permission_add.png" alt=""></a></td>';
		}
		if ($p == 2)
		{
			echo '<td><a href="Javascript:editforPermission();"><img src="system/img/oes_permission_delete.png" alt=""></a></td>';
		}
	}
		
	private function writeFolderArrow($k)
	{
		$param = array("folder_parent" => $k);
		$query = "SELECT * FROM ".$this->prefix."filepool WHERE folder_parent = :folder_parent ORDER BY folder_name";
		if ($this->db->count($query,$param) > 0)
		{
?>
<td>
<div class="folder_arrow" onclick="loadTree(<?= $k; ?>)" id="arrow_<?= $k; ?>"><img src="system/img/collapsed.png" alt=""></div>
</td>
<?
		}
		else
		{
?>
<td>
<div class="folder_arrow" onclick="loadTree(<?= $k; ?>)" id="arrow_<?= $k; ?>"><img src="system/img/blank.gif" width="16" height="16" alt=""></div>
</td>
<?
		}
	}
	
	private function writeFolderMenu($k,$perm,$img)
	{
		global $page;
		if ($perm == 1)
		{
			if ($_SESSION["account_group"] == 2) 
			{ 
		?>
		<td onclick="loadMenu(<?= $k; ?>);" class="folder_td" title="<?= $this->adminLang["admin"][19]; ?>"><img src="system/img/<?= $img; ?>" alt=""></td>
		<div class="folder_image_menu" id="folder_image_menu_<?= $k; ?>" style="display:none;">
		<a href="Javascript:hideMenu();" class="context_title"><?= $this->adminLang["filepool"][43]; ?></a>
		<a href="Javascript:newFolder();" style="background-image:url(system/img/oes_newfolder.png);"><?= $this->adminLang["filepool"][1]; ?></a>
		<a href="Javascript:uploadFile('<?= $page["page_path"]; ?>');" style="background-image:url(system/img/oes_imageadd.png);"><?= $this->adminLang["filepool"][47]; ?></a>
		<a href="Javascript:renameFolder();" style="background-image:url(system/img/oes_folderedit.png);"><?= $this->adminLang["filepool"][2]; ?></a>
		<a href="Javascript:deleteFolder();" style="background-image:url(system/img/oes_folderdelete.png);"><?= $this->adminLang["filepool"][3]; ?></a>
		<a href="Javascript:cutFolder();" style="background-image:url(system/img/oes_cut.png);"><?= $this->adminLang["filepool"][4]; ?></a>
		<a href="Javascript:importFile('<?= $page["page_path"]; ?>');" style="background-image:url(system/img/oes_import.png);"><?= $this->adminLang["filepool"][5]; ?></a>
		<a href="Javascript:refreshFilefolder();" style="background-image:url(system/img/oes_refreshpool.png);"><?= $this->adminLang["filepool"][40]; ?></a>
		<? 
				if ($this->set->getPagePermission() == 1) 
				{ 
		?>
		<a href="Javascript:editPermission();" style="background-image:url(system/img/oes_permission_add.png);"><?= $this->adminLang["structure"][15]; ?></a>
		<a href="Javascript:editforPermission();" style="background-image:url(system/img/oes_permission_delete.png);"><?= $this->adminLang["structure"][17]; ?></a>
		<? 
				} 
		?>
		<a href="Javascript:createFolderThumbnails();" style="background-image:url(system/img/oes_thumbnails.png);"><?= $this->adminLang["filepool"][65]; ?></a>
		</div>
		<? 
			}
			elseif (($_SESSION["account_group"] == 3) && ($_SESSION["account_filepoolfolder"] == 1)) 
			{ 
		?>
		<td onclick="loadMenu(<?= $k; ?>);" class="folder_td" title="<?= $this->adminLang["admin"][19]; ?>"><img src="system/img/<?= $img; ?>" alt=""></td>
		<div class="folder_image_menu" id="folder_image_menu_<?= $k; ?>" style="display:none;">
		<a href="Javascript:hideMenu();" class="context_title"><?= $this->adminLang["filepool"][43]; ?></a>
		<a href="Javascript:newFolder();" style="background-image:url(system/img/oes_newfolder.png);"><?= $this->adminLang["filepool"][1]; ?></a>
		<? 
				if ($_SESSION["account_uploadfile"] == 1) 
				{ 
		?>
		<a href="Javascript:uploadFile('<?= $page["page_path"]; ?>');" style="background-image:url(system/img/oes_imageadd.png);"><?= $this->adminLang["filepool"][47]; ?></a>
		<? 
				} 
		?>
		<a href="Javascript:renameFolder();" style="background-image:url(system/img/oes_folderedit.png);"><?= $this->adminLang["filepool"][2]; ?></a>
		<a href="Javascript:deleteFolder();" style="background-image:url(system/img/oes_folderdelete.png);"><?= $this->adminLang["filepool"][3]; ?></a>
		<a href="Javascript:cutFolder();" style="background-image:url(system/img/oes_cut.png);"><?= $this->adminLang["filepool"][4]; ?></a>
		<? 
				if ($_SESSION["account_importfile"] == 1) 
				{ 
		?>
		<a href="Javascript:importFile('<?= $page["page_path"]; ?>');" style="background-image:url(system/img/oes_import.png);"><?= $this->adminLang["filepool"][5]; ?></a>
		<? 
				} 
		?>
		</div>
		<? 
			} 
			else 
			{ 
		?>
		<td class="folder_td"><img src="system/img/<?= $img; ?>"></td>
		<div id="folder_image_menu_<?= $k; ?>" style="display:none;"></div>
		<? 
			}
		} 
		else 
		{ 
		?>
		<td class="folder_td"><img src="system/img/<?= $img; ?>"></td>
		<div id="folder_image_menu_<?= $k; ?>" style="display:none;"></div>
		<? 
		}																
	}
	
	private function writeFolderText($k,$n)
	{
		?>		
		<td>
		<div class="folder_text" id="text_<?= $k; ?>"><a href="#" id="name_<?= $k; ?>"><? echo $n; ?></a></div>
		</td>
		<?
	}	

	private function writeFolderName($row)
	{
		$perm = $this->checkFolderPermission($row["folder_key"]);
		$pool_perm = $this->checkPoolPermission($row["folder_key"])
		?>
		<div class="folder_name" id="folder_name_<?= $row["folder_key"]; ?>" onmouseover="borderOn(<?= $row["folder_key"]; ?>)" onmouseout="borderOff(<?= $row["folder_key"]; ?>)" ondblclick="loadTree(<?= $row["folder_key"]; ?>)" onclick="activeFolder(<?= $row["folder_key"]; ?>)">
		<table><tr valign="top">
		<? 
		$this->writeFolderArrow($row["folder_key"]);
		$this->writeFolderMenu($row["folder_key"],$perm,$this->getFolderPermissionImage($perm)); 
		$this->writePoolPermissionImage($pool_perm);
		$this->writeFolderText($row["folder_key"],$row["folder_name"]);
		?>
		</tr></table>
		</div>
		<?
		return $perm;		
	}
	
	private function loadTree()
	{
		$parent = $_POST["parent"];
		$param = array("folder_parent" => $parent);
		$query = "SELECT * FROM ".$this->prefix."filepool WHERE folder_parent = :folder_parent ORDER BY folder_name";
		$resArr = $this->db->select($query,$param);
		foreach($resArr as $row) 
		{
			?>
			<div class="folder_cont" id="folder_cont_<?= $row["folder_key"]; ?>">
			<? $perm = $this->writeFolderName($row); ?>
			<div class id="folder_subtree_<?= $row["folder_key"]; ?>">
			</div>
			</div>
			<input type="hidden" id="perm_<?= $row["folder_key"]; ?>" value="<?= $perm; ?>">
			<? 
		} 
	}
	
	public function uploadFilepool()
	{
		global $cache_path,$site_pool,$page;
		if ((isset($_POST["action"])) && ($_POST["action"] == "filepoolupload"))
		{
			if ((isset($_FILES['upFile']['tmp_name'])) && ($_FILES['upFile']['tmp_name'] != ""))
			{
				$path_parts = pathinfo($_FILES['upFile']['name']);
				$mime = strtolower($path_parts["extension"]);
				if ($this->checkUpload($mime))
				{
					$fileName = $_FILES['upFile']['name'];
					$fileName = strtolower($fileName);
					$fileName = str_replace(" ","_",$fileName);
					if ($this->checkFilename($fileName))
					{
						$folder_key = $_POST["folder_key"];
						$rp = realpath($_POST["site_pool"]);
						$foStr = $this->page->getFolderPath($folder_key);
						$overwrite = 0;
						if ((file_exists($rp.$foStr.$fileName)) && ($_POST["makeunique"] == 0)) 
						{
							$overwrite = 1;
						}
						if ($_POST["makeunique"] == 1)
						{
							if (file_exists($rp.$foStr.$fileName)) 
							{
								$tmpVar = 1;
								while(file_exists($rp.$foStr.'/'.$tmpVar.'_'.$fileName)) 
								{
							   		$tmpVar++;
					   			}
						  		$fileName = $tmpVar.'_'.$fileName;
							}
						}
				 		if ($this->set->getUploadChmod() != "")
						{
							chmod($_FILES['upFile']['tmp_name'], intval($this->set->getUploadChmod(),8));
						}
						if (move_uploaded_file($_FILES['upFile']['tmp_name'], $rp.$foStr.$fileName))
						{
							$oe_thumb = new Thumbnail();
							$asset_create = date("YmdHis");
							$asset_creator = $_SESSION["account_email"];
							if ($overwrite == 0)
							{
								$param = array("asset_filename" => $fileName,"folder_key" => $folder_key,"asset_create" => $asset_create,"asset_creator" => $asset_creator);
								$query = "INSERT INTO ".$this->prefix."asset (asset_filename,folder_key,asset_create,asset_creator) VALUES (:asset_filename,:folder_key,:asset_create,:asset_creator)";
								$assetKey = $this->db->insert($query,$param);
								if ($_POST["makethumb"] == 1)
								{
									$this->createThumbnails($assetKey);		
								}
								$oe_thumb->createThumbnail($rp.$foStr.$fileName,$cache_path."/".$assetKey."_".$fileName,50,50);
							}
							else
							{
								$param = array("asset_filename" => $fileName,"asset_create" => $asset_create);
								$query = "UPDATE ".$this->prefix."asset SET asset_create = :asset_create WHERE asset_filename = :asset_filename";
								$this->db->update($query,$param);
								$param = array("asset_filename" => $fileName);
								$query = "SELECT asset_key FROM ".$this->prefix."asset WHERE asset_filename = :asset_filename";
								$assetKey = $this->db->row($query,$param);
								$this->deleteThumbnails($assetKey["asset_key"]);
								if ($_POST["makethumb"] == 1)
								{
									$this->createThumbnails($assetKey["asset_key"]);		
								}
								$oe_thumb->createThumbnail($rp.$foStr.$fileName,$cache_path."/".$assetKey["asset_key"]."_".$fileName,50,50);
							}
				?>
				<script language="Javascript">
				parent.okUploadFile(<?= $folder_key; ?>);
				</script>
				<?			
						}
						else
						{
				?>		
				<script language="Javascript">
				parent.cancelUploadFile();
				</script>
				<?	
						}
					}
					else 
					{
				?>
				<script language="Javascript">
				parent.errorUploadFile("<?= $page["page_path"]; ?>");
				</script>
				<?								
					}
				}
				else 
				{
			?>	
			<p class="adminText">
			<? if ($mime != "") { ?><?= $mime; ?>: <? } ?><?= $this->adminLang["filepool"][59]; ?>
			
			</p>
			<p class="adminText">
			<a href="Javascript:parent.cancelUploadFile();"><img src="system/img/oes_cancel.png"></a>
			</p>
			<?						
				}
			}
		}
		else
		{
		?>
		<script language="Javascript">
		function okUploadFile()
		{
			Effect.Fade('upload_dialog', { duration: 0.0 });
			Effect.Appear('loader', { duration: 0.0 });
			document.formular.submit();
		}
		
		function cancelUploadFile()
		{
			parent.cancelUploadFile();
		}
		</script>
		<form name="formular" method="post" enctype="multipart/form-data">
		<input type="hidden" name="action" value="filepoolupload">
		<input type="hidden" name="folder_key" value="<?= $_GET["key"]; ?>">
		<input type="hidden" name="site_pool" value="<?= $this->page->convertPath($site_pool); ?>">
		<div id="loader" style="position:absolute;text-align:center;left:0px;width:380px;top:0px;display:none;height:150px; background-color:#fff;"><img src="system/img/ajax-loader-big.gif" style="padding-top:40px;"><br><?= $this->adminLang["filepool"][39]; ?></div>
		<div id="upload_dialog" style="padding:5px;">
		<p class="adminText">
		<b><?= $this->adminLang["filepool"][35]; ?>:</b><br>
		<input name="upFile" type="file" class="admininput" style="width:250px;">
		</p>
		<? if (isset($_GET["error"])) { ?>
		<p class="adminText">
		<table border="0" cellpadding="0" cellspacing="0" style="margin-bottom:10px;">
		<tr valign="top">
		<td style="padding-right:3px;"><img src="system/img/oes_exclamation.png" alt=""></td>
		<td valign="middle" style="color:red;"><?= $this->adminLang["filepool"][63]; ?></td>
		</tr>
		</table>
		<? } ?>
		</div>
		<p class="adminText">
		<b><?= $this->adminLang["filepool"][36]; ?>:</b><br>
		<select name="makeunique" class="admininput">
		<option value="1"><?= $this->adminLang["filepool"][37]; ?></option>
		<option value="0"><?= $this->adminLang["filepool"][38]; ?></option>
		</select>
		</p>
		<p class="adminText">
		<b><?= $this->adminLang["filepool"][65]; ?>:</b><br>
		<select name="makethumb" class="admininput">
		<option value="0"><?= $this->adminLang["filepool"][70]; ?></option>
		<option value="1"><?= $this->adminLang["filepool"][71]; ?></option>
		</select>
		</p>
		<p class="adminText">
		<a href="Javascript:okUploadFile();"><img src="system/img/oes_accept.png"></a>
		<a href="Javascript:cancelUploadFile();"><img src="system/img/oes_cancel.png"></a>
		</p>
		</div>
		</form>
		<?
		}		
	}
	
	private function createFolderThumbnails($folder_key)
	{
		$param = array("folder_key" => $folder_key);
		$query = "SELECT asset_key FROM ".$this->prefix."asset WHERE asset_thumb <> 0 AND folder_key = :folder_key";
		$resArr = $this->db->select($query,$param);
		foreach ($resArr as $value)
		{
			$this->deleteAsset($value["asset_key"]);
		}
		$imgArr = $this->getImagesFolder($folder_key);
		foreach ($imgArr as $value)
		{
			$this->createThumbnails($value["asset_key"]);
		}
	}
	
	private function getImagesFolder($folder_key)
	{
		$param = array("folder_key" => $folder_key);
		$query = "SELECT * FROM ".$this->prefix."asset WHERE asset_thumb = 0 AND folder_key = :folder_key";
		$resArr = $this->db->select($query,$param);
		$retArr = array();
		foreach ($resArr as $value)
		{
			$path_parts = pathinfo($value["asset_filename"]);
			$extension = strtolower($path_parts["extension"]);
			if (($extension == "png") || ($extension == "jpg") || ($extension == "gif"))
			{
				array_push($retArr,$value);				
			}
		}
		return $retArr;
	}
	
	private function createThumbnails($asset_key)
	{
		$oe_thumb = new Thumbnail();
		$asset = $this->getAsset($asset_key);		
		$original = $this->getCompleteFilePath($asset_key);
		$query = "SELECT * FROM ".$this->prefix."thumbnails";
		$resArr = $this->db->select($query);
		foreach ($resArr as $value)
		{
			$asset_filename = $value["thumb_name"].$asset["asset_filename"];
			$asset_create = date("YmdHis");
			$asset_creator = $_SESSION["account_email"];
			$oe_thumb->createThumbnail($original,"",$value["thumb_width"],$value["thumb_height"],$value["thumb_name"]);
			$param = array("asset_filename" => $asset_filename,"folder_key" => $asset["folder_key"]);
			$query = "SELECT asset_key FROM ".$this->prefix."asset WHERE asset_filename = :asset_filename AND folder_key = :folder_key";
			if ($this->db->count($query,$param) == 0)
			{
				$param = array("asset_filename" => $asset_filename,"folder_key" => $asset["folder_key"],"asset_create" => $asset_create,"asset_creator" => $asset_creator,"asset_thumb" => $asset_key);
				$query = "INSERT INTO ".$this->prefix."asset (asset_filename,folder_key,asset_create,asset_creator,asset_thumb) VALUES (:asset_filename,:folder_key,:asset_create,:asset_creator,:asset_thumb)";
				$this->db->insert($query,$param);
			}
			else
			{
				$param = array("asset_create" => $asset_create,"asset_creator" => $asset_creator, "asset_key" => $asset["asset_key"]);
				$query = "UPDATE ".$this->prefix."asset SET asset_create = :asset_create, asset_creator = :asset_creator WHERE asset_key = :asset_key";
				$this->db->update($query,$param);
			}
		}
	}
		
	private function deleteThumbnails($asset_key)
	{
		$resArr = $this->getThumbnails($asset_key);
		foreach ($resArr as $value)
		{
			$this->deleteAsset($value["asset_key"]);
		}
	}
		
	private function getThumbnails($asset_key)
	{
		$param = array("asset_thumb" => $asset_key);
		$query = "SELECT * FROM ".$this->prefix."asset WHERE asset_thumb = :asset_thumb";
		return $this->db->select($query,$param);
	}
	
	private function deleteAsset($key)
	{
		global $cache_path,$site_pool;
		$param = array("asset_key" => $key);
		$query = "SELECT * FROM ".$this->prefix."asset WHERE asset_key = :asset_key";
		$fArr = $this->db->row($query,$param);
		$fn = $fArr["asset_filename"];
		$param = array("asset_key" => $key);
		$query = "DELETE FROM ".$this->prefix."asset WHERE asset_key = :asset_key";
		$this->db->delete($query,$param);
		if ($this->set->getFilePoolMode() == 1)
		{
			$foStr = $this->page->getFolderPath($fArr["folder_key"]);
			unlink($site_pool.$foStr.$fn);
		}
		else
		{
			unlink($site_pool."/".$fn);
		}
		if (file_exists($cache_path."/".$fArr["asset_key"]."_".$fn))
		{
			unlink($cache_path."/".$fArr["asset_key"]."_".$fn);
		}				
	}
	
	private function getAsset($k)
	{
		$param = array("asset_key" => $k);
		$query = "SELECT * FROM ".$this->prefix."asset WHERE asset_key = :asset_key";
		return $this->db->row($query,$param);
	}
	
	private function getCompleteFilePath($k)
	{
		global $site_pool;
		$param = array("asset_key" => $k);
		$query = "SELECT folder_key,asset_filename FROM ".$this->prefix."asset WHERE asset_key = :asset_key";
		$asset = $this->db->row($query,$param);
		$rp = realpath($site_pool);
		$rp = str_replace("\\","/",$rp);
		$foStr = $this->page->getFolderPath($asset["folder_key"]);
		return $rp.$foStr.$asset["asset_filename"];
	}
	
	public function importFilePool()
	{
		global $cache_path,$site_pool;

		if ((isset($_POST["action"])) && ($_POST["action"] == "filepoolupload"))
		{
			if ((isset($_FILES['upFile']['tmp_name'])) && ($_FILES['upFile']['tmp_name'] != ""))
			{
				$folder_key = $_POST["folder_key"];
				$rp = realpath($_POST["site_pool"]);
				$rp = str_replace("\\","/",$rp);
				$foStr = $this->page->getFolderPath($folder_key);
				$fileName = $_FILES['upFile']['name'];
				$fileName = rand(100000,999999)."_".$this->page->oeNameToSafe($fileName);
		 		if ($this->set->getUploadChmod() != "")
				{
					chmod($_FILES['upFile']['tmp_name'], intval($this->set->getUploadChmod(),8));
				}
				if (move_uploaded_file($_FILES['upFile']['tmp_name'], $cache_path."/".$fileName))
				{
					$zip = new ZipArchive;
					$cp = realpath($cache_path);
					$cp = str_replace("\\","/",$cp);
					$res = $zip->open($cp."/".$fileName);
					$extract_folder = rand(100000,999999);
					if ($res === TRUE) 
					{
		    			$zip->extractTo($cp."/".$extract_folder.'/');
		    			$zip->close();
		    			$d = dir($cp."/".$extract_folder);
		    			while (($eintrag = $d->read()) != false)
		    			{
		    				if (($eintrag != ".") && ($eintrag != "..") && (!is_dir($cp."/".$extract_folder."/".$eintrag)))
		    				{
		    					$target_eintrag = $eintrag;
    							$target_eintrag = trim($target_eintrag);
								$target_eintrag = strtolower($target_eintrag);
								$target_eintrag = str_replace(" ","_",$target_eintrag);
								if ($this->checkFilename($target_eintrag))
								{
									$path_parts = pathinfo($cp."/".$extract_folder.'/'.$eintrag);
									$mime = strtolower($path_parts["extension"]);
									if ($this->checkUpload($mime))
									{
										$foStr = $this->page->getFolderPath($folder_key);
										if (file_exists($rp.$foStr.$target_eintrag)) 
										{
											$tmpVar = 1;
											while(file_exists($rp.$foStr.'/'.$tmpVar.'_'.$target_eintrag)) 
											{
							   					$tmpVar++;
					   						}
						  					$target_eintrag = $tmpVar.'_'.$target_eintrag;
										}
										$asset_create = date("YmdHis");
										$asset_creator = $_SESSION["account_email"];
										$param = array("asset_filename" => $target_eintrag,"folder_key" => $folder_key,"asset_create" => $asset_create,"asset_creator" => $asset_creator);
										$query = "INSERT INTO ".$this->prefix."asset (asset_filename,folder_key,asset_create,asset_creator) VALUES (:asset_filename,:folder_key,:asset_create,:asset_creator)";
										$assetKey = $this->db->insert($query,$param);
										rename($cp."/".$extract_folder.'/'.$eintrag,$rp.$foStr.$target_eintrag);
										$oe_thumb = new Thumbnail();
										if ($_POST["makethumb"] == 1)
										{
											$this->createThumbnails($assetKey);		
										}
										$oe_thumb->createThumbnail($rp.$foStr.$target_eintrag,$cache_path."/".$assetKey."_".$target_eintrag,50,50);
									}
								}
		    				}
		    			}
		    			$this->dialog->rec_rmdir($cp."/".$extract_folder);
		    			unlink($cache_path."/".$fileName);
		    		}
		?>
		<script language="Javascript">
		parent.okImportFile(<?= $folder_key; ?>);
		</script>
		<?			
				}
				else
				{
		?>		
		<script language="Javascript">
		parent.cancelImportFile();
		</script>
		<?	
				}
			}
		}
		else
		{
		?>
		<script language="Javascript">
		function okImportFile()
		{
			Effect.Fade('upload_dialog', { duration: 0.0 });
			Effect.Appear('loader', { duration: 0.0 });
			document.formular.submit();
		}
		
		function cancelImportFile()
		{
			parent.cancelImportFile();
		}
		</script>
		<form name="formular" method="post" enctype="multipart/form-data">
		<input type="hidden" name="action" value="filepoolupload">
		<input type="hidden" name="folder_key" value="<?= $_GET["key"]; ?>">
		<input type="hidden" name="site_pool" value="<?= $this->page->convertPath($site_pool); ?>">
		<div id="loader" style="position:absolute;text-align:center;left:0px;width:380px;top:40px;display:none;"><img src="system/img/ajax-loader-big.gif"><br><?= $this->adminLang["filepool"][39]; ?></div>
		<div id="upload_dialog" style="padding:5px;">
		<p class="adminText">
		<b><?= $this->adminLang["filepool"][64]; ?>:</b><br>
		<input name="upFile" type="file" class="admininput" style="width:250px;">
		</p>
		<p class="adminText">
		<b><?= $this->adminLang["filepool"][65]; ?>:</b><br>
		<select name="makethumb" class="admininput">
		<option value="0"><?= $this->adminLang["filepool"][70]; ?></option>
		<option value="1"><?= $this->adminLang["filepool"][71]; ?></option>
		</select>
		</p>		
		<p class="adminText">
		<a href="Javascript:okImportFile();"><img src="system/img/oes_accept.png"></a>
		<a href="Javascript:cancelImportFile();"><img src="system/img/oes_cancel.png"></a>
		</p>
		</div>
		</form>
		<?
		}		
	}
	
	private function checkUpload($mime)
	{
		if ($this->user->isAdministrator())
		{
			return true;
		}
		else 
		{
			if ($mime == "")
			{
				return false;
			}
			else 
			{
				$uploadArr = explode(",",$this->set->getPermissionUpload());
				$pos = array_search($mime, $uploadArr);
				if ($pos === false)
				{
					return false;
				}
				else 
				{
					return true;
				}
			}
		}
	}
	
	private function newFolder()
	{
		global $site_pool;
		$parent = $_POST["parent"];
		$folder_name = "newfolder";
		$this->subFolderKey($parent);
		$param = array("folder_name" => $folder_name,"folder_parent" => $parent);
		$query = "SELECT * FROM ".$this->prefix."filepool WHERE folder_name = :folder_name AND folder_parent = :folder_parent";
		$resArr = $this->db->row($query,$param);
		if (sizeof($resArr) == 1)
		{
			if ($this->set->getFilePoolMode() == 1)
			{
				$rp = realpath($site_pool);
				$rp = str_replace("\\","/",$rp);
				$foStr = $this->page->getFolderPath($parent);
				$this->dialog->mk_dir($rp.$foStr.$folder_name);	
			}
			$param = array("folder_parent" => $parent,"folder_name" => $folder_name);
			$query = "INSERT INTO ".$this->prefix."filepool (folder_parent,folder_name) VALUES (:folder_parent,:folder_name)";
			$this->db->insert($query,$param);
		}
		echo $parent;		
	}
	
	private function subFolderKey($key)
	{
		array_push($this->subArr, $key);
		$param = array("folder_parent" => $key);
		$query = "SELECT * FROM ".$this->prefix."filepool WHERE folder_parent = :folder_parent";
		$resArr = $this->db->select($query,$param);	
		foreach ($resArr as $row)
		{
			$this->subFolderKey($row["folder_key"]);
		}	
	}
	
	private function renameFolder()
	{
		global $site_encoding,$site_pool;
		$key = $_POST["key"];
		$folder_name = trim($_POST["foName"]);
		$folder_name = strtolower($folder_name);
		$folder_name = str_replace(" ","_",$folder_name);
		if ($this->checkFilename($folder_name))
		{
			$param = array("folder_key" => $key);
			$query = "SELECT folder_parent FROM ".$this->prefix."filepool WHERE folder_key = :folder_key";
			$folderArr = $this->db->row($query,$param);
			$param = array("folder_name" => $folder_name,"folder_parent" => $folderArr["folder_parent"]);
			$query = "SELECT folder_key FROM ".$this->prefix."filepool WHERE folder_name = :folder_name AND folder_parent = :folder_parent";
			if ($this->db->count($query,$param) == 0)
			{
				if ($this->set->getFilePoolMode() == 1)
				{
					$rp = realpath($site_pool);
					$rp = str_replace("\\","/",$rp);
					$foStrOld = $this->page->getFolderPath($key);
					$foStrNew = $this->page->getFolderPath($key,false);
					rename($rp.$foStrOld,$rp.$foStrNew.$folder_name);
					$this->dialog->replaceContent($site_pool.$foStrOld,$site_pool.$foStrNew.$folder_name."/");
				}
				$param = array("folder_name" => $folder_name,"folder_key" => $key);
				$query = "UPDATE ".$this->prefix."filepool SET folder_name = :folder_name WHERE folder_key = :folder_key";
				$this->db->update($query,$param);
			}
			$param = array("folder_key" => $key);
			$query = "SELECT * FROM ".$this->prefix."filepool WHERE folder_key = :folder_key";
			$folder_arr = $this->db->row($query,$param);
			echo $folder_arr["folder_parent"];
		}
		else 
		{
			echo "ERROR";
		}
	}
	
	private function subFolders()
	{
		header("Content-type: text/xml");
		$key = $_POST["key"];
		$this->subArr = array();
		$this->subFolderKey($key);
		?>
<?= "<"; ?>?xml version="1.0" ?<?= ">"; ?>
<root>
<?
foreach ($this->subArr as $value)
{
?>
<folder>
<key><?= $value; ?></key>
</folder>
<?
}
?>	
</root>	
<?	
	}
	
	private function checkDeleteFolder()
	{
		$key = $_GET["key"];
		$param = array("folder_parent" => $key);
		$query = "SELECT * FROM ".$this->prefix."filepool WHERE folder_parent = :folder_parent";
		$result1 = $this->db->count($query,$param);
		$param = array("folder_key" => $key);
		$query = "SELECT * FROM ".$this->prefix."asset WHERE folder_key = :folder_key";
		$result2 = $this->db->count($query,$param);
		
		if (($result1 == 0) && ($result2 == 0))
		{
		?>
		<p class="adminText"><?= $this->adminLang["filepool"][15]; ?></p>
		<p class="adminText">
		<a href="Javascript:okDeleteFolder();"><img src="system/img/oes_accept.png" alt=""></a>
		<a href="Javascript:cancelDeleteFolder();"><img src="system/img/oes_cancel.png" alt=""></a>
		</p>
		<?
		}
		else
		{
		?>
		<p class="adminText"><?= $this->adminLang["filepool"][58]; ?></p>
		<p class="adminText">
		<a href="Javascript:cancelDeleteFolder();"><img src="system/img/oes_cancel.png" alt=""></a>
		</p>
		<?
		}		
	}
	
	private function deleteFolder()
	{
		global $site_pool;
		$key = $_POST["key"];
		$param = array("folder_key" => $key);
		$query = "SELECT * FROM ".$this->prefix."filepool WHERE folder_key = :folder_key";
		$folder_arr = $this->db->row($query,$param);
		$param = array("folder_parent" => $key);
		$query = "SELECT * FROM ".$this->prefix."filepool WHERE folder_parent = :folder_parent";
		$result1 = $this->db->count($query,$param);
		$param = array("folder_key" => $key);
		$query = "SELECT * FROM ".$this->prefix."asset WHERE folder_key = :folder_key";
		$result2 = $this->db->count($query,$param);
		if (($result1 == 0) && ($result2 == 0))
		{
			if ($this->set->getFilePoolMode() == 1)
			{
				$rp = realpath($site_pool);
				$rp = str_replace("\\","/",$rp);
				$foStr = $this->page->getFolderPath($key);
				if ($this->dialog->rec_rmdir($rp.$foStr) == 0)
				{
					$this->deleteFolderKey($key);
				}
			}
			else
			{
				$this->deleteFolderKey($key);
			}
		}
		echo $folder_arr["folder_parent"];		
	}
	
	private function deleteFolderKey($key)
	{
		$param = array("folder_key" => $key);
		$query = "DELETE FROM ".$this->prefix."filepool WHERE folder_key = :folder_key";
		$this->db->delete($query,$param);
		$param = array("folder_key" => $key);
		$query = "DELETE FROM ".$this->prefix."poolpermission WHERE folder_key = :folder_key";
		$this->db->delete($query,$param);
		$query = "SELECT * FROM ".$this->prefix."filepool WHERE folder_parent = 0";
		$rootFolder = $this->db->row($query);
		$rootKey = $rootFolder["folder_key"];
		$param = array("folder_key" => $rootKey,"folder_k2" => $key);
		$query = "UPDATE ".$this->prefix."asset SET folder_key = :folder_key WHERE folder_key = :folder_k2";
		$this->db->update($query,$param);
		$param = array("folder_parent" => $key);
		$query = "SELECT * FROM ".$this->prefix."filepool WHERE folder_parent = :folder_parent";
		$resArr = $this->db->select($query,$param);
		foreach ($resArr as $row)
		{
			$this->deleteFolderKey($row["folder_key"]);
		}	
	}

	private function cutFolder()
	{
		global $site_pool;
		$key = $_POST["key"];
		$parent = $_POST["parent"];
		$param = array("folder_key" => $key);
		$query = "SELECT folder_name FROM ".$this->prefix."filepool WHERE folder_key = :folder_key";
		$foArr = $this->db->row($query,$param);
		$folder_name = $foArr["folder_name"];
		$move = true;
		if ($this->set->getFilePoolMode() == 1)
		{
			$rp = realpath($site_pool);
			$rp = str_replace("\\","/",$rp);
			$foStrOld = $this->page->getFolderPath($key);
			$foStrNew = $this->page->getFolderPath($parent);
			if (!file_exists($rp.$foStrNew.$folder_name))
			{
				rename($rp.$foStrOld,$rp.$foStrNew.$folder_name);
				$this->getCutAsset($key,$parent,$key);
			}
			else
			{
				$move = false;
			}	
		}
		if ($move)
		{
			$param = array("folder_parent" => $parent,"folder_key" => $key);
			$query = "UPDATE ".$this->prefix."filepool SET folder_parent = :folder_parent WHERE folder_key = :folder_key";
			$this->db->update($query,$param);
			echo $parent;
		}
		else
		{
			echo "-1";
		}		
	}
	
	private function getCutAsset($k,$p,$s)
	{
		global $site_pool;
		$foName = $site_pool.$this->page->getFolderPath($k);
		$foPName = $site_pool.$this->page->getFolderPath($p);
		$foCName = $site_pool.$this->page->getFolderPath($s,false);
		$foCName = str_replace($foCName,"",$foName);
		$param = array("folder_key" => $k);
		$query = "SELECT * FROM ".$this->prefix."asset WHERE folder_key = :folder_key";
		$resArr = $this->db->select($query,$param);
		foreach ($resArr as $row)
		{
			$this->dialog->replaceContent($foName.$row["asset_filename"],$foPName.$foCName.$row["asset_filename"]);
		}
		$param = array("folder_parent" => $k);
		$query = "SELECT * FROM ".$this->prefix."filepool WHERE folder_parent = :folder_parent";
		$resArr = $this->db->select($query,$param);
		foreach ($resArr as $row)
		{
			$this->getCutAsset($row["folder_key"],$p,$s);
		}
	}

	private function saveFileInfo()
	{
		global $site_encoding;
		$key = $_POST["key"];
		if ($site_encoding == "utf-8")
		{
			$asset_name = $this->dialog->removeQuotes($_POST["infoName"]);
			$asset_alt = $this->dialog->removeQuotes($_POST["infoAlt"]);
			$asset_params = $this->dialog->removeQuotes($_POST["infoParams"]);
			$asset_keywords = $this->dialog->removeQuotes($_POST["infoKeywords"]);
		}
		else
		{
			$asset_name = utf8_decode($this->dialog->removeQuotes($_POST["infoName"]));
			$asset_alt = utf8_decode($this->dialog->removeQuotes($_POST["infoAlt"]));
			$asset_params = utf8_decode($this->dialog->removeQuotes($_POST["infoParams"]));
			$asset_keywords = utf8_decode($this->dialog->removeQuotes($_POST["infoKeywords"]));
		}
		$param = array("asset_name" => $asset_name,"asset_alt" => $asset_alt,"asset_params" => $asset_params,"asset_keywords" => $asset_keywords,"asset_key" => $key);
		$query = "UPDATE ".$this->prefix."asset SET asset_name = :asset_name,asset_alt = :asset_alt,asset_params = :asset_params,asset_keywords= :asset_keywords WHERE asset_key = :asset_key";
		$this->db->update($query,$param);		
	}

	private function saveForPermission()
	{
		$folder_key = $_POST["key"];
		$accounts = $_POST["accounts"];
		$param = array("folder_key" => $folder_key);
		$query = "DELETE FROM ".$this->prefix."poolpermission where folder_key = :folder_key";
		$this->db->delete($query,$param);
		if ($accounts != "")
		{
			$accounts = substr($accounts,0,strlen($accounts) - 1);
			$accountsArr = explode(",",$accounts);
			foreach ($accountsArr as $value)
			{
				$param = array("folder_key" => $folder_key,"account_key" => $value);
				$query = "INSERT INTO ".$this->prefix."poolpermission (folder_key,account_key,perm_type) VALUES (:folder_key,:account_key,'1')";
				$this->db->insert($query,$param);
			}				
		}
		$param = array("folder_key" => $folder_key);
		$query = "SELECT * FROM ".$this->prefix."filepool where folder_key = :folder_key";
		$parentArr = $this->db->row($query,$param);
		echo $parentArr["folder_parent"];		
	}
	
	private function savePermission()
	{
		$folder_key = $_POST["key"];
		$accounts = $_POST["accounts"];
		$param = array("folder_key" => $folder_key);
		$query = "DELETE FROM ".$this->prefix."poolpermission where folder_key = :folder_key";
		$this->db->delete($query,$param);
		if ($accounts != "")
		{
			$accounts = substr($accounts,0,strlen($accounts) - 1);
			$accountsArr = explode(",",$accounts);
			foreach ($accountsArr as $value)
			{
				$param = array("folder_key" => $folder_key,"account_key" => $value);
				$query = "INSERT INTO ".$this->prefix."poolpermission (folder_key,account_key,perm_type) VALUES (:folder_key,:account_key,'0')";
				$this->db->insert($query,$param);
			}				
		}
		$param = array("folder_key" => $folder_key);
		$query = "SELECT * FROM ".$this->prefix."filepool where folder_key = :folder_key";
		$parentArr = $this->db->row($query,$param);
		echo $parentArr["folder_parent"];
	}

	private function cutFile($asset_key,$folder_key)
	{
		$this->cutAsset($asset_key,$folder_key);
		$resArr = $this->getThumbnails($asset_key);
		foreach ($resArr as $value)
		{
			$this->cutAsset($value["asset_key"],$folder_key);
		}
	}
	
	private function cutAsset($asset_key,$folder_key)
	{
		global $site_pool;
		$asset = $this->getAsset($asset_key);
		$asset_filename = $asset["asset_filename"];
		$folder_key = $_GET["folder"];
		if ($asset_key == 0)
		{
			$param = array("asset_filename" => $asset_filename,"folder_key" => $folder_key);
			$query = "INSERT INTO ".$this->prefix."asset (asset_filename,folder_key) VALUES (:asset_filename,:folder_key)";
			$this->db->insert($query,$param);
		}
		else
		{
			$param = array("asset_key" => $asset_key);
			$query = "SELECT folder_key,asset_filename FROM ".$this->prefix."asset WHERE asset_key = :asset_key";
			$asArr = $this->db->row($query,$param);
			$param = array("folder_key" => $folder_key,"asset_filename" => $asset_filename);
			$query = "SELECT * FROM ".$this->prefix."asset WHERE folder_key = :folder_key AND asset_filename = :asset_filename";
			if ($this->db->count($query,$param) == 0)
			{
				if ($this->set->getFilePoolMode() == 1)
				{
					$rp = realpath($site_pool);
					$rp = str_replace("\\","/",$rp);
					$foStrOld = $this->page->getFolderPath($asArr["folder_key"]);
					$foStrNew = $this->page->getFolderPath($folder_key);
					rename($rp.$foStrOld.$asArr["asset_filename"],$rp.$foStrNew.$asArr["asset_filename"]);
					$this->dialog->replaceContent($site_pool.$foStrOld.$asArr["asset_filename"],$site_pool.$foStrNew.$asArr["asset_filename"]);
				}
				$param = array("folder_key" => $folder_key,"asset_key" => $asset_key);
				$query = "UPDATE ".$this->prefix."asset SET folder_key = :folder_key WHERE asset_key = :asset_key";
				$this->db->update($query,$param);
				echo "1";
			}
			else
			{
				echo "0";
			}
		}			
	}
	
	private function checkDeleteFile($key)
	{
		global $site_pool;
		$asset = $this->getAsset($key);
		$fn = $site_pool.$this->page->getFolderPath($asset["folder_key"]).$asset["asset_filename"];
		$fields = "SELECT * FROM ".$this->prefix."page where";
		$fieldArr = explode(",",$this->set->getFieldList());		
		foreach ($fieldArr as $arrkey)
		{
			$fields .= " (".$arrkey." like '%$fn%') or";
		}
		$fields = substr($fields,0,strlen($fields)-3);
		if ($this->db->count($fields) == 0)
		{
			echo "0";
		}
		else
		{
			$resArr = $this->db->select($fields);
			echo "<span style='color:#f00;'>".$this->adminLang["filepool"][34]."</span><br>";
			foreach ($resArr as $row)
			{
				echo '['.$row["page_key"].'] <a href="#" class="adminLink" onclick="window.opener.location.href=\'website.php?id='.$row["page_path"].'\'">'.substr(strip_tags($row["page_headline"]),0,40).'</a><br>';			
			}
		}   		
	}
	
	private function deleteFile($key)
	{
		$this->deleteThumbnails($key);
		$this->deleteAsset($key);
	}
	
	private function getFileinfo()
	{
		$key = $_GET["key"];
		$param = array("asset_key" => $key);
		$query = "SELECT * FROM ".$this->prefix."asset WHERE asset_key = :asset_key";
		$fileArr = $this->db->row($query,$param);
		?>
		<p class="adminText">
		<b>Name:</b><br>
		<input type="text" class="admininput" id="infoName" value="<?= $fileArr["asset_name"]; ?>">
		</p>
		<p class="adminText">
		<b>Description (ALT-Text):</b><br>
		<input type="text" class="admininput" id="infoAlt" value="<?= $fileArr["asset_alt"]; ?>">
		</p>
		<p class="adminText">
		<b>Parameter:</b><br>
		<textarea class="admininputarea" id="infoParams"><?= $fileArr["asset_params"]; ?></textarea>
		</p>
		<p class="adminText">
		<b>Keywords:</b><br>
		<textarea class="admininputarea" id="infoKeywords"><?= $fileArr["asset_keywords"]; ?></textarea>
		</p>
		<p class="adminText">
		<a href="Javascript:okInfoFile();"><img src="system/img/oes_accept.png"></a>
		<a href="Javascript:cancelInfoFile();"><img src="system/img/oes_cancel.png"></a>
		</p>
		<?		
	}
	
	private function getForPermission()
	{
		$folder_key = $_POST["key"];
		$query = "SELECT * FROM ".$this->prefix."account WHERE account_group = 3 and account_lock = 0 order by account_email";
		$resArr = $this->db->select($query);
		?>
		<p class="adminText"><?= $this->adminLang["filepool"][48]; ?></p>
		<form name="forformular" id="forformular">
		<table border="0" cellpadding="0" cellspacing="0">
		<? 
		foreach($resArr as $row) 
		{ 
			$account_key = $row["account_key"];
			$param = array("account_key" => $account_key,"folder_key" => $folder_key);
			$query = "SELECT * FROM ".$this->prefix."poolpermission WHERE account_key = :account_key and folder_key = :folder_key and perm_type = 1";
			$selected = "";	
			if ($this->db->count($query,$param) == 1)
			{
				$selected = "checked";	
			}
			?>
		<tr valign="top">
		<td style="padding-right:5px;"><input name="account" value="<?= $account_key; ?>" <?= $selected; ?> type="checkbox" style="border-color: #fff;"></td>
		<td><p class="adminText" style="margin-top:0px;"><?= $row["account_email"]; ?></p></td>
		</tr>
		<? } ?>
		</table>
		</form>
		<?		
	}
	
	private function getPermission()
	{
		$folder_key = $_POST["key"];
		$query = "SELECT * FROM ".$this->prefix."account WHERE account_group = 3 and account_lock = 0 order by account_email";
		$resArr = $this->db->select($query);
		?>
		<p class="adminText"><?= $this->adminLang["filepool"][46]; ?></p>
		<form name="formular" id="formular">
		<table border="0" cellpadding="0" cellspacing="0">
		<? 
		foreach($resArr as $row) 
		{ 
			$account_key = $row["account_key"];
			$param = array("account_key" => $account_key,"folder_key" => $folder_key);
			$query = "SELECT * FROM ".$this->prefix."poolpermission WHERE account_key = :account_key and folder_key = :folder_key and perm_type = 0";
			$selected = "";	
			if ($this->db->count($query,$param) == 1)
			{
				$selected = "checked";	
			}
			?>
		<tr valign="top">
		<td style="padding-right:5px;"><input name="account" value="<?= $account_key; ?>" <?= $selected; ?> type="checkbox" style="border-color: #fff;"></td>
		<td><p class="adminText" style="margin-top:0px;"><?= $row["account_email"]; ?></p></td>
		</tr>
		<? } ?>
		</table>
		</form>
		<?		
	}
	
	private function refreshFile()
	{
		global $site_pool,$cache_path;
		$query = "SELECT * FROM ".$this->prefix."asset";
		$resArr = $this->db->select($query);
		$asset_create = date("YmdHis");
		$asset_creator = $_SESSION["account_email"];
		foreach ($resArr as $row)
		{
			if ($row["asset_create"] == "")
			{
				$param = array("asset_create" => $asset_create,"asset_key" => $row["asset_key"]);
				$query = "UPDATE ".$this->prefix."asset SET asset_create = :asset_create WHERE asset_key = :asset_key";
				$this->db->update($query,$param);
			}			
			if ($row["asset_creator"] == "")
			{
				$param = array("asset_creator" => $asset_creator,"asset_key" => $row["asset_key"]);
				$query2 = "UPDATE ".$this->prefix."asset SET asset_creator = :asset_creator WHERE asset_key = :asset_key";
				$this->db->update($query2,$param);
			}
			if ($this->set->getFilePoolMode() == 1)
			{
				$rp = realpath($site_pool);
				$rp = str_replace("\\","/",$rp);
				$foStr = $this->page->getFolderPath($row["folder_key"]);
			}
			else
			{
				$foStr = "/";
			}
			$path_parts = pathinfo($rp.$foStr.$row["asset_filename"]);
			$extension = strtolower($path_parts["extension"]);
			if (($extension == "png") || ($extension == "jpg") || ($extension == "gif"))
			{
				if (file_exists($cache_path."/".$row["asset_key"]."_".$row["asset_filename"]))
				{
					unlink($cache_path."/".$row["asset_key"]."_".$row["asset_filename"]);
				}
				if (file_exists($cache_path."/".$row["asset_filename"]))
				{
					unlink($cache_path."/".$row["asset_filename"]);
				}
				if (($extension == "png") && ($this->set->checkGD("PNG") == 1))
				{
					$this->page->create_thumbnail($rp.$foStr.$row["asset_filename"],$cache_path."/".$row["asset_key"]."_".$row["asset_filename"],50,50);						
				}
				if (($extension == "jpg") && ($this->set->checkGD("JPG") == 1))
				{
					$this->page->create_thumbnail($rp.$foStr.$row["asset_filename"],$cache_path."/".$row["asset_key"]."_".$row["asset_filename"],50,50);						
				}
				if (($extension == "gif") && ($this->set->checkGD("GIF") == 1))
				{
					$this->page->create_thumbnail($rp.$foStr.$row["asset_filename"],$cache_path."/".$row["asset_key"]."_".$row["asset_filename"],50,50);						
				}
			}
		}			
	}
	
	private function refreshFolder()
	{
		global $site_pool,$cache_path;
		$folder_key = $_GET["key"];
		$param = array("folder_key" => $folder_key);
		$query = "SELECT * FROM ".$this->prefix."asset WHERE folder_key = :folder_key";
		$resArr = $this->db->select($query,$param);
		if ($this->set->getFilePoolMode() == 1)
		{
			$rp = realpath($site_pool);
			$rp = str_replace("\\","/",$rp);
			$foStr = $this->page->getFolderPath($folder_key);
		}
		else
		{
			$foStr = "/";
		}
		foreach ($resArr as $row)
		{
			$path_parts = pathinfo($rp.$foStr.$row["asset_filename"]);
			$extension = strtolower($path_parts["extension"]);
			if (($extension == "png") || ($extension == "jpg") || ($extension == "gif"))
			{
				if (file_exists($cache_path."/".$row["asset_key"]."_".$row["asset_filename"]))
				{
					unlink($cache_path."/".$row["asset_key"]."_".$row["asset_filename"]);
				}
				if (($extension == "png") && ($this->set->checkGD("PNG") == 1))
				{
					$this->page->create_thumbnail($rp.$foStr.$row["asset_filename"],$cache_path."/".$row["asset_key"]."_".$row["asset_filename"],50,50);						
				}
				if (($extension == "jpg") && ($this->set->checkGD("JPG") == 1))
				{
					$this->page->create_thumbnail($rp.$foStr.$row["asset_filename"],$cache_path."/".$row["asset_key"]."_".$row["asset_filename"],50,50);						
				}
				if (($extension == "gif") && ($this->set->checkGD("GIF") == 1))
				{
					$this->page->create_thumbnail($rp.$foStr.$row["asset_filename"],$cache_path."/".$row["asset_key"]."_".$row["asset_filename"],50,50);						
				}
			}
		}			
	}
	
	private function deleteCache()
	{
		global $site_pool,$cache_path;
		$site_pool = $site_pool."/";
		$pool = opendir($site_pool);
		$fieldArr = explode(",",$this->set->getFieldList());
		while ($file = readdir($pool))
		{ 
	        if (($file != ".") && ($file != ".."))  
	        {
				$fields = "SELECT page_key FROM ".$this->prefix."page where";
				foreach ($fieldArr as $arrkey)
				{
					$fields .= " (".$arrkey." like '%$file%') or";
				}
				$fields = substr($fields,0,strlen($fields)-3);
				if ($this->db->count($fields) == 0)
				{
					if (file_exists($cache_path."/".$file))
					{
						unlink($cache_path."/".$file);
					}
					unlink($site_pool.$file);  
					$param = array("asset_filename" => $row["asset_filename"]);
					$query = "DELETE FROM ".$this->prefix."asset WHERE asset_filename = :asset_filename";
					$this->db->delete($query,$param);
				}            
			}
		}
		$query = "SELECT * FROM ".$this->prefix."asset";
		$resArr = $this->db->select($query);
		foreach ($resArr as $row)
		{
			if (!file_exists($site_pool.$row["asset_filename"]))
			{
				$param = array("asset_key" => $row["asset_key"]);
				$query = "DELETE FROM ".$this->prefix."asset WHERE asset_key = :asset_key";
				$this->db->delete($query,$param);
			}		
		}
		closedir($pool);
	}
	
	private function deleteFolderCache()
	{
		global $site_pool,$cache_path;
		$site_pool = $site_pool."/";
		$k = 1;
		$param = array("folder_key" => $k);
		$query = "SELECT * FROM ".$this->prefix."asset WHERE folder_key = :folder_key";
		$resArr = $this->db->select($query,$param);
		$fieldArr = explode(",",$this->set->getFieldList());
		foreach ($resArr as $row)
		{
			$fields = "SELECT page_key FROM ".$this->prefix."page where";
			foreach ($fieldArr as $arrkey)
			{
				$fields .= " (".$arrkey." like '%".$row["asset_filename"]."%') or";
			}
			$fields = substr($fields,0,strlen($fields)-3);
			if ($this->db->count($query) == 0)
			{
				if (file_exists($cache_path."/".$row["asset_filename"]))
				{
					unlink($cache_path."/".$row["asset_filename"]);
				}
				unlink($site_pool.$row["asset_filename"]);
				$param = array("folder_key" => $k,"asset_filename" => $row["asset_filename"]);
				$query = "DELETE FROM ".$this->prefix."asset WHERE folder_key = :folder_key AND asset_filename = :asset_filename";
				$this->db->delete($query,$param);
			}
		}
	}

	private function checkSearchterm($searchterm)
	{
		global $site_encoding;
		if ($site_encoding == "utf-8")
		{
			$searchterm = $this->dialog->removeQuotes($searchterm);
		}
		else
		{
			$searchterm = htmlentities(strip_tags(trim($this->dialog->removeQuotes($searchterm))));
		}
		return $searchterm;
	}
	
	private function getFiles()
	{
		global $site_pool,$cache_path;
		$key = $_GET["key"];
		$filter = $_GET["filter"];
		$view = $_GET["view"];
		$_SESSION["oe_filepool_listview"] = $view;
		if (isset($_GET["searchterm"]))
		{
			$searchterm = $this->checkSearchterm($_GET["searchterm"]);
			$param = array("folder_key" => $key);
			$query = "SELECT *,(SELECT asset_filename from oe_asset oea2 WHERE oea1.asset_thumb = oea2.asset_key) as parent_name,cast(if (asset_thumb = 0,asset_filename,concat((SELECT asset_filename from oe_asset oea2 WHERE oea1.asset_thumb = oea2.asset_key),'_thumb'))as char) as sort_key FROM ".$this->prefix."asset oea1 WHERE asset_filename like '%$searchterm%' OR asset_keywords like '%$searchterm%' ORDER BY sort_key";
			$resArr = $this->db->select($query,$param);
		}
		else
		{
			$_SESSION["oe_filepoolfolder"] = $key;
			$this->synchronFiles($key);
			$param = array("folder_key" => $key);
			$query = "SELECT *,(SELECT asset_filename from oe_asset oea2 WHERE oea1.asset_thumb = oea2.asset_key) as parent_name,cast(if (asset_thumb = 0,asset_filename,concat((SELECT asset_filename from oe_asset oea2 WHERE oea1.asset_thumb = oea2.asset_key),'_thumb'))as char) as sort_key FROM ".$this->prefix."asset oea1 WHERE folder_key = :folder_key ORDER BY sort_key";
			$resArr = $this->db->select($query,$param);
		}
		
		$counter = 1;
		$oe_thumb = new Thumbnail();
		if ($view == 0)
		{
			$isimage = false;
			foreach ($resArr as $row)
			{
				$isthumb = $this->isThumbnail($row["asset_key"]);
				$hasthumb = $this->hasThumbnail($row["asset_key"]);
				if ($this->set->getFilePoolMode() == 1)
				{
					$rp = realpath($site_pool);
					$rp = str_replace("\\","/",$rp);
					$foStr = $this->page->getFolderPath($row["folder_key"]);
					$retStr = $site_pool.$foStr;
					$shortStr = $foStr;
				}
				else
				{
					$foStr = "/";
					$retStr = $site_pool.$foStr;
					$shortStr = $foStr;
				}
				$path_parts = pathinfo($site_pool."/".$row["asset_filename"]);
				$extension = strtolower($path_parts["extension"]);
				if ($row["asset_name"] != "")
				{
					$file_name = substr($row["asset_name"],0,20);
				}
				else
				{
					$file_name = substr($row["asset_filename"],0,20);
				}
				$file_complete = $row["asset_filename"];
				if ($filter == "image")
				{
					if (($extension == "png") || ($extension == "jpg") || ($extension == "gif"))
					{
						$isimage = true;
						if (file_exists($cache_path."/".$row["asset_key"]."_".$row["asset_filename"]))
						{
							$thumbnail = $cache_path."/".$row["asset_key"]."_".$row["asset_filename"];	
						}
						else
						{
							if ($oe_thumb->createThumbnail($site_pool.$foStr.$row["asset_filename"],$cache_path."/".$row["asset_key"]."_".$row["asset_filename"],50,50))
							{
								$thumbnail = $cache_path."/".$row["asset_key"]."_".$row["asset_filename"];	
							}
							else
							{
								$thumbnail = "system/img/mimetypes/image.png";						
							}
						}
						if (file_exists($site_pool.$foStr.$row["asset_filename"]))
						{
							$size = getimagesize($site_pool.$foStr.$row["asset_filename"]);
							$info_str = round((filesize($site_pool.$foStr.$row["asset_filename"])/1024),2)." KB <br>".$this->adminLang["filepool"][42].": ".$size[0]." x ".$size[1]." px";
							$date_create = $row["asset_create"];
							$date_create = mktime(substr($row["asset_create"],8,2), substr($row["asset_create"],10,2), substr($row["asset_create"],12,2), substr($row["asset_create"],4,2), substr($row["asset_create"],6,2), substr($row["asset_create"],0,4));
							$date_create = date($this->adminLang["filepool"][52],$date_create);
							if ($row["asset_creator"] != "")
							{
								$info_str .= "<br>".$row["asset_creator"];
							}
							$info_str .= "<br>".$date_create; 
						}
						else 
						{
							$info_str = $this->adminLang["filepool"][60];
							$info_ico = "oes_exclamation.png";
						}
		?>
		<div class="imagerow" id="image_<?= $row["asset_key"]; ?>" onmouseover="imgBorderOn(<?= $row["asset_key"]; ?>);" onmouseout="imgBorderOff(<?= $row["asset_key"]; ?>);" onclick="imgActive(<?= $row["asset_key"]; ?>)">
		<div class="imageinfo" id="info_<?= $row["asset_key"]; ?>" onmouseover="return overlib('<?= $info_str; ?>', CAPTION, '', WIDTH, 250, FGCOLOR, '#ffffff', BGCOLOR, '#FF9933');" onmouseout="return nd();" style="display:none;"><a href="#" onclick="loadImgMenu(<?= $row["asset_key"]; ?>)"><img src="system/img/<?= $info_ico; ?>" alt=""></a></div>
		<? if ($hasthumb) { ?>
		<div class="thumbinfo"><a href="Javascript:showThumbnails(<?= $row["asset_key"]; ?>);"><img src="system/img/oes_thumbnails_show.png" alt="" id="thumbinfo_<?= $row["asset_key"]; ?>"></a></div>
		<? } ?>
		<div class="thumbnail" id="thumbnail_<?= $row["asset_key"]; ?>"><img src="<?= $thumbnail; ?>" title="<?= $file_complete; ?>"></div>
		<div class="filename" id="filename_<?= $row["asset_key"]; ?>"><?= $file_name; ?></div>
		<input type="hidden" id="src_<?= $row["asset_key"]; ?>" value="<?= $retStr.$row["asset_filename"]; ?>">
		<input type="hidden" id="short_<?= $row["asset_key"]; ?>" value="<?= $shortStr.$row["asset_filename"]; ?>">
		<input type="hidden" id="alt_<?= $row["asset_key"]; ?>" value="<?= $row["asset_alt"]; ?>">
		<input type="hidden" id="fn_<?= $row["asset_key"]; ?>" value="<?= $row["asset_filename"]; ?>">
		<input type="hidden" id="key_<?= $row["asset_key"]; ?>" value="<?= $row["asset_key"]; ?>">
		<? if ($isthumb) { ?>
		<input type="hidden" id="isthumb_<?= $row["asset_key"]; ?>" value="1">
		<? } else { ?>
		<input type="hidden" id="isthumb_<?= $row["asset_key"]; ?>" value="0">
		<? } ?>
		</div>
		<?			
					}
				}
				else
				{
					if (($extension == "png") || ($extension == "jpg") || ($extension == "gif"))
					{
						$isimage = true;
						if (file_exists($cache_path."/".$row["asset_key"]."_".$row["asset_filename"]))
						{
							$thumbnail = $cache_path."/".$row["asset_key"]."_".$row["asset_filename"];	
						}
						else
						{
							if ($oe_thumb->createThumbnail($site_pool.$foStr.$row["asset_filename"],$cache_path."/".$row["asset_key"]."_".$row["asset_filename"],50,50))
							{
								$thumbnail = $cache_path."/".$row["asset_key"]."_".$row["asset_filename"];	
							}
							else
							{
								$thumbnail = "system/img/mimetypes/image.png";						
							}
						}
						if (file_exists($site_pool.$foStr.$row["asset_filename"]))
						{
							$size = getimagesize($site_pool.$foStr.$row["asset_filename"]);
							$info_str = round((filesize($site_pool.$foStr.$row["asset_filename"])/1024),2)." KB <br>".$this->adminLang["filepool"][42].": ".$size[0]." x ".$size[1]." px";
							$date_create = $row["asset_create"];
							$date_create = mktime(substr($row["asset_create"],8,2), substr($row["asset_create"],10,2), substr($row["asset_create"],12,2), substr($row["asset_create"],4,2), substr($row["asset_create"],6,2), substr($row["asset_create"],0,4));
							$date_create = date($this->adminLang["filepool"][52],$date_create);
							if ($row["asset_creator"] != "")
							{
								$info_str .= "<br>".$row["asset_creator"];
							}
							$info_str .= "<br>".$date_create; 
							$info_ico = "oes_info.png";
						}
						else 
						{
							$info_str = $this->adminLang["filepool"][60];
							$info_ico = "oes_exclamation.png";
						}
		?>
		<div class="imagerow" <? if ($isthumb) { echo 'style="background-color:#dce8f2;display:none;"'; } ?> id="image_<?= $row["asset_key"]; ?>" onmouseover="imgBorderOn(<?= $row["asset_key"]; ?>);" onmouseout="imgBorderOff(<?= $row["asset_key"]; ?>);" onclick="imgActive(<?= $row["asset_key"]; ?>)">
		<div class="imageinfo" id="info_<?= $row["asset_key"]; ?>" onmouseover="return overlib('<?= $info_str; ?>', CAPTION, '', WIDTH, 250, FGCOLOR, '#ffffff', BGCOLOR, '#FF9933');" onmouseout="return nd();" style="display:none;"><a href="#" onclick="loadImgMenu(<?= $row["asset_key"]; ?>)"><img src="system/img/<?= $info_ico; ?>" alt=""></a></div>
		<? if ($hasthumb) { ?>
		<div class="thumbinfo"><a href="Javascript:showThumbnails(<?= $row["asset_key"]; ?>);"><img src="system/img/oes_thumbnails_show.png" id="thumbinfo_<?= $row["asset_key"]; ?>"></a></div>
		<? } ?>
		<div class="thumbnail" id="thumbnail_<?= $row["asset_key"]; ?>"><img src="<?= $thumbnail; ?>" title="<?= $file_complete; ?>"></div>
		<div class="filename" id="filename_<?= $row["asset_key"]; ?>"><?= $file_name; ?></div>
		<input type="hidden" id="src_<?= $row["asset_key"]; ?>" value="<?= $retStr.$row["asset_filename"]; ?>">
		<input type="hidden" id="short_<?= $row["asset_key"]; ?>" value="<?= $shortStr.$row["asset_filename"]; ?>">
		<input type="hidden" id="alt_<?= $row["asset_key"]; ?>" value="<?= $row["asset_alt"]; ?>">
		<input type="hidden" id="fn_<?= $row["asset_key"]; ?>" value="<?= $row["asset_filename"]; ?>">
		<input type="hidden" id="key_<?= $row["asset_key"]; ?>" value="<?= $row["asset_key"]; ?>">
		<? if ($isthumb) { ?>
		<input type="hidden" id="isthumb_<?= $row["asset_key"]; ?>" value="1">
		<? } else { ?>
		<input type="hidden" id="isthumb_<?= $row["asset_key"]; ?>" value="0">
		<? } ?>
		</div>
		<?			
					}
					elseif ($extension == "swf")
					{
						if (file_exists($site_pool.$foStr.$row["asset_filename"]))
						{
							$info_str = round((filesize($site_pool.$foStr.$row["asset_filename"])/1024),2)." KB";
							$date_create = $row["asset_create"];
							$date_create = mktime(substr($row["asset_create"],8,2), substr($row["asset_create"],10,2), substr($row["asset_create"],12,2), substr($row["asset_create"],4,2), substr($row["asset_create"],6,2), substr($row["asset_create"],0,4));
							$date_create = date($this->adminLang["filepool"][52],$date_create);
							if ($row["asset_creator"] != "")
							{
								$info_str .= "<br>".$row["asset_creator"];
							}
							$info_str .= "<br>".$date_create; 
							$info_ico = "oes_info.png";
						}
						else 
						{
							$info_str = $this->adminLang["filepool"][60];
							$info_ico = "oes_exclamation.png";
						}
		?>
		<div class="imagerow" id="image_<?= $row["asset_key"]; ?>" onmouseover="imgBorderOn(<?= $row["asset_key"]; ?>);" onmouseout="imgBorderOff(<?= $row["asset_key"]; ?>);" onclick="imgActive(<?= $row["asset_key"]; ?>)">
		<div class="imageinfo" id="info_<?= $row["asset_key"]; ?>" onmouseover="return overlib('<?= $info_str; ?>', CAPTION, '', WIDTH, 250, FGCOLOR, '#ffffff', BGCOLOR, '#FF9933');" onmouseout="return nd();" style="display:none;"><a href="#" onclick="loadImgMenu(<?= $row["asset_key"]; ?>)"><img src="system/img/<?= $info_ico; ?>" alt=""></a></div>
		<div class="thumbnail" id="thumbnail_<?= $row["asset_key"]; ?>"><div class="mimetype"><img src="system/img/mimetypes/swf.png" title="<?= $file_complete; ?>"></div></div>
		<div class="filename" id="filename_<?= $row["asset_key"]; ?>"><?= substr($file_name,0,20); ?></div>
		<input type="hidden" id="src_<?= $row["asset_key"]; ?>" value="<?= $retStr.$row["asset_filename"]; ?>">
		<input type="hidden" id="short_<?= $row["asset_key"]; ?>" value="<?= $shortStr.$row["asset_filename"]; ?>">
		<input type="hidden" id="alt_<?= $row["asset_key"]; ?>" value="<?= $row["asset_alt"]; ?>">
		<input type="hidden" id="fn_<?= $row["asset_key"]; ?>" value="<?= $row["asset_filename"]; ?>">
		<input type="hidden" id="key_<?= $row["asset_key"]; ?>" value="<?= $row["asset_key"]; ?>">
		<input type="hidden" id="isthumb_<?= $row["asset_key"]; ?>" value="0">
		</div>
		<?						
					}
					else
					{
						if (file_exists($site_pool.$foStr.$row["asset_filename"]))
						{
							$info_str = round((filesize($site_pool.$foStr.$row["asset_filename"])/1024),2)." KB";
							$date_create = $row["asset_create"];
							$date_create = mktime(substr($row["asset_create"],8,2), substr($row["asset_create"],10,2), substr($row["asset_create"],12,2), substr($row["asset_create"],4,2), substr($row["asset_create"],6,2), substr($row["asset_create"],0,4));
							$date_create = date($this->adminLang["filepool"][52],$date_create);
							if ($row["asset_creator"] != "")
							{
								$info_str .= "<br>".$row["asset_creator"];
							}
							$info_str .= "<br>".$date_create; 
							$info_ico = "oes_info.png";
						}
						else 
						{
							$info_str = $this->adminLang["filepool"][60];
							$info_ico = "oes_exclamation.png";
						}
		?>
		<div class="imagerow" id="image_<?= $row["asset_key"]; ?>" onmouseover="imgBorderOn(<?= $row["asset_key"]; ?>)" onmouseout="imgBorderOff(<?= $row["asset_key"]; ?>)" onclick="imgActive(<?= $row["asset_key"]; ?>)">
		<div class="imageinfo" id="info_<?= $row["asset_key"]; ?>" onmouseover="return overlib('<?= $info_str; ?>', CAPTION, '', WIDTH, 250, FGCOLOR, '#ffffff', BGCOLOR, '#FF9933');" onmouseout="return nd();" style="display:none;"><a href="#" onclick="loadImgMenu(<?= $row["asset_key"]; ?>)"><img src="system/img/<?= $info_ico; ?>" alt=""></a></div>
		<div class="thumbnail" id="thumbnail_<?= $row["asset_key"]; ?>"><div class="mimetype"><img src="system/img/mimetypes/<?= strtolower($extension); ?>.png" title="<?= $file_complete; ?>"></div></div>
		<div class="filename" id="filename_<?= $row["asset_key"]; ?>"><?= substr($file_name,0,20); ?></div>
		<input type="hidden" id="src_<?= $row["asset_key"]; ?>" value="<?= $retStr.$row["asset_filename"]; ?>">
		<input type="hidden" id="short_<?= $row["asset_key"]; ?>" value="<?= $shortStr.$row["asset_filename"]; ?>">
		<input type="hidden" id="alt_<?= $row["asset_key"]; ?>" value="<?= $row["asset_alt"]; ?>">
		<input type="hidden" id="fn_<?= $row["asset_key"]; ?>" value="<?= $row["asset_filename"]; ?>">
		<input type="hidden" id="key_<?= $row["asset_key"]; ?>" value="<?= $row["asset_key"]; ?>">
		<input type="hidden" id="isthumb_<?= $row["asset_key"]; ?>" value="0">
		</div>
		<?						
					}				
				}
		?>
		<div id="image_menu_<?= $row["asset_key"]; ?>" style="display:none;">
		<a href="Javascript:hideMenu();" class="context_title"><?= $this->adminLang["filepool"][43]; ?></a>
		<a href="Javascript:previewFile();" style="background-image:url(system/img/oes_preview.png);"><?= $this->adminLang["filepool"][32]; ?></a>
		<a href="Javascript:referenceFile();" style="background-image:url(system/img/oes_reference.png);"><?= $this->adminLang["filepool"][56]; ?></a>
		<? if (!$isthumb) { ?>
		<? if ($_SESSION["account_group"] == 2) { ?>
		<a href="Javascript:infoFile();" style="background-image:url(system/img/oes_info.png);"><?= $this->adminLang["filepool"][44]; ?></a>
		<a href="Javascript:deleteFile();" style="background-image:url(system/img/oes_imagedelete.png);"><?= $this->adminLang["filepool"][20]; ?></a>
		<a href="Javascript:cutFile();" style="background-image:url(system/img/oes_cut.png);"><?= $this->adminLang["filepool"][13]; ?></a>
		<? 
		if ($isimage) 
		{
			if ($hasthumb)
			{
		?>
		<a href="Javascript:deleteThumbnails();" style="background-image:url(system/img/oes_thumbnails.png);"><?= $this->adminLang["filepool"][66]; ?></a>
		<?
			}
			else
			{
		?>
		<a href="Javascript:createThumbnails();" style="background-image:url(system/img/oes_thumbnails.png);"><?= $this->adminLang["filepool"][65]; ?></a>
		<?
			}
		} 
		?>
		<? } else { ?>
		<? if ($this->user->poolPermission($key)) { ?>
		<a href="Javascript:infoFile();" style="background-image:url(system/img/oes_info.png);"><?= $this->adminLang["filepool"][44]; ?></a>
		<? if ($_SESSION["account_deletefile"] == 1) { ?>
		<a href="Javascript:deleteFile();" style="background-image:url(system/img/oes_imagedelete.png);"><?= $this->adminLang["filepool"][20]; ?></a>
		<? } ?>
		<a href="Javascript:cutFile();" style="background-image:url(system/img/oes_cut.png);"><?= $this->adminLang["filepool"][13]; ?></a>
		<? 
		if ($_SESSION["account_thumbnail"] == 1) 
		{ 
			if ($isimage) 
			{
				if ($hasthumb)
				{
			?>
			<a href="Javascript:deleteThumbnails();" style="background-image:url(system/img/oes_thumbnails.png);"><?= $this->adminLang["filepool"][66]; ?></a>
			<?
				}
				else
				{
			?>
			<a href="Javascript:createThumbnails();" style="background-image:url(system/img/oes_thumbnails.png);"><?= $this->adminLang["filepool"][65]; ?></a>
			<?
				}
			} 
		}}} 
		?>
		<? } ?>
		</div>
		<?			
				$counter++;
			}
		}
		else
		{
		?>
		<table id="fileTable" width="420" border="0" cellspacing="0" cellpadding="1" class="no-arrow sortable-onload-1">
		<thead>
		<tr style="background-color: #eee;">
		<th>&nbsp;</th>
		<th class="sortable" align="left" style="border-right:1px solid #fff;">&nbsp;<?= $this->adminLang["filepool"][53]; ?></th>
		<th class="sortable" align="left" style="border-right:1px solid #fff;">&nbsp;<?= $this->adminLang["filepool"][51]; ?></th>
		<th class="sortable-numeric" align="left">&nbsp;<?= $this->adminLang["filepool"][55]; ?> (KB)</th>
		</tr>
		</thead>
		<tbody>
		<?		
			foreach ($resArr as $row)
			{
				$isimage = false;
				$isthumb = $this->isThumbnail($row["asset_key"]);
				$hasthumb = $this->hasThumbnail($row["asset_key"]);
				if ($this->set->getFilePoolMode() == 1)
				{
					$rp = realpath($site_pool);
					$foStr = $this->page->getFolderPath($row["folder_key"]);
					$retStr = $site_pool.$foStr;
					$shortStr = $foStr;
				}
				else
				{
					$foStr = "/";
					$retStr = $site_pool.$foStr;
					$shortStr = $foStr;
				}
				$path_parts = pathinfo($site_pool."/".$row["asset_filename"]);
				$extension = strtolower($path_parts["extension"]);
				if ($row["asset_name"] != "")
				{
					$file_name = $row["asset_name"];
				}
				else
				{
					$file_name = $row["asset_filename"];
				}
				$date_create = $row["asset_create"];
				$date_create = mktime(substr($row["asset_create"],8,2), substr($row["asset_create"],10,2), substr($row["asset_create"],12,2), substr($row["asset_create"],4,2), substr($row["asset_create"],6,2), substr($row["asset_create"],0,4));
				$date_create = date($this->adminLang["filepool"][52],$date_create);
					
				if ($filter == "image")
				{
					if (($extension == "png") || ($extension == "jpg") || ($extension == "gif"))
					{
						$isimage = true;
						if ($isthumb)
						{
							$thumbnail = "system/img/oes_thumbnails.png";						
						}
						else
						{
							$thumbnail = "system/img/mimetypes/image.png";						
						}
						$size = getimagesize($site_pool.$foStr.$row["asset_filename"]);
						$info_str = round((filesize($site_pool.$foStr.$row["asset_filename"])/1024),2)." KB <br>".$this->adminLang["filepool"][42].": ".$size[0]." x ".$size[1]." px";
						$info_str .= "<br>".$row["asset_creator"]; 
						$kb = round((filesize($site_pool."/".$row["asset_filename"])/1024),2);
		?>
		<tr <? if ($isthumb) { echo 'style="cursor:pointer;background-color:#dce8f2;"'; } else { echo 'style="cursor:pointer;"'; } ?> id="image_<?= $row["asset_key"]; ?>" onmouseover="imgBorderOn(<?= $row["asset_key"]; ?>)" onmouseout="imgBorderOff(<?= $row["asset_key"]; ?>)" onclick="imgActive(<?= $row["asset_key"]; ?>)">
		<td align="center" width="18" height="20"><a href="#" onclick="loadImgMenu(<?= $row["asset_key"]; ?>)" onmouseover="return overlib('<?= $info_str; ?>', CAPTION, '', WIDTH, 250, FGCOLOR, '#ffffff', BGCOLOR, '#FF9933');" onmouseout="return nd();"><img alt="" src="<?= $thumbnail; ?>" id="info_<?= $row["asset_key"]; ?>" style="padding-top:2px;"></a></td>
		<td id="filename_<?= $row["asset_key"]; ?>" title="<?= $file_name; ?>"><?= substr($file_name,0,100); ?></td>
		<td><?= $date_create; ?></td>
		<td align="right" style="padding-right:5px;">
		<?= $kb; ?>	
		<input type="hidden" id="src_<?= $row["asset_key"]; ?>" value="<?= $retStr.$row["asset_filename"]; ?>">
		<input type="hidden" id="alt_<?= $row["asset_key"]; ?>" value="<?= $row["asset_alt"]; ?>">
		<input type="hidden" id="fn_<?= $row["asset_key"]; ?>" value="<?= $row["asset_filename"]; ?>">
		<input type="hidden" id="key_<?= $row["asset_key"]; ?>" value="<?= $row["asset_key"]; ?>">
		<input type="hidden" id="short_<?= $row["asset_key"]; ?>" value="<?= $shortStr.$row["asset_filename"]; ?>">
		<? if ($isthumb) { ?>
		<input type="hidden" id="isthumb_<?= $row["asset_key"]; ?>" value="1">
		<? } else { ?>
		<input type="hidden" id="isthumb_<?= $row["asset_key"]; ?>" value="0">
		<? } ?>		
		</td>
		</tr>
		<? 
					}
				}
				else
				{
					if (($extension == "png") || ($extension == "jpg") || ($extension == "gif"))
					{
						$isimage = true;
						if ($isthumb)
						{
							$thumbnail = "system/img/oes_thumbnails.png";						
						}
						else
						{
							$thumbnail = "system/img/mimetypes/image.png";						
						}
						$size = getimagesize($site_pool.$foStr.$row["asset_filename"]);
						$info_str = round((filesize($site_pool.$foStr.$row["asset_filename"])/1024),2)." KB <br>".$this->adminLang["filepool"][42].": ".$size[0]." x ".$size[1]." px";
						$info_str .= "<br>".$row["asset_creator"]; 
						$kb = round((filesize($site_pool.$foStr.$row["asset_filename"])/1024),2);
					}
					elseif ($extension == "swf")
					{
						$thumbnail = "system/img/mimetypes/swf.png";						
						$size = getimagesize($site_pool.$foStr.$row["asset_filename"]);
						$info_str = round((filesize($site_pool.$foStr.$row["asset_filename"])/1024),2)." KB <br>".$this->adminLang["filepool"][42].": ".$size[0]." x ".$size[1]." px";
						$info_str .= "<br>".$row["asset_creator"]; 
						$kb = round((filesize($site_pool.$foStr.$row["asset_filename"])/1024),2);
					}
					else
					{
						$thumbnail = "system/img/mimetypes/".strtolower($extension).".png";						
						$info_str = round((filesize($site_pool.$foStr.$row["asset_filename"])/1024),2)." KB";
						$info_str .= "<br>".$row["asset_creator"]; 
						$kb = round((filesize($site_pool.$foStr.$row["asset_filename"])/1024),2);
					}
		?>
		<tr <? if ($isthumb) { echo 'style="cursor:pointer;background-color:#dce8f2;"'; } else { echo 'style="cursor:pointer;"'; } ?> id="image_<?= $row["asset_key"]; ?>" onmouseover="imgBorderOn(<?= $row["asset_key"]; ?>)" onmouseout="imgBorderOff(<?= $row["asset_key"]; ?>)" onclick="imgActive(<?= $row["asset_key"]; ?>)">
		<td align="center" width="18" height="20"><a href="#" onclick="loadImgMenu(<?= $row["asset_key"]; ?>)" onmouseover="return overlib('<?= $info_str; ?>', CAPTION, '', WIDTH, 250, FGCOLOR, '#ffffff', BGCOLOR, '#FF9933');" onmouseout="return nd();"><img alt="" src="<?= $thumbnail; ?>" id="info_<?= $row["asset_key"]; ?>" style="padding-top:2px;"></a></td>
		<td id="filename_<?= $row["asset_key"]; ?>" title="<?= $file_name; ?>"><?= substr($file_name,0,100); ?></td>
		<td><?= $date_create; ?></td>
		<td align="right" style="padding-right:5px;">
		<?= $kb; ?>	
		<input type="hidden" id="src_<?= $row["asset_key"]; ?>" value="<?= $retStr.$row["asset_filename"]; ?>">
		<input type="hidden" id="alt_<?= $row["asset_key"]; ?>" value="<?= $row["asset_alt"]; ?>">
		<input type="hidden" id="fn_<?= $row["asset_key"]; ?>" value="<?= $row["asset_filename"]; ?>">
		<input type="hidden" id="key_<?= $row["asset_key"]; ?>" value="<?= $row["asset_key"]; ?>">
		<input type="hidden" id="short_<?= $row["asset_key"]; ?>" value="<?= $shortStr.$row["asset_filename"]; ?>">
		<? if ($isthumb) { ?>
		<input type="hidden" id="isthumb_<?= $row["asset_key"]; ?>" value="1">
		<? } else { ?>
		<input type="hidden" id="isthumb_<?= $row["asset_key"]; ?>" value="0">
		<? } ?>		
		</td>
		</tr>
		<? 
				} 
		?>
		<div id="image_menu_<?= $row["asset_key"]; ?>" style="display:none;">
		<a href="Javascript:hideMenu();" class="context_title"><?= $this->adminLang["filepool"][43]; ?></a>
		<? if ($isthumb) { ?>
		<a href="Javascript:previewFile();" style="background-image:url(system/img/oes_preview.png);"><?= $this->adminLang["filepool"][32]; ?></a>
		<a href="Javascript:referenceFile();" style="background-image:url(system/img/oes_reference.png);"><?= $this->adminLang["filepool"][56]; ?></a>
		<? } else { ?>
		<a href="Javascript:previewFile();" style="background-image:url(system/img/oes_preview.png);"><?= $this->adminLang["filepool"][32]; ?></a>
		<a href="Javascript:referenceFile();" style="background-image:url(system/img/oes_reference.png);"><?= $this->adminLang["filepool"][56]; ?></a>
		<? if ($_SESSION["account_group"] == 2) { ?>
		<a href="Javascript:infoFile();" style="background-image:url(system/img/oes_info.png);"><?= $this->adminLang["filepool"][44]; ?></a>
		<a href="Javascript:deleteFile();" style="background-image:url(system/img/oes_imagedelete.png);"><?= $this->adminLang["filepool"][20]; ?></a>
		<a href="Javascript:cutFile();" style="background-image:url(system/img/oes_cut.png);"><?= $this->adminLang["filepool"][13]; ?></a>
		<? 
		if ($isimage) 
		{
			if ($hasthumb)
			{
		?>
		<a href="Javascript:deleteThumbnails();" style="background-image:url(system/img/oes_thumbnails.png);"><?= $this->adminLang["filepool"][66]; ?></a>
		<? 
			} 
			else
			{
		?>
		<a href="Javascript:createThumbnails();" style="background-image:url(system/img/oes_thumbnails.png);"><?= $this->adminLang["filepool"][65]; ?></a>
		<? 
			}
		} 
		?>
		<? } else { ?>
		<? if ($this->user->poolPermission($key)) { ?>
		<a href="Javascript:infoFile();" style="background-image:url(system/img/oes_info.png);"><?= $this->adminLang["filepool"][44]; ?></a>
		<? if ($_SESSION["account_deletefile"] == 1) { ?>
		<a href="Javascript:deleteFile();" style="background-image:url(system/img/oes_imagedelete.png);"><?= $this->adminLang["filepool"][20]; ?></a>
		<? } ?>
		<a href="Javascript:cutFile();" style="background-image:url(system/img/oes_cut.png);"><?= $this->adminLang["filepool"][13]; ?></a>
		<?
		if ($_SESSION["account_thumbnail"] == 1)
		{ 
			if ($isimage) 
			{
				if ($hasthumb)
				{
			?>
			<a href="Javascript:deleteThumbnails();" style="background-image:url(system/img/oes_thumbnails.png);"><?= $this->adminLang["filepool"][66]; ?></a>
			<? 
				} 
				else
				{
			?>
			<a href="Javascript:createThumbnails();" style="background-image:url(system/img/oes_thumbnails.png);"><?= $this->adminLang["filepool"][65]; ?></a>
			<? 
				}
			}
		} 
		}} 
		} 
		?>
		</div>
		<?			
				$counter++;
			}			
		?>
		</tbody>
		</table>
		<?
		}		
	}
	
	private function isThumbnail($k)
	{
		$param = array("asset_key" => $k);
		$query = "SELECT asset_thumb FROM ".$this->prefix."asset WHERE asset_key = :asset_key";
		$asset = $this->db->row($query,$param);
		if ($asset["asset_thumb"] == 0)
		{
			return false;
		}
		else
		{
			return true;
		}
	}
	
	private function hasThumbnail($k)
	{
		$param = array("asset_thumb" => $k);
		$query = "SELECT asset_key FROM ".$this->prefix."asset WHERE asset_thumb = :asset_thumb";
		if ($this->db->count($query,$param) > 0)
		{
			return true;
		}
		else
		{
			return false;
		}
	}
	
	private function synchronFiles($folder_key)
	{
		global $site_pool;
		$param = array("folder_key" => $folder_key);
		$query = "SELECT * FROM ".$this->prefix."filepool WHERE folder_key = :folder_key";
		$resFolder = $this->db->row($query,$param);
		
		$param = array("folder_key" => $folder_key);
		$query = "SELECT * FROM ".$this->prefix."asset WHERE folder_key = :folder_key";
		$dbArr = $this->db->select($query,$param);
		
		$dbFolderArr = array();
		foreach ($dbArr as $value)
		{
			array_push($dbFolderArr,$value["asset_filename"]);
		}
		sort($dbFolderArr);
		
		$rp = realpath($site_pool);
		$rp = str_replace("\\","/",$rp);
		$folder_path = $this->getFolderPath($folder_key);
		$completePath = $rp."/".$folder_path;
		$d = dir($completePath);
		$fileFolderArr = array();
		while (($eintrag = $d->read()) != false)
		{
			if (($eintrag != ".") && ($eintrag != "..") && (!is_dir($rp."/".$folder_path."/".$eintrag)))
			{
				if ($eintrag == "Thumbs.db")
				{
					unlink($rp."/".$folder_path."/".$eintrag);
				}
				array_push($fileFolderArr,$eintrag);
			}
		}
		sort($fileFolderArr);
		if ($dbFolderArr != $fileFolderArr)
		{
			$this->clearDB($dbFolderArr,$fileFolderArr,$completePath);
			$this->importDB($dbFolderArr,$fileFolderArr,$completePath,$folder_key);
		}
	}
	
	private function clearDB($dbFolderArr,$fileFolderArr,$completePath)
	{
		global $cache_path;
		$counter = 0;
		$clearArr = array();
		foreach ($dbFolderArr as $value)
		{
			if (!in_array($value,$fileFolderArr,true))
			{
				array_push($clearArr,$dbFolderArr[$counter]);
			}
			$counter++;
		}
		foreach ($clearArr as $value)
		{
			$param = array("asset_filename" => $value);
			$query = "SELECT * FROM ".$this->prefix."asset WHERE asset_filename = :asset_filename";
			$resArr = $this->db->row($query,$param);
			$assetKey = $resArr["asset_key"];
			$param = array("asset_filename" => $value);
			$query = "DELETE FROM ".$this->prefix."asset WHERE asset_filename = :asset_filename";
			$this->db->delete($query,$param);
			if (file_exists($cache_path."/".$assetKey."_".$value))
			{
				unlink($cache_path."/".$assetKey."_".$value);
			}
		}
	}
	
	private function importDB($dbFolderArr,$fileFolderArr,$completePath,$folder_key)
	{
		global $site_pool,$cache_path;
		$counter = 0;
		$clearArr = array();
		$rp = realpath($site_pool);
		foreach ($fileFolderArr as $value)
		{
			if (!in_array($value,$dbFolderArr,true))
			{
				array_push($clearArr,$fileFolderArr[$counter]);
			}
			$counter++;
		}
		foreach ($clearArr as $value)
		{
			$fileName = $value;
			$foStr = $this->page->getFolderPath($folder_key);
			$path_parts = pathinfo($rp.$foStr.$fileName);
			$extension = "";
			if (isset($path_parts["extension"]))
			{
				$extension = strtolower($path_parts["extension"]);
			}
			$asset_create = date("YmdHis");
			$asset_creator = $_SESSION["account_email"];
			$param = array("asset_filename" => $fileName,"folder_key" => $folder_key,"asset_create" => $asset_create,"asset_creator" => $asset_creator);
			$query = "INSERT INTO ".$this->prefix."asset (asset_filename,folder_key,asset_create,asset_creator) VALUES (:asset_filename,:folder_key,:asset_create,:asset_creator)";
			$assetKey = $this->db->insert($query,$param);
			$oe_thumb = new Thumbnail();
			$oe_thumb->createThumbnail($rp.$foStr.$fileName,$cache_path."/".$assetKey."_".$fileName,50,50);
		}
		$param = array("folder_key" => $folder_key);
		$query = "DELETE FROM ".$this->prefix."asset WHERE folder_key = :folder_key AND asset_filename = 'Thumbs.db'";
		$this->db->delete($query,$param);
	}
	
	private function getFolderPath($folder_key)
	{
		$param = array("folder_key" => $folder_key);
		$query = "SELECT * FROM ".$this->prefix."filepool WHERE folder_key = :folder_key";
		$resFolder = $this->db->row($query,$param);
		$folder_parent = $resFolder["folder_parent"];
		$foArr = array();
		array_push($foArr,$resFolder["folder_name"]);
		while ($folder_parent != 0)
		{
			$param = array("folder_key" => $folder_parent);
			$query = "SELECT * FROM ".$this->prefix."filepool WHERE folder_key = :folder_key";
			$resFolder = $this->db->row($query,$param);
			$folder_parent = $resFolder["folder_parent"];
			array_push($foArr,$resFolder["folder_name"]);
		}
		array_pop($foArr);
		$foArr = array_reverse($foArr);
		$foStr = implode("/",$foArr);
		return $foStr;
	}
}
?>