<?php

/**
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * @package openEngine
 * @author Stephan Raabe
 */

class Login
{
	private $db;
	private $page;
	private $login;
	private $frontend;
	private $set;
	
	public function Login()
	{
		global $oe_db,$oe_page,$oe_frontend,$oe_set;
		$this->db = $oe_db;
		$this->page = $oe_page;
		$this->frontend = $oe_frontend;
		$this->set = $oe_set;
		$this->login = $this->setLanguage();
	}
	
	private function getLanguage()
	{
		$login_lang = "en";
		if (isset($_SERVER["HTTP_ACCEPT_LANGUAGE"]))
		{
			if (strlen($_SERVER["HTTP_ACCEPT_LANGUAGE"]) >= 2)
			{
				$temp_lang = strtolower(substr($_SERVER["HTTP_ACCEPT_LANGUAGE"],0,2));
				if ($temp_lang == "de")
				{
					$login_lang = "de";
				}
			}	
		}
		return $login_lang;		
	}
	
	private function setLanguage()
	{
		$login = array();
		if ($this->getLanguage() == "de")
		{
			$login[1] = "E-Mail/Benutzername";
			$login[2] = "Passwort";
			$login[3] = "Bitte beachten Sie: Das Setup-Verzeichnis existiert noch. Bitte l&ouml;schen Sie das Setup-Verzeichnis bevor Sie fortfahren.";
			$login[4] = "(Beachten Sie: Cookies und JavaScript m&uuml;ssen aktiviert sein!)";
			$login[5] = "Abbrechen";
			$login[6] = "Wollen Sie sich wirklich <b>abmelden</b>?";
			$login[7] = 'Copyright &copy; 2008 Stephan Raabe. openEngine&reg; ist eine registrierte Marke. Besuchen Sie <a href="http://www.openengine.de" target="_blank" style="font-size:9px;" class="adminLink">http://www.openengine.de</a> f&uuml;r weitere Details. openEngine wird mit ABSOLUT KEINER GARANTIE ausgeliefert; <a href="http://www.openengine.de/html/pages/de_system_license.htm" style="font-size:9px;" target="_blank" class="adminLink">Klicken Sie f&uuml;r weitere Details</a>. Es handelt sich um freie Software.';
			$login[8] = 'Ihr Passwort wurde durch den Administrator ge&auml;ndert. Bitte definieren Sie ein neues Passwort.';
			$login[9] = "Neues Passwort";
			$login[10] = "Neues Passwort wiederholen";
			$login[11] = "Bitte definieren Sie Ihr neues Passwort.";
			$login[12] = "Sie haben Ihr neues Passwort nicht korrekt wiederholt!";
			$login[13] = "Passwort-Fehler: Ihr Passwort ist zu kurz!";
			$login[14] = "Passwort-Fehler: Ihr Passwort ist zu einfach. Bitte erf&uuml;llen Sie mindestens zwei der drei oben genannten Kriterien!";
			$login[15] = "Bitte verwenden Sie gemischte Gro&szlig;- und Kleinschreibung, Ziffern und Sonderzeichen.";
			$login[16] = "Zeichen";
			$login[17] = "Bitte vergeben Sie ein neues Passwort.";
			$login[18] = "Sie haben ".$this->set->getSessionTimeout()." Sekunden nicht am System gearbeitet und wurden deswegen abgemeldet. Bitte melden Sie sich erneut an.";
		}
		else
		{
			$login[1] = "Email/Username";
			$login[2] = "Password";
			$login[3] = "Notice: The setup directory still exists. Please remove the setup directory before you continue.";
			$login[4] = "(Note: Cookies and JavaScript must be enabled!)";
			$login[5] = "Cancel";
			$login[6] = "Do you want to <b>logout</b>?";
			$login[7] = 'Copyright &copy; 2008 Stephan Raabe. openEngine&reg; is a registered trademark. Go to <a href="http://www.openengine.de" target="_blank" style="font-size:9px;" class="adminLink">http://www.openengine.de</a> for details. openEngine comes with ABSOLUTELY NO WARRANTY; <a href="http://www.openengine.de/html/pages/de_system_license.htm" style="font-size:9px;" target="_blank" class="adminLink">click for details</a>. This is free software.';
			$login[8] = 'Your password was changed by the administrator. Please define a new password.';
			$login[9] = "New password";
			$login[10] = "Repeat new password";
			$login[11] = "Please define your new password.";
			$login[12] = "You did not repeat your new password correctly!";
			$login[13] = "Password Error:Your new password is too short!";
			$login[14] = "Password Error: Your chosen password is too easy. Please meet at least two of the above mentioned requirements!";
			$login[15] = "Please use a composition of upper and lower case letters, digits and special characters.";
			$login[16] = "characters";
			$login[17] = "Please define a new password.";
			$login[18] = "You did not work ".$this->set->getSessionTimeout().". Please login again.";
		}
		return $login;
	}

	public function init()
	{
		if ((!isset($_GET["logout"])) && (isset($_SESSION["account_group"])) && ($_SESSION["account_group"] > 1) && (isset($_GET["id"])))
		{
			?>
		<script language="Javascript">
		location.href = "website.php?id=<?= $_GET["id"]; ?>";
		</script>	
			<?
		} 
		if (isset($_SESSION["account_group"]))
		{
			if ($_SESSION["account_group"] == 0)
			{ 
				$this->writeLoginForm();
			}
			else
			{
				if (($_SESSION["account_group"] == 3) && ($_SESSION["account_passwordchanged"] == 1) && ($this->set->repeatAuthorPassword()))
				{
					$this->writePasswordForm();
				}
				else
				{
					$this->writeLogoutForm();
				}
			}
		}
		else 
		{
			$this->writeLoginForm();
		}
		if ($this->set->getCompanyLogo() != "") 
		{ 
			?>
			<div id="company_logo" style="position:absolute; right:20px; bottom: 20px;"><img src="<?= $this->set->getCompanyLogo(); ?>" alt=""></div>
			<? 
		}
	}
	
	private function writeLoginForm()
	{
		if ((isset($_GET["timeout"])) && ($_GET["timeout"] == "true")) 
		{
			if (isset($_GET["id"]))
			{
				$path = "?id=".$_GET["id"]."&";
			}
			else
			{
				$path = "?";
			}			 
		?>
		<script type="text/javascript">
		if (window.opener)
		{
			window.opener.location.href = "website.php<?= $path; ?>admin=login&timeout=true";
			window.close();
		}
		</script>
		<?
		}
		global $page;
		$this->frontend->getAdminHead("Login","accounts");
		?>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
		<tr>
		<td width="100%" align="center" style="padding-top:60px;">
		<div style="border:1px solid #919B9C; width: 400px;">
		<form name="formular" method="post" action="">
		<div align="center">
		<p class="adminText" style="padding-top:20px;padding-bottom:10px;"><a href="http://www.openengine.de" target="_blank"><img src="system/img/oes_logo.png" alt="openEngine Homepage"></a></p>
		</div>
		<div align="center">
		<div align="left" style="width:250px;">
		<input type="hidden" name="action" value="loginInt">
		<input type="hidden" name="page_path" value="<?= $page["page_path"]; ?>">
		<? if ((isset($_GET["timeout"])) && ($_GET["timeout"] == "true")) { ?>
		<p class="adminText" style="color:red;"><?= $this->login[18]; ?></p>
		<? } ?>
		<p class="adminText">
		<b><?= $this->login[1]; ?>*:</b><br>
		<input type="text" name="account_email" value="" class="admininput" id="account_email" style="width:250px;">
		</p>
		<p class="adminText">
		<b><?= $this->login[2]; ?>*:</b><br>
		<input type="password" name="account_password" value="" class="admininput" style="font-family:arial,helvetica,sans-serif; font-size:13px;width:250px;">
		</p>
		<? if (file_exists("system/setup")) { ?>
		<p class="adminText" style="color:red; font-size:9px;"><?= $this->login[3]; ?></p>
		<? } ?>
		<p class="adminText" style="font-size:9px;"><?= $this->login[4]; ?></p>
		</div>
		</div>
		<div style="position:relative;height:20px;margin-top:40px;">
		<div class="oesubmitbuttons">
		<input type="submit" value="Ok" class="adminsubmitbtn"><input id="oe_btn_cancel" type="button" value="<?= $this->login[5]; ?>" class="adminsubmitbtn" onclick="Javascript:location.href='website.php';">
		</div>
		</div>
		</form>
		</div>
		<div style="width:400px;text-align:left;margin-top:5px;">
		<p class="adminText" style="font-size:9px;">
		<?= $this->set->getSystemHtml(); ?><br>
		<?= $this->login[7]; ?> 
		</p>
		</div>
		<script language="Javascript" type="text/javascript">
		window.onload = function()
		{
			Form.Element.focus("account_email");
		}
		</script>
		</td>
		</tr>
		</table>
		<?		
	}
	
	private function writeLogoutForm()
	{
		global $page;
		$this->frontend->getAdminHead("Logout","accounts"); 
		?>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
		<tr>
		<td width="100%" align="center" style="padding-top:60px;">
		<div style="border:1px solid #919B9C; width: 400px;">
		<form name="formular" method="post" action="">
		<div align="center">
		<p class="adminText" style="padding-top:20px;padding-bottom:10px;"><a href="http://www.openengine.de" target="_blank"><img src="system/img/oes_logo.png" alt="openEngine Homepage"></a></p>
		</div>
		<div align="center">
		<p class="adminText"><?= $this->login[6]; ?></p>
		<div>
		<input type="hidden" name="action" value="logoutInt">
		<input type="hidden" name="page_path" value="<?= $page["page_path"]; ?>">
		</div>
		</div>
		<div style="position:relative;height:20px;margin-top:40px;">
		<div class="oesubmitbuttons">
		<input type="submit" value="Ok" class="adminsubmitbtn"><input id="oe_btn_cancel" type="button" value="<?= $this->login[5]; ?>" class="adminsubmitbtn" onclick="Javascript:location.href='website.php';">
		</div>
		</div>
		</form>
		</div>
		<div style="width:400px;text-align:left;margin-top:5px;">
		<p class="adminText" style="font-size:9px;">
		<?= $this->set->getSystemHtml(); ?><br>
		<?= $this->login[7]; ?> 
		</p>
		</div>
		</td>
		</tr>
		</table>
		<?
	}
	
	private function writePasswordForm()
	{
		global $page;
		if (!isset($_SESSION["oe_dialog_changepassword"]))
		{
			$_SESSION["oe_dialog_changepassword"] = 6;
		}
		$msg = "";
		switch($_SESSION["oe_dialog_changepassword"])
		{
			case 5:
				$msg = $this->login[11];
			break;
			case 4:
				$msg = $this->login[12];
			break;
			case 3:
				$msg = $this->login[17];
			break;
			case 2:
				$msg = $this->login[13];
			break;
			case 1:
				$msg = $this->login[14];
			break;
		}
		$this->frontend->getAdminHead($this->login[9],"accounts");
		?>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
		<tr>
		<td width="100%" align="center" style="padding-top:60px;">
		<div style="border:1px solid #919B9C; width: 400px;">
		<form name="formular" method="post" action="">
		<div align="center">
		<p class="adminText" style="padding-top:20px;padding-bottom:10px;"><a href="http://www.openengine.de" target="_blank"><img src="system/img/oes_logo.png" alt="openEngine Homepage"></a></p>
		</div>
		<div align="center">
		<div align="left" style="width:250px;">
		<input type="hidden" name="action" value="passwordInt">
		<input type="hidden" name="page_path" value="<?= $page["page_path"]; ?>">
		<p class="adminText"><?= $this->login[8]; ?></p>
		<? if ($this->set->checkPasswordComplexity()) { ?>
		<p class="adminText"><?= $this->login[15]; ?></p>
		<? } ?>
		<p class="adminText">
		<b><?= $this->login[9]; ?> (min. <?= $this->set->getPasswordLength(); ?> <?= $this->login[16]; ?>)*:</b><br>
		<input type="password" name="account_password" value="" class="admininput" id="account_password" style="font-family:arial,helvetica,sans-serif; font-size:13px;width:250px;">
		</p>
		<p class="adminText">
		<b><?= $this->login[10]; ?>*:</b><br>
		<input type="password" name="account_password_new" value="" class="admininput" id="account_password_new" style="font-family:arial,helvetica,sans-serif; font-size:13px;width:250px;">
		</p>
		<? if ($_SESSION["oe_dialog_changepassword"] != 6) { ?>
		<div id="message" style="margin-bottom:10px;margin-left:6px;">
		<table border="0" cellpadding="0" cellspacing="0">
		<tr valign="top">
		<td style="padding-right:3px;"><img src="system/img/oes_exclamation.png" alt=""></td>
		<td valign="middle"><div id="message_text" style="color:red;"><?= $msg; ?></div></td>
		</tr>
		</table>
		</div>		
		<? } ?>
		</div>
		</div>
		<div style="position:relative;height:20px;margin-top:40px;">
		<div class="oesubmitbuttons">
		<input type="submit" value="Ok" class="adminsubmitbtn">
		</div>
		</div>
		</form>
		</div>
		<div style="width:400px;text-align:left;margin-top:5px;">
		<p class="adminText" style="font-size:9px;">
		<?= $this->set->getSystemHtml(); ?><br>
		<?= $this->login[7]; ?> 
		</p>
		</div>
		<script language="Javascript" type="text/javascript">
		window.onload = function()
		{
			Form.Element.focus("account_password");
		}
		</script>
		</td>
		</tr>
		</table>
		<?		
	}
}	
?>