<?php

/**
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * @package openEngine
 * @author Stephan Raabe
 */

class Template
{
	private $db;
	private $prefix;
		
	public function Template()
	{
		global $oe_db,$oe_page,$db_praefix,$oe_set;
		$this->db = $oe_db;
		$this->prefix = $db_praefix;
	}
	
	public function getTemplateList($page_key)
	{
		return $this->filterTemplateList($this->getTemplates($page_key));
	}
	
	public function checkTemplatePermission($page_key)
	{
		if ($_SESSION["account_group"] == 2)
		{
			return true;
		}
		else
		{
			$resArr = $this->getTemplateInfos($this->getPageTemplate($page_key));
			if ($resArr["template_permission"] == 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	
	public function checkTemplatePermissionName($template)
	{
		if ($_SESSION["account_group"] == 2)
		{
			return true;
		}
		else
		{
			$resArr = $this->getTemplateInfos($template);
			if ($resArr["template_permission"] == 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	
	public function getTemplate($page_key)
	{
		return $this->getTemplateInfos($this->getPageTemplate($page_key));
	}
	
	private function filterTemplateList($list)
	{
		if ($_SESSION["account_group"] == 2)
		{
			return $list;
		}
		else
		{
			$retList = array();
			foreach($list as $row)
			{
				if ($row["template_permission"] == 0)
				{
					array_push($retList,$row);
				}
			}
			return $retList;
		}
	}
	
	private function getTemplates($page_key)
	{
		$template_select = $this->getTemplateSelect($page_key);
		if ($template_select == "")
		{
			return $this->db->select("SELECT * FROM ".$this->prefix."template ORDER BY template_description");
		}
		else
		{
			$retArr = array();
			foreach (explode(",",$template_select) as $value)
			{
				array_push($retArr,$this->getTemplateInfos(trim($value)));	
			}
			return $retArr;
		}
	}
	
	private function getTemplateSelect($page_key)
	{
		$resArr = $this->getTemplateInfos($this->getPageTemplate($page_key));
		return $resArr["template_select"];
	}
	
	private function getPageTemplate($page_key)
	{
		$param = array("page_key" => $page_key);
		$query = "SELECT page_template FROM ".$this->prefix."page WHERE page_key = :page_key";
		$resArr = $this->db->row($query,$param);
		return $resArr["page_template"];		
	}
	
	private function getTemplateInfos($template)
	{
		$param = array("template_name" => $template);
		$query = "SELECT * FROM ".$this->prefix."template WHERE template_name = :template_name";
		return $this->db->row($query,$param);
	}
}
?>