<?php

/**
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * @package openEngine
 * @author Stephan Raabe
 */

include($oe_classpath."/openengine/random.php");

class User
{
	var $db;
	var $prefix;
	var $set;
	var $session;
		
	function User()
	{
		global $db_praefix,$oe_set,$oe_db,$oe_session;
		$this->prefix = $db_praefix;
		$this->db = $oe_db;
		$this->set = $oe_set;
		$this->session = $oe_session;
	}
		
	function setCookie()
	{
		setcookie("account_email",$_SESSION["account_email"],time()+ (3600 * 24 * 365));
		setcookie("account_password",$_SESSION["account_password"],time()+ (3600 * 24 * 365));
	}
	
	function resetCookie()
	{
		if (isset($_COOKIE["account_email"]))
		{
			setcookie("account_email","");
		}
		if (isset($_COOKIE["account_password"]))
		{
			setcookie("account_password","");
		}
	}
	
	function login($account_email,$account_password)
	{
		$account_password = md5($account_password);	
		$param = array("account_email" => $account_email, "account_password" => $account_password);
		$query = "SELECT * FROM ".$this->prefix."account WHERE (account_email = :account_email) AND (account_password = :account_password) AND (account_lock = 0) AND (account_group > 1)";
		$resArr = $this->db->row($query,$param);
		if (sizeof($resArr) > 1)
		{
			session_regenerate_id();			
			$resArr = $this->db->row($query,$param);
			foreach (array_keys($resArr) as $value)
			{
				$_SESSION[$value] = $resArr[$value];
			}
			$_SESSION["preview"] = 0;
			$oe_random = new Random();
			$_SESSION["account_randomkey"] = $oe_random->getRandomString(16);
			$this->session->setOeCookie($_SESSION["account_randomkey"]);
			if (isset($_POST["page_path"]))
			{
				?>
				<script type="text/javascript">
				location.href="website.php?id=<?= $_POST["page_path"]; ?>";
				</script>
				<?
			}
			return true;
		}
		else
		{
			return false;
		}
	}
	
	function password($account_password,$account_password_new)
	{
		$oe_password = new Password();
		$password_old = $_SESSION["account_password"];
		if (($account_password != "") && ($account_password_new != ""))
		{
			if ($account_password == $account_password_new)
			{
				if (md5($account_password) != $password_old)
				{
					if ($oe_password->checkLength($account_password))
					{
						if ($oe_password->checkComplexity($account_password))
						{
							$_SESSION["oe_dialog_changepassword"] = 0;
							$_SESSION["account_passwordchanged"] = 0;
							$param = array("account_key" => $_SESSION["account_key"],"account_password" => md5($account_password));
							$query = "UPDATE ".$this->prefix."account SET account_password = :account_password, account_passwordchanged = 0 WHERE account_key = :account_key";
							$this->db->update($query,$param);
							header("Location: website.php");
						}
						else
						{
							$_SESSION["oe_dialog_changepassword"] = 1;
						}
					}
					else
					{
						$_SESSION["oe_dialog_changepassword"] = 2;
					}
				}
				else
				{
					$_SESSION["oe_dialog_changepassword"] = 3;
				}
			}
			else
			{
				$_SESSION["oe_dialog_changepassword"] = 4;
			}
		}
		else
		{
			$_SESSION["oe_dialog_changepassword"] = 5;
		}
	}
	
	function logout()
	{
		$this->session->unsetOeCookie();
		session_unset();
		session_destroy();
	}

	function isAdmin()
	{
		if (isset($_GET["export"]))
		{
			return false;
		}
		else 
		{
			if ($_SESSION["account_group"] > 1)
			{
				return true;
			}
			else
			{	
				return false;
			}
		}
	}

	function getAdmins()
	{
		$query = "SELECT * FROM ".$this->prefix."account WHERE account_group = 2 ORDER BY account_lastname";
		return $this->db->select($query);
	}
	
	function getAuthors()
	{
		$query = "SELECT * FROM ".$this->prefix."account WHERE account_group = 3 ORDER BY account_lastname";
		return $this->db->select($query);
	}

	function getGroup($account_group)
	{
		$group_name = "";
		switch ($account_group)
		{
	 	   	case "1":
				$group_name = "User";
	        break;
	 	   	case "2":
				$group_name = "Administrator";
	        break;
	 	   	case "3":
				$group_name = "Author";
	        break;
		}
		return $group_name;
	}

	function isAdministrator()
	{
		if ((isset($_SESSION["preview"])) && ($_SESSION["preview"] == 1))
		{
			return false;
		}
		else
		{
			if ($_SESSION["account_group"] == 2)
			{
				return true;
			}
			else
			{	
				return false;
			}
		}		
	}
	
	function isAuthor()
	{
		if ((isset($_SESSION["preview"])) && ($_SESSION["preview"] == 1))
		{
			return false;
		}
		else
		{
			if ($_SESSION["account_group"] == 3)
			{
				return true;
			}
			else
			{	
				return false;
			}
		}		
	}
	
	function pagePermission($k)
	{
		global $oe_page;
		$pageArr = $oe_page->getPageKey($k,true,true);
		if (isset($_GET["export"]))
		{
			return false;
		}
		else 
		{
			if ($this->set->getPagePermission() == 0)
			{
				if (($_SESSION["account_group"] == 2) || (($_SESSION["account_group"] == 3)))
				{
					return true;
				}
				else
				{
					return false;		
				}
			}
			else
			{
				$perm = false;
				$permset = 0;
				if ($_SESSION["account_group"] == 2)
				{
					$perm = true;
				}
				elseif ($_SESSION["account_group"] == 3)
				{
					$oe_template = new Template();
					if ($oe_template->checkTemplatePermission($k))
					{
						$pageArr = $oe_page->getPageKey($k,false,true);
						$page_parent = $pageArr["page_parent"];
						$account_key = $_SESSION["account_key"];
						$param = array("account_key" => $account_key, "page_key" => $k);
						$query = "SELECT perm_key,perm_type FROM ".$this->prefix."permission WHERE account_key = :account_key AND page_key = :page_key";
						$permArr = $this->db->row($query,$param);
						if (sizeof($permArr) > 1)
						{
							if ($permArr["perm_type"] == 0)
							{
								$perm = true;
								$permset = 1;
							}					
							if ($permArr["perm_type"] == 1)
							{
								$perm = false;
								$permset = 1;
							}					
						}
						else
						{
							while (($page_parent != 0) && ($permset == 0))
							{
								$page_key = $page_parent;
								$pageArr = $oe_page->getPageKey($page_parent,true,true);
								$page_parent = $pageArr["page_parent"];
								$account_key = $_SESSION["account_key"];
								$param = array("account_key" => $account_key, "page_key" => $page_key);
								$query = "SELECT perm_key,perm_type FROM ".$this->prefix."permission WHERE account_key = :account_key AND page_key = :page_key";
								$permArr2 = $this->db->row($query,$param);
								if (sizeof($permArr2) > 1)
								{
									if ($permArr2["perm_type"] == 0)
									{
										$perm = true;
										$permset = 1;
									}					
									if ($permArr2["perm_type"] == 1)
									{
										$perm = false;
										$permset = 1;
									}					
								}
							}
						}
					}
					else
					{
						return false;
					}
				}
				else
				{
					$perm = false;
				}
				return $perm;
			}		
		}
	}
	
	function poolPermission($k)
	{
		if ($this->set->getPagePermission() == 0)
		{
			return true;
		}
		else
		{
			$perm = false;
			$permset = 0;
			if ($_SESSION["account_group"] == 2)
			{
				$perm = true;
			}
			elseif ($_SESSION["account_group"] == 3)
			{
				$param = array("folder_key" => $k);
				$query = "SELECT * FROM ".$this->prefix."filepool WHERE folder_key = :folder_key";
				$folderArr = $this->db->row($query,$param);
				$folder_parent = $folderArr["folder_parent"];
				$account_key = $_SESSION["account_key"];
				$param = array("account_key" => $account_key,"folder_key" => $k);
				$query = "SELECT * FROM ".$this->prefix."poolpermission WHERE account_key = :account_key AND folder_key = :folder_key";
				$permArr = $this->db->row($query,$param);
				if (sizeof($permArr) > 1)
				{
					if ($permArr["perm_type"] == 0)
					{
						$perm = true;
						$permset = 1;
					}					
					if ($permArr["perm_type"] == 1)
					{
						$perm = false;
						$permset = 1;
					}					
				}
				else
				{
					while (($folder_parent != 0) && ($permset == 0))
					{
						$folder_key = $folder_parent;
						$param = array("folder_key" => $folder_parent);
						$query = "SELECT * FROM ".$this->prefix."filepool WHERE folder_key = :folder_key";
						$folderArr = $this->db->row($query,$param);
						$folder_parent = $folderArr["folder_parent"];
						$account_key = $_SESSION["account_key"];
						$param = array("account_key" => $account_key, "folder_key" => $folder_key);
						$query = "SELECT * FROM ".$this->prefix."poolpermission WHERE account_key = :account_key AND folder_key = :folder_key";
						$permArr2 = $this->db->row($query,$param);
						if (sizeof($permArr2) > 1)
						{
							if ($permArr2["perm_type"] == 0)
							{
								$perm = true;
								$permset = 1;
							}					
							if ($permArr2["perm_type"] == 1)
							{
								$perm = false;
								$permset = 1;
							}					
						}
					}
				}
			}
			else
			{
				$perm = false;
			}
			return $perm;		
		}
	}	
	
	function getAccount($account_key)
	{
		$param = array("account_key" => $account_key);
		$query = "SELECT * FROM ".$this->prefix."account WHERE account_key = :account_key";
		return $this->db->row($query,$param);
	}
	
	function deleteAccount($account_key)
	{
		$param = array("account_key" => $account_key);
		$query = "DELETE FROM ".$this->prefix."account WHERE account_key = :account_key";
		$this->db->delete($query,$param);
	}	

	function getFreeaccounts()
	{
		$query = "SELECT account_key FROM ".$this->prefix."account WHERE (account_group = 1) AND (account_lock = 0) ORDER BY account_lastname";
		return $this->db->count($query);
	}
	
	function getAdminaccounts()
	{
		$query = "SELECT account_key FROM ".$this->prefix."account WHERE (account_group != 1) AND (account_group != 0) AND (account_lock = 0) ORDER BY account_lastname";
		return $this->db->count($query);
	}
	
	function getInfoaccounts()
	{
		$query = "SELECT account_key FROM ".$this->prefix."account WHERE (account_group != 0) AND (account_lock = 0) AND (account_info = 1) ORDER BY account_lastname";
		return $this->db->count($query);
	}
}
?>