<?php

/**
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * @package openEngine
 * @author Stephan Raabe
 */
require($oe_classpath."/openengine/mysql.php");
require($oe_classpath."/openengine/settings.php");
require($oe_classpath."/openengine/page.php");
require($oe_classpath."/openengine/structure.php");
require($oe_classpath."/openengine/action.php");
require($oe_classpath."/openengine/login.php");
require($oe_classpath."/openengine/language.php");
require($oe_classpath."/openengine/editor.php");
require($oe_classpath."/openengine/output.php");
require($oe_classpath."/openengine/frontend.php");
require($oe_classpath."/openengine/generator.php");
require($oe_classpath."/openengine/session.php");
require($oe_classpath."/openengine/user.php");
require($oe_classpath."/openengine/changedate.php");
require($oe_classpath."/openengine/log.php");
require($oe_classpath."/openengine/helper.php");
require($oe_classpath."/openengine/translatepath.php");
require($oe_classpath."/openengine/extranet.php");
include($oe_classpath."/openengine/password.php");

$oe_generator = new Generator();
$oe_generator->setCharset();
$oe_db = new DataBase($db_server, $db_user, $db_password, $db_name, $site_encoding);
$oe_set = new Settings();
$freelist = $oe_set->getFreeList();
require($oe_classpath."/openengine/wrapper.php");

$oe_session = new Session();
$oe_session->init();
$oe_user = new User();
$oe_extranet = new Extranet();
if ((isset($_GET["preview"])) && ($_SESSION["account_group"] >= 2))
{ 
	if ($_GET["preview"] == "on")
	{
		$_SESSION["preview"] = 1;
	}
	if ($_GET["preview"] == "off")
	{
		$_SESSION["preview"] = 0;
	}
}
$oe_page = new Page();
$oe_frontend = new Frontend();
$oe_lang = new Language();
$oe_pageaction = new Action();
$oe_output = new Output();

$oe_page->checkUrl();
$page = $oe_page->getPage($oe_page->getInput());
if ($page["page_rows"] == 1)
{
	$global_key = $page["page_key"];
	$path = $oe_page->getPath($page);
	$primary = $oe_page->getPrimary();	
	$siblings = $oe_page->getSiblings();	
	$children = $oe_page->getChildren();
	$childs = $children;	
	$page_lang	= $path[0]["page_lang"];
	$lang = $oe_page->getLang($page_lang);
	$template = $oe_page->getTemplate($page);
	$template_info = $oe_page->getTemplateInfo($template);

	$oe_lang->setLanguage();
	$lang_input = $oe_lang->lang_input;
	$lang_admin = $oe_lang->lang_admin;
	$lang_list = $oe_lang->lang_list;
	$admin_lang = $oe_lang->loadLanguage($lang_admin);
	$oe_pageaction->pageAction();
	$oe_extranet->loginCookie();
	if ((isset($_GET["admin"])) && ($_GET["admin"] == "login"))
	{
		$oe_frontend->writeHtmlHead();
	    $oe_login = new Login();
		$oe_login->init();
	    $oe_frontend->writeHtmlBottom();
	}
	else 
	{
		if (!$oe_user->isAdmin())
		{
          	if ($template_info["template_hide"] == 0)
            {
                if (isset($_GET["rss"]))
                {
	            	$oe_page->writeRss();
                }
				elseif ($page["page_include"] != "")
				{
					echo $oe_page->writeInclude();
				}
                else
                {
					$oe_page->updateStatistic($page);
					if (file_exists($oe_set->getTemplatePath()."/_system/init.php"))
					{
						include($oe_set->getTemplatePath()."/_system/init.php");
					}
                	include($oe_set->getTemplatePath()."/_system/head.php");
					$template_arr = $oe_page->getTemplateSource($page["page_template"]);
					if ($template_arr["template_source"] != "")
					{
						eval("?>".$template_arr["template_source"]."<?");	
					}
					else
					{
						if (file_exists($oe_set->getTemplatePath()."/".$template."/index.php"))
						{
							include($oe_set->getTemplatePath()."/".$template."/index.php");
						}
						else
						{
							echo "<style type='text/css'>"."\n";
							echo "body {background-color:#fff; text-align:left; }"."\n";
							echo "</style>"."\n";
							echo "<div style='margin:20px;'><h1>Warning</h1><p>Template not available</p></div>";
						}
					} 
                    include($oe_set->getTemplatePath()."/_system/bottom.php");
                }
            }
            else
            {
				if (file_exists($oe_set->getTemplatePath()."/".$template."/index.php"))
				{
	                include($oe_set->getTemplatePath()."/".$template."/index.php");
				}
				else 
				{
					die();
				}
            }
		}
		else
		{
			$oe_session->checkSessionTimeout();
			$oe_session->checkAuthorSession();
			require($oe_classpath."/openengine/ajax.php");
			require($oe_classpath."/openengine/menu.php");
			require($oe_classpath."/openengine/dialog.php");
			require($oe_classpath."/openengine/interface.php");
			require($oe_classpath."/openengine/template.php");
			require($oe_classpath."/openengine/properties.php");
			if (($_SESSION["account_group"] == 3) && ($_SESSION["account_passwordchanged"] == 1) && ($oe_set->repeatAuthorPassword()))
			{
				header("Location: website.php?admin=login");
			}
			if (($page["page_rows"] == 0) && (isset($_GET["admin"])) && ($_GET["admin"] == "printstyle"))
			{
		        include($oe_systempath."/printstyle/index.php");
			}
			else
			{
				$oe_menu = new Menu();
			    if (isset($_GET["admin"]))
			    {
					$oe_dialog = new Dialog();
			        $oe_adminaction = new Action();
			        $oe_adminaction->adminAction();
					$pos = strpos($_GET["admin"], "ajax");
					if ($pos === false) 
					{
		    	       	if ((isset($_GET["enterprise"])) && ($_GET["enterprise"] = "1"))
		        	   	{
				     	   	if (file_exists($oe_enterprisepath."/".$_GET["admin"]."/index.php"))
			           		{
					       		if ((isset($_GET["code"])) && ($_GET["code"] == 1))
					       		{
					    	   		require($oe_enterprisepath."/".$_GET["admin"]."/index.php");
					        	}
					           	else 
					           	{
				           			$oe_frontend->writeHtmlHead();
					     	    	require($oe_enterprisepath."/".$_GET["admin"]."/index.php");
					    		    $oe_frontend->writeHtmlBottom();
					           	}
			           		}
		           			else
		           			{
		           				die();
		           			}
		           		}
		           		else
	    	       		{
			     	     	if (file_exists($oe_systempath."/".$_GET["admin"]."/index.php"))
			     	     	{
				           		$oe_frontend->writeHtmlHead();
			           			require($oe_systempath."/".$_GET["admin"]."/index.php");
			    		        $oe_frontend->writeHtmlBottom();
			     	     	}
			     	     	else
			     	     	{
			     	     		die();
			     	     	}	    
	    	       		}
					} 
					else 
					{
		     	     	if (file_exists($oe_systempath."/".$_GET["admin"]."/index.php"))
		     	     	{
		           			require($oe_systempath."/".$_GET["admin"]."/index.php");
		     	     	}
		     	     	else 
		     	     	{
		     	     		die();
		     	     	}
	           		}
			    }
			    else
			    {
			       if ($template_info["template_hide"] == 0)
			       {
			            if (isset($_GET["rss"]))
			            {
				            $oe_page->writeRss();
			            }
			            else
			            {
							if ($page["page_include"] != "")
							{
				                $oe_frontend->writeHtmlHead();
				                if ($oe_set->getMenuMode() == 0)
				                {
				                	include($oe_systempath."/menu/advanced.php");
				                }
				                else
				                {
				                	include($oe_systempath."/menu/simple.php");
				                }
	?>
	<iframe src="<?= $page["page_include"]; ?>" style="width:100%;height:600px;" frameborder="0"></iframe>
	<?
				                $oe_frontend->writeHtmlBottom();
							}
				            else
				            {
			   					if (file_exists($oe_set->getTemplatePath()."/_system/init.php"))
								{
									include($oe_set->getTemplatePath()."/_system/init.php");
								}
				                include($oe_set->getTemplatePath()."/_system/head.php");
				                if ($_SESSION["preview"] == 1)
				                {
				                	if ((!$oe_set->getExtranet()) || ($oe_user->pagePermission($page["page_key"])))
				                	{
					                	if ($lang_admin == "de")
					                	{
											$preview_text = "In den Bearbeitungs-Modus wechseln";                		
					                	}
					                	else
					                	{
					                		$preview_text = "Switch to edit mode";
					                	}
	?>                	
	<!-- Menu Starter START -->
	<script type="text/javascript" src="system/script/overlib/overlib.js"><!-- overLIB (c) Erik Bosrup --></script>
	<script type="text/javascript" src="system/script/overlib/overlib_shadow.js"><!-- overLIB (c) Erik Bosrup --></script>
	<div id="overDiv" style="position:absolute; visibility:hidden; z-index:1005;text-align:left;"></div>
	<link rel="stylesheet" href="system/style/oe_tooltip.css" type="text/css" media="screen" />
	<div id="oe_menu_starter" style="position:absolute;left:2px; z-index:1001;top:2px">
	<table>
	<tr>
	<td><a href="website.php?id=<?= $page["page_path"]; ?>&amp;preview=off" onmouseover="return overlib('<?= $preview_text; ?>', CAPTION, 'Preview Mode', WIDTH, 150, FGCOLOR, '#ffffff', BGCOLOR, '#7F9DB9');" onmouseout="return nd();"><img src="system/img/oes_editor.png" border="0" /></a></td>
	</tr>
	</table>
	</div>
	<!-- Menu Starter END -->
	<?                
					             
				                	}
				                }
					             else
					             {
									if ($oe_set->getMenuMode() == 0)
					                {
						               	include($oe_systempath."/menu/advanced.php");
					                }
					                else
					                {
					                	include($oe_systempath."/menu/simple.php");
					                }
								}
								$template_arr = $oe_page->getTemplateSource($page["page_template"]);
								if ($template_arr["template_source"] != "")
								{
									eval("?>".$template_arr["template_source"]."<?");	
								}
								else
								{
									if (file_exists($oe_set->getTemplatePath()."/".$template."/index.php"))
									{
										include($oe_set->getTemplatePath()."/".$template."/index.php");
									}
									else
									{
										$oe_generator->getTemplateNotFound();
									}
								}
								include($oe_set->getTemplatePath()."/_system/bottom.php");
								if ($oe_set->getDebugging() == 1)
								{
									include($oe_classpath."/openengine/debugger.php");
									$oe_debugger = new Debugger();
									$oe_debugger->debugPage();
								}
				            }
			            }
			        }
			        else
			        {
			            include($oe_set->getTemplatePath()."/".$template."/index.php");
			        }
			    }
			}
		}
	}
}
else 
{
	if ($oe_user->isAdmin())
	{
		if ((isset($_GET["admin"])) && ($_GET["admin"] == "printstyle"))
		{
			echo $oe_set->getSiteCss();
		}
		else
		{
			if (file_exists("../html/404.php"))
			{
				include("../html/404.php");
			}
		}
	}
	else 
	{
		if (file_exists("../html/404.php"))
		{
			include("../html/404.php");
		}
	}
}
?>