-- phpMyAdmin SQL Dump
-- version 2.10.3
-- http://www.phpmyadmin.net
-- 
-- Host: erldb02
-- Erstellungszeit: 15. Februar 2008 um 11:19
-- Server Version: 5.0.37
-- PHP-Version: 5.2.1

-- 
-- Datenbank: `openengine`
-- 

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_account`
-- 

CREATE TABLE IF NOT EXISTS `oe_account` (
  `account_key` int(11) NOT NULL auto_increment COMMENT 'table key',
  `account_email` varchar(255) NOT NULL default '' COMMENT 'email adress / username',
  `account_password` varchar(255) default NULL COMMENT 'account password, md5 encrypted',
  `account_firstname` varchar(255) default NULL COMMENT 'firstname',
  `account_lastname` varchar(255) NOT NULL default '' COMMENT 'lastname',
  `account_telefon` varchar(255) default NULL COMMENT 'telephone',
  `account_company` varchar(255) default NULL COMMENT 'company information',
  `account_homepage` varchar(255) NOT NULL default '' COMMENT 'url to homepage',
  `account_group` int(11) NOT NULL default '0' COMMENT 'group key; 0: guest; 1: registered user; 2: author; 3: administrator',
  `account_access` int(11) NOT NULL default '0' COMMENT 'access key for page permission',
  `account_info` int(11) NOT NULL default '0' COMMENT 'external information flag',
  `account_nlsend` int(11) NOT NULL default '0' COMMENT 'newsletter send flag',
  `account_lang` varchar(10) NOT NULL default '' COMMENT 'language item for admin interface',
  `account_lock` int(11) NOT NULL default '0' COMMENT 'account lock flag; 0:available; 1:locked',
  `account_editor` varchar(255) NOT NULL default '' COMMENT 'settings for wysiwyg-editor',
  `account_menu` int(11) NOT NULL default '0' COMMENT 'visibility of openEngine Admin Menu',
  `account_menux` int(11) NOT NULL default '0' COMMENT 'horizontal position of openEngine Admin Menu',
  `account_menuy` int(11) NOT NULL default '0' COMMENT 'vertical positon of openEngine Admin Menu',
  `account_random` varchar(255) NOT NULL default '' COMMENT 'random value for secure authentification',
  `account_releasepage` int(11) NOT NULL default '1' COMMENT 'permission flag to release pages',
  `account_delpage` int(11) NOT NULL default '1' COMMENT 'permission flag to delete pages',
  `account_exportpage` int(11) NOT NULL default '1' COMMENT 'permission flag to export pages',
  `account_profile` int(11) NOT NULL default '1' COMMENT 'permission flag to edit profile',
  `account_filepool` int(11) NOT NULL default '1' COMMENT 'permission flag to access filepool',
  `account_uploadfile` int(11) NOT NULL default '1' COMMENT 'permission flag to upload files to filepool',
  `account_deletefile` int(11) NOT NULL default '1' COMMENT 'permission flag to delete files from filepool',
  `account_filepoolfolder` int(11) NOT NULL default '1' COMMENT 'permission flag to create directories in filepool',
  `account_importfile` int(11) NOT NULL default '1' COMMENT 'permission flag to import files to filepool',
  `account_orderpage` int(11) NOT NULL default '1' COMMENT 'permission flag to edit page navigations',
  `account_treelink` int(11) NOT NULL default '1' COMMENT 'permission flag to define treelinks',
  `account_thumbnail` int(11) NOT NULL default '1',
  `account_passwordchanged` int(11) NOT NULL default '0',
  `account_passwordcounter` int(11) NOT NULL default '0',
  `account_passwordcounter_time` datetime default NULL,
  `account_passwordchange_time` datetime default NULL,
  PRIMARY KEY  (`account_key`),
  KEY `account_email` (`account_email`),
  KEY `account_password` (`account_password`)
) TYPE=MyISAM  AUTO_INCREMENT=40 ;

-- 
-- Daten für Tabelle `oe_account`
-- 

INSERT INTO `oe_account` (`account_key`, `account_email`, `account_password`, `account_firstname`, `account_lastname`, `account_telefon`, `account_company`, `account_homepage`, `account_group`, `account_access`, `account_info`, `account_nlsend`, `account_lang`, `account_lock`, `account_editor`, `account_menu`, `account_menux`, `account_menuy`, `account_random`, `account_releasepage`, `account_delpage`, `account_exportpage`, `account_profile`, `account_filepool`, `account_uploadfile`, `account_deletefile`, `account_filepoolfolder`, `account_importfile`, `account_orderpage`, `account_treelink`, `account_thumbnail`, `account_passwordchanged`, `account_passwordcounter`, `account_passwordcounter_time`, `account_passwordchange_time`) VALUES 
(1, 'guest', '', NULL, 'guest', NULL, NULL, '', 0, 0, 0, 0, '', 0, '', 0, 0, 0, '', 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(15, 'admin@website.org', '21232f297a57a5a743894a0e4a801fc3', 'Admin', 'Admin', '', 'Company', 'http://www.website.org', 2, 0, 0, 0, 'de', 0, 'TinyMCE', 1, 3, 26, '', 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(39, 'author@website.org', 'b312ba4ffd5245fa2a1ab819ec0d0347', 'Author', 'Author', '', '', '', 3, 0, 1, 0, 'de', 0, 'TinyMCE_Simple', 1, 3, 23, '', 1, 1, 1, 0, 1, 1, 1, 1, 0, 1, 1, 1, 0, 0, NULL, NULL);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_asset`
-- 

CREATE TABLE IF NOT EXISTS `oe_asset` (
  `asset_key` int(11) NOT NULL auto_increment,
  `asset_filename` varchar(255) NOT NULL default '',
  `asset_name` varchar(255) NOT NULL default '',
  `asset_keywords` text,
  `folder_key` int(11) NOT NULL default '0',
  `asset_alt` varchar(255) NOT NULL default '',
  `asset_params` varchar(255) NOT NULL default '',
  `asset_create` varchar(255) NOT NULL default '20050708170000',
  `asset_change` varchar(255) NOT NULL default '20050708170000',
  `asset_creator` varchar(255) NOT NULL default '',
  `asset_thumb` int(11) NOT NULL default '0',
  PRIMARY KEY  (`asset_key`)
) TYPE=MyISAM  AUTO_INCREMENT=63 ;

-- 
-- Daten für Tabelle `oe_asset`
-- 

INSERT INTO `oe_asset` (`asset_key`, `asset_filename`, `asset_name`, `asset_keywords`, `folder_key`, `asset_alt`, `asset_params`, `asset_create`, `asset_change`, `asset_creator`, `asset_thumb`) VALUES 
(62, 'oes_logo.png', '', NULL, 1, '', '', '20080214120352', '20050708170000', 'admin@website.org', 0);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_attribute`
-- 

CREATE TABLE IF NOT EXISTS `oe_attribute` (
  `att_key` int(11) NOT NULL auto_increment COMMENT 'table key',
  `att_name` varchar(255) NOT NULL default '' COMMENT 'attribut name / value',
  `att_description` text COMMENT 'attribut description',
  PRIMARY KEY  (`att_key`),
  KEY `att_name` (`att_name`)
) TYPE=MyISAM  AUTO_INCREMENT=24 ;

-- 
-- Daten für Tabelle `oe_attribute`
-- 

INSERT INTO `oe_attribute` (`att_key`, `att_name`, `att_description`) VALUES 
(18, '01_primary', 'Primaernavigation'),
(19, '02_generic', 'Generische Navigation');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_filepool`
-- 

CREATE TABLE IF NOT EXISTS `oe_filepool` (
  `folder_key` int(11) NOT NULL auto_increment COMMENT 'table key',
  `folder_parent` int(11) NOT NULL default '0' COMMENT 'folder parent key',
  `folder_name` varchar(255) NOT NULL default '' COMMENT 'folder name',
  PRIMARY KEY  (`folder_key`)
) TYPE=MyISAM  AUTO_INCREMENT=72 ;

-- 
-- Daten für Tabelle `oe_filepool`
-- 

INSERT INTO `oe_filepool` (`folder_key`, `folder_parent`, `folder_name`) VALUES 
(1, 0, 'Filepool');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_files`
-- 

CREATE TABLE IF NOT EXISTS `oe_files` (
  `files_key` int(11) NOT NULL auto_increment COMMENT 'table key',
  `files_name` varchar(255) NOT NULL default '' COMMENT 'individual filename',
  `files_path` varchar(255) NOT NULL default '' COMMENT 'path to external file',
  PRIMARY KEY  (`files_key`)
) TYPE=MyISAM  AUTO_INCREMENT=5 ;

-- 
-- Daten für Tabelle `oe_files`
-- 

INSERT INTO `oe_files` (`files_key`, `files_name`, `files_path`) VALUES 
(4, 'Main Stylesheet', '../html/style/screen/style.css');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_group`
-- 

CREATE TABLE IF NOT EXISTS `oe_group` (
  `group_key` int(11) NOT NULL auto_increment COMMENT 'table key',
  `group_name` varchar(255) NOT NULL default '' COMMENT 'individual group name',
  `group_description` text COMMENT 'individual group description',
  `group_order` int(11) NOT NULL default '0' COMMENT 'group priority',
  PRIMARY KEY  (`group_key`),
  KEY `group_name` (`group_name`)
) TYPE=MyISAM  AUTO_INCREMENT=11 ;

-- 
-- Daten für Tabelle `oe_group`
-- 

INSERT INTO `oe_group` (`group_key`, `group_name`, `group_description`, `group_order`) VALUES 
(1, 'Group 0', '', 0),
(2, 'Group 1', '', 1),
(3, 'Group 2', '', 2),
(4, 'Group 3', '', 3),
(5, 'Group 4', '', 4),
(6, 'Group 5', '', 5),
(7, 'Group 6', '', 6),
(8, 'Group 7', '', 7),
(9, 'Group 8', '', 8),
(10, 'Group 9', '', 9);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_language`
-- 

CREATE TABLE IF NOT EXISTS `oe_language` (
  `lang_key` int(11) NOT NULL auto_increment COMMENT 'table key',
  `lang_short` varchar(255) NOT NULL default '' COMMENT 'language short name',
  `lang_name` varchar(255) NOT NULL default '' COMMENT 'language name',
  PRIMARY KEY  (`lang_key`)
) TYPE=MyISAM  AUTO_INCREMENT=3 ;

-- 
-- Daten für Tabelle `oe_language`
-- 

INSERT INTO `oe_language` (`lang_key`, `lang_short`, `lang_name`) VALUES 
(1, 'de', 'Deutsch'),
(2, 'en', 'English');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_meta`
-- 

CREATE TABLE IF NOT EXISTS `oe_meta` (
  `meta_key` int(11) NOT NULL auto_increment COMMENT 'table key',
  `meta_type` varchar(255) NOT NULL default '' COMMENT 'type of meta group',
  `meta_description` varchar(255) NOT NULL default '' COMMENT 'description of the meta value',
  `meta_value` varchar(255) NOT NULL default '' COMMENT 'output meta type',
  PRIMARY KEY  (`meta_key`)
) TYPE=MyISAM  AUTO_INCREMENT=9 ;

-- 
-- Daten für Tabelle `oe_meta`
-- 

INSERT INTO `oe_meta` (`meta_key`, `meta_type`, `meta_description`, `meta_value`) VALUES 
(6, 'typ1', 'skdjfhksjh', '1'),
(7, 'typ1', 'kjsdhksjhdfk', '2'),
(8, 'typ2', 'skdjfhkdsjfh', '1');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_newsletter`
-- 

CREATE TABLE IF NOT EXISTS `oe_newsletter` (
  `nl_key` int(11) NOT NULL auto_increment COMMENT 'table key',
  `nl_subject` varchar(255) NOT NULL default '' COMMENT 'newsletter subject',
  `nl_sender` varchar(100) NOT NULL default '' COMMENT 'newsletter sender email adress',
  `nl_date` varchar(50) NOT NULL default '' COMMENT 'send date short',
  `nl_date_unformated` varchar(10) NOT NULL default '' COMMENT 'send date long',
  `nl_test` varchar(100) NOT NULL default '' COMMENT 'test receiver',
  `nl_text` text COMMENT 'newsletter text version',
  `nl_html` text COMMENT 'newsletter html version',
  `nl_multi` int(11) NOT NULL default '0' COMMENT 'newsletter format flag',
  `nl_target` varchar(250) NOT NULL default '' COMMENT 'target group of newsletter receivers',
  `nl_status` int(8) NOT NULL default '0' COMMENT 'status flag; 0: available; 1: locked',
  PRIMARY KEY  (`nl_key`)
) TYPE=MyISAM  AUTO_INCREMENT=2 ;

-- 
-- Daten für Tabelle `oe_newsletter`
-- 

INSERT INTO `oe_newsletter` (`nl_key`, `nl_subject`, `nl_sender`, `nl_date`, `nl_date_unformated`, `nl_test`, `nl_text`, `nl_html`, `nl_multi`, `nl_target`, `nl_status`) VALUES 
(1, 'Test', 'mail@openengine.de', '', '061005', '', NULL, NULL, 0, '', 0);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_page`
-- 

CREATE TABLE IF NOT EXISTS `oe_page` (
  `page_key` int(11) NOT NULL auto_increment COMMENT 'table key',
  `page_parent` int(11) NOT NULL default '0' COMMENT 'parent page key',
  `page_order` int(11) NOT NULL default '0' COMMENT 'navigation page order',
  `page_count` int(11) NOT NULL default '0' COMMENT 'page counter for dynamic installation',
  `page_lang` varchar(20) NOT NULL default '' COMMENT 'language short name',
  `page_date` varchar(20) NOT NULL default '' COMMENT 'short creation date',
  `page_date_unformated` varchar(10) NOT NULL default '' COMMENT 'long creation date',
  `page_status` int(11) NOT NULL default '0' COMMENT 'page release state: 0: released; 1: released for registered user; 2: locked; 3: deleted',
  `page_access` int(11) NOT NULL default '0' COMMENT 'access key for page permission',
  `page_path` varchar(255) NOT NULL default '' COMMENT 'virtual page path',
  `page_extern` varchar(250) NOT NULL default '' COMMENT 'external url to redirect',
  `page_template` varchar(255) NOT NULL default '' COMMENT 'short template name',
  `page_headline` varchar(255) NOT NULL default '' COMMENT 'page headline',
  `page_title` varchar(255) NOT NULL default '' COMMENT 'page title',
  `page_navigation` varchar(255) NOT NULL default '' COMMENT 'page navigation title',
  `page_keywords` text COMMENT 'meta keyword list',
  `page_description` text COMMENT 'meta description',
  `page_teaser` text COMMENT 'page teaser',
  `page_text1` text COMMENT 'individual text block',
  `page_text2` text COMMENT 'individual text block',
  `page_text3` text COMMENT 'individual text block',
  `page_text4` text COMMENT 'individual text block',
  `page_text5` text COMMENT 'individual text block',
  `page_text6` text COMMENT 'individual text block',
  `page_file` varchar(255) NOT NULL default '' COMMENT 'individual file placeholder',
  `page_file1` varchar(255) NOT NULL default '' COMMENT 'individual file placeholder',
  `page_file2` varchar(255) NOT NULL default '' COMMENT 'individual file placeholder',
  `page_file3` varchar(255) NOT NULL default '' COMMENT 'individual file placeholder',
  `page_file4` varchar(255) NOT NULL default '' COMMENT 'individual file placeholder',
  `page_file5` varchar(255) NOT NULL default '' COMMENT 'individual file placeholder',
  `page_file6` varchar(255) NOT NULL default '' COMMENT 'individual file placeholder',
  `page_att1` varchar(255) NOT NULL default '' COMMENT 'page attribute',
  `page_att2` varchar(255) NOT NULL default '' COMMENT 'page attribute',
  `page_start` int(11) NOT NULL default '0' COMMENT 'flag for startsite',
  `page_hide` int(11) NOT NULL default '0' COMMENT 'visibility in navigation; 0: visible; 1: invisible',
  `page_exportfolder` varchar(255) NOT NULL default '' COMMENT 'export folder for static export',
  `page_lockexport` int(11) NOT NULL default '0' COMMENT 'flag to lock the export',
  `page_remark` text COMMENT 'individual comment for authors',
  `page_include` varchar(255) NOT NULL default '' COMMENT 'include of external page',
  `page_create` varchar(255) NOT NULL default '' COMMENT 'creation date',
  `page_creator` varchar(255) NOT NULL default '' COMMENT 'email/username of author',
  `page_change` varchar(255) NOT NULL default '' COMMENT 'change date',
  `page_changer` varchar(255) NOT NULL default '' COMMENT 'email/username of author',
  `page_main` int(11) NOT NULL default '0' COMMENT 'flag for main startsite',
  `page_forceexport` int(11) NOT NULL default '0' COMMENT 'enable force export',
  `page_userlock` int(11) NOT NULL default '0' COMMENT 'flag for lock editing by author',
  `treelink_key` int(11) NOT NULL default '0' COMMENT 'treelink key',
  `page_lang_alt` varchar(255) NOT NULL default '' COMMENT 'alternative language value',
  `page_meta1` varchar(255) NOT NULL default '' COMMENT 'individual meta information',
  `page_meta2` varchar(255) NOT NULL default '' COMMENT 'individual meta information',
  `page_meta3` varchar(255) NOT NULL default '' COMMENT 'individual meta information',
  `page_meta4` varchar(255) NOT NULL default '' COMMENT 'individual meta information',
  `page_meta5` varchar(100) default NULL,
  `page_meta6` varchar(100) default NULL,
  `page_meta7` varchar(100) default NULL,
  `page_meta8` varchar(100) default NULL,
  `page_meta9` varchar(100) default NULL,
  `page_meta10` varchar(100) default NULL,
  `page_tags` text,
  `page_exported` int(11) NOT NULL default '0',
  `page_exportdate` datetime NOT NULL,
  `page_exportmd5` varchar(255) NOT NULL default '',
  `page_onlinefrom` datetime NOT NULL default '0000-00-00 00:00:00',
  `page_exportdelete` int(11) NOT NULL default '0',
  `page_xmlcontent` longtext,
  PRIMARY KEY  (`page_key`),
  KEY `page_parent` (`page_parent`),
  KEY `page_order` (`page_order`),
  KEY `page_status` (`page_status`),
  KEY `page_path` (`page_path`)
) TYPE=MyISAM  AUTO_INCREMENT=356 ;

-- 
-- Daten für Tabelle `oe_page`
-- 

INSERT INTO `oe_page` (`page_key`, `page_parent`, `page_order`, `page_count`, `page_lang`, `page_date`, `page_date_unformated`, `page_status`, `page_access`, `page_path`, `page_extern`, `page_template`, `page_headline`, `page_title`, `page_navigation`, `page_keywords`, `page_description`, `page_teaser`, `page_text1`, `page_text2`, `page_text3`, `page_text4`, `page_text5`, `page_text6`, `page_file`, `page_file1`, `page_file2`, `page_file3`, `page_file4`, `page_file5`, `page_file6`, `page_att1`, `page_att2`, `page_start`, `page_hide`, `page_exportfolder`, `page_lockexport`, `page_remark`, `page_include`, `page_create`, `page_creator`, `page_change`, `page_changer`, `page_main`, `page_forceexport`, `page_userlock`, `treelink_key`, `page_lang_alt`, `page_meta1`, `page_meta2`, `page_meta3`, `page_meta4`, `page_meta5`, `page_meta6`, `page_meta7`, `page_meta8`, `page_meta9`, `page_meta10`, `page_tags`, `page_exported`, `page_exportdate`, `page_exportmd5`, `page_onlinefrom`, `page_exportdelete`, `page_xmlcontent`) VALUES 
(1, 0, 1, 1104, 'de', '2007-10-31', '31020', 0, 0, '/de/index.htm', '', 'homepage', 'Homepage', 'Homepage', 'Homepage', 'sdfsdf', 'sdf', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam malesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in, consequat ut, neque.', '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh. \r\n</p>\r\n', 'Right Column', '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.&nbsp;\r\n</p>\r\n', '', '', 'Copyright 2008 - openEngine Web Content Management System', '', '/oes_logo.png', '../html/img/pool/1_php-med-trans-light.gif', '../html/img/pool/ordner_1/ordner_2/1_sourceforge.png', '', '', '', '01_primary', '01_primary', 1, 0, '../html/pages', 0, '', '', '', '', '20080214142308', 'admin@website.org', 1, 0, 0, 0, 'Deutsch', '2', '1', '', '', '2', '1', '1', '', 'dfg', 'dfg', 'skdfhkh', 1, '2008-02-14 14:23:08', '44d78827ed707f46d2930e918d181bf0', '0000-00-00 00:00:00', 0, NULL),
(334, 1, 4, 36, 'de', '2008-01-22', '20080122', 0, 0, '/de/navigation.htm', '', 'default', 'Navigation', 'Navigation', 'Navigation', '', '', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam malesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in, consequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit amet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie laoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit amet, congue nec, dictum in, est. Aliquam nibh.', '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh. \r\n</p>\r\n', 'Right Column', '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.&nbsp;\r\n</p>\r\n', NULL, NULL, NULL, '', '', '', '', '', '', '', '01_primary', '01_primary', 0, 0, '', 0, NULL, '', '20080122152115', 'admin@website.org', '20080128152027', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', '', '', '', '', '', '', '', 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(335, 1, 5, 5, 'de', '2008-01-22', '20080122', 0, 0, '/de/list.htm', '', 'list', 'News', 'News', 'News', '', '', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam malesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in, consequat ut, neque.', NULL, 'Right Column', '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.&nbsp;\r\n</p>\r\n', 'Left Column', '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<h3>Headline</h3>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.  \r\n</p>\r\n', NULL, '', '', '', '', '', '', '', '01_primary', '01_primary', 0, 0, '', 0, NULL, '', '20080122152130', 'admin@website.org', '20080128120408', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', '', '', '', '', '', '', '', 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(336, 1, 3, 1, 'de', '2008-01-22', '20080122', 0, 0, '/de/page.htm', '', 'page', 'Page', 'Page', 'Page', '', '', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam malesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in, consequat ut, neque.', '<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.</p>', 'Headline', '<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.</p>', NULL, '<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.</p>', NULL, '', '/oes_logo.png', '', '', '', '', '', '01_primary', '01_primary', 0, 0, '', 0, NULL, '', '20080122152145', 'admin@website.org', '20080214120539', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', '', '', '', '', '', '', '', 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(330, 1, 1, 0, 'de', '2007-11-12', '20071112', 3, 0, '/de/newsletter.htm', '', 'homepage', 'Newsletter', 'Newsletter', 'Newsletter', '', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', '', '', '02_generic', '01_primary', 0, 0, '', 0, NULL, '', '20071112165248', 'admin@website.org', '20071113114339', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', '', '', '', '', '', '', '', 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(337, 1, 2, 0, 'de', '2008-01-23', '20080123', 0, 0, '/de/imprint.htm', '', 'page', 'Imprint', 'Imprint', 'Imprint', '', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', '', '', '02_generic', '01_primary', 0, 0, '', 0, NULL, '', '20080123104517', 'admin@website.org', '20080128164348', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', '', '', '', '', '', '', '', 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(338, 1, 1, 0, 'de', '2008-01-23', '20080123', 0, 0, '/de/contact.htm', '', 'page', 'Contact', 'Contact', 'Contact', '', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', '', '', '02_generic', '01_primary', 0, 0, '', 0, NULL, '', '20080123104535', 'admin@website.org', '20080128164412', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', '', '', '', '', '', '', '', 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(339, 335, 4, 1, 'de', '2008-01-25', '20080125', 0, 0, '/de/list/eintrag1.htm', '', 'news', 'Eintrag 1', 'Eintrag 1', 'Eintrag 1', '', '', 'Duis dolor arcu, lacinia sit amet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie laoreet tortor.', '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh. \r\n</p>\r\n', NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', '', '', '01_primary', '01_primary', 0, 0, '', 0, NULL, '', '20080125150926', 'admin@website.org', '20080128120646', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', '', '', '', '', '', '', '', 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(340, 335, 3, 0, 'de', '2008-01-25', '20080125', 0, 0, '/de/list/eintrag2.htm', '', 'news', 'Eintrag 2', 'Eintrag 2', 'Eintrag 2', '', '', 'Duis dolor arcu, lacinia sit amet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie laoreet tortor.', '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh. \r\n</p>\r\n', NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', '', '', '01_primary', '01_primary', 0, 0, '', 0, NULL, '', '20080125151545', 'admin@website.org', '20080128120705', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', '', '', '', '', '', '', '', 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(341, 335, 2, 0, 'de', '2008-01-25', '20080125', 0, 0, '/de/list/eintrag3.htm', '', 'news', 'Eintrag 3', 'Eintrag 3', 'Eintrag 3', '', '', 'Duis dolor arcu, lacinia sit amet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie laoreet tortor.', '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh. \r\n</p>\r\n', NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', '', '', '01_primary', '01_primary', 0, 0, '', 0, NULL, '', '20080125153137', 'admin@website.org', '20080128120723', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', '', '', '', '', '', '', '', 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(342, 335, 1, 0, 'de', '2008-01-25', '20080125', 0, 0, '/de/list/eintrag4.htm', '', 'news', 'Eintrag 4', 'Eintrag 4', 'Eintrag 4', '', '', 'Duis dolor arcu, lacinia sit amet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie laoreet tortor.', '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh. \r\n</p>\r\n', NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', '', '', '01_primary', '01_primary', 0, 0, '', 0, NULL, '', '20080125153157', 'admin@website.org', '20080128120800', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', '', '', '', '', '', '', '', 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(343, 334, 4, 17, 'de', '2008-01-28', '20080128', 0, 0, '/de/navigation/item1.htm', '', 'default', 'Item 1', 'Item 1', 'Item 1', '', '', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam malesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in, consequat ut, neque.', '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh. \r\n</p>\r\n', NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', '', '', '01_primary', '01_primary', 0, 0, '', 0, NULL, '', '20080128130658', 'admin@website.org', '20080128165136', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(344, 334, 3, 49, 'de', '2008-01-28', '20080128', 0, 0, '/de/navigation/item2.htm', '', 'default', 'Item 2', 'Item 2', 'Item 2', '', '', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam malesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in, consequat ut, neque.', '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh. \r\n</p>\r\n', NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', '', '', '01_primary', '01_primary', 0, 0, '', 0, NULL, '', '20080128130742', 'admin@website.org', '20080128165141', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(345, 334, 2, 9, 'de', '2008-01-28', '20080128', 0, 0, '/de/navigation/item3.htm', '', 'default', 'Item 3', 'Item 3', 'Item 3', '', '', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam malesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in, consequat ut, neque.', '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh. \r\n</p>\r\n', NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', '', '', '01_primary', '01_primary', 0, 0, '', 0, NULL, '', '20080128130758', 'admin@website.org', '20080128165148', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(346, 334, 1, 3, 'de', '2008-01-28', '20080128', 0, 0, '/de/navigation/item4.htm', '', 'default', 'Item 4', 'Item 4', 'Item 4', '', '', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam malesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in, consequat ut, neque.', '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh. \r\n</p>\r\n', NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', '', '', '01_primary', '01_primary', 0, 0, '', 0, NULL, '', '20080128130816', 'admin@website.org', '20080128165154', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(347, 344, 2, 11, 'de', '2008-01-28', '20080128', 0, 0, '/de/navigation/item2/item21.htm', '', 'default', 'Item 2.1', 'Item 2.1', 'Item 2.1', '', '', NULL, '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh. \r\n</p>\r\n', NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', '', '', '01_primary', '01_primary', 0, 0, '', 0, NULL, '', '20080128131121', 'admin@website.org', '20080128163555', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(348, 344, 1, 2, 'de', '2008-01-28', '20080128', 0, 0, '/de/navigation/item2/item22.htm', '', 'default', 'Item 2.2', 'Item 2.2', 'Item 2.2', '', '', NULL, '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh. \r\n</p>\r\n', NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', '', '', '01_primary', '01_primary', 0, 0, '', 0, NULL, '', '20080128131139', 'admin@website.org', '20080128163617', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(349, 347, 4, 0, 'de', '2008-01-28', '20080128', 0, 0, '/de/navigation/item2/item21/item211.htm', '', 'default', 'Item 2.1.1', 'Item 2.1.1', 'Item 2.1.1', '', '', NULL, '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh. \r\n</p>\r\n', NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', '', '', '01_primary', '01_primary', 0, 0, '', 0, NULL, '', '20080128142321', 'admin@website.org', '20080128163649', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(350, 347, 3, 5, 'de', '2008-01-28', '20080128', 0, 0, '/de/navigation/item2/item21/item212.htm', '', 'default', 'Item 2.1.2', 'Item 2.1.2', 'Item 2.1.2', '', '', NULL, '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh. \r\n</p>\r\n', NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', '', '', '01_primary', '01_primary', 0, 0, '', 0, NULL, '', '20080128142400', 'admin@website.org', '20080128163712', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(351, 347, 2, 0, 'de', '2008-01-28', '20080128', 0, 0, '/de/navigation/item2/item21/item213.htm', '', 'default', 'Item 2.1.3', 'Item 2.1.3', 'Item 2.1.3', '', '', NULL, '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh. \r\n</p>\r\n', NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', '', '', '01_primary', '01_primary', 0, 0, '', 0, NULL, '', '20080128142719', 'admin@website.org', '20080128163735', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(352, 347, 1, 0, 'de', '2008-01-28', '20080128', 0, 0, '/de/navigation/item2/item21/item214.htm', '', 'default', 'Item 2.1.4', 'Item 2.1.4', 'Item 2.1.4', '', '', NULL, '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh. \r\n</p>\r\n', NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', '', '', '01_primary', '01_primary', 0, 0, '', 0, NULL, '', '20080128142743', 'admin@website.org', '20080128163801', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(353, 350, 2, 1, 'de', '2008-01-28', '20080128', 0, 0, '/de/navigation/item2/item21/item212/item2121.htm', '', 'default', 'Item 2.1.2.1', 'Item 2.1.2.1', 'Item 2.1.2.1', '', '', NULL, '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh. \r\n</p>\r\n', NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', '', '', '01_primary', '01_primary', 0, 0, '', 0, NULL, '', '20080128142853', 'admin@website.org', '20080128164000', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL),
(354, 350, 1, 7, 'de', '2008-01-28', '20080128', 0, 0, '/de/navigation/item2/item21/item212/item2122.htm', '', 'default', 'Item 2.1.2.2', 'Item 2.1.2.2', 'Item 2.1.2.2', '', '', NULL, '<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh.\r\n</p>\r\n<p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam\r\nmalesuada suscipit pede. Nullam ipsum lacus, varius vel, nonummy in,\r\nconsequat ut, neque. Vivamus viverra. Duis dolor arcu, lacinia sit\r\namet, sollicitudin sed, aliquet vel, quam. Pellentesque molestie\r\nlaoreet tortor. Aenean quam. Pellentesque magna metus, venenatis sit\r\namet, congue nec, dictum in, est. Aliquam nibh. \r\n</p>\r\n', NULL, NULL, NULL, NULL, NULL, '', '', '', '', '', '', '', '01_primary', '01_primary', 0, 0, '', 0, NULL, '', '20080128142915', 'admin@website.org', '20080128163835', 'admin@website.org', 0, 0, 0, 0, '', '', '', '', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2008-02-14 14:23:08', '', '0000-00-00 00:00:00', 0, NULL);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_permission`
-- 

CREATE TABLE IF NOT EXISTS `oe_permission` (
  `perm_key` int(11) NOT NULL auto_increment COMMENT 'table key',
  `page_key` int(11) NOT NULL default '0' COMMENT 'page key',
  `account_key` int(11) NOT NULL default '0' COMMENT 'account key of author',
  `perm_type` int(11) NOT NULL default '0' COMMENT 'permission type; 0: allow editing; 1: lock editing',
  PRIMARY KEY  (`perm_key`)
) TYPE=MyISAM  AUTO_INCREMENT=40 ;

-- 
-- Daten für Tabelle `oe_permission`
-- 

INSERT INTO `oe_permission` (`perm_key`, `page_key`, `account_key`, `perm_type`) VALUES 
(39, 1, 39, 0);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_poolpermission`
-- 

CREATE TABLE IF NOT EXISTS `oe_poolpermission` (
  `poolperm_key` int(11) NOT NULL auto_increment COMMENT 'table key',
  `folder_key` int(11) NOT NULL default '0' COMMENT 'folder key',
  `account_key` int(11) NOT NULL default '0' COMMENT 'account key',
  `perm_type` int(11) NOT NULL default '0' COMMENT 'permission type; 0: allow editing; 1: lock editing',
  PRIMARY KEY  (`poolperm_key`)
) TYPE=MyISAM  AUTO_INCREMENT=33 ;

-- 
-- Daten für Tabelle `oe_poolpermission`
-- 

INSERT INTO `oe_poolpermission` (`poolperm_key`, `folder_key`, `account_key`, `perm_type`) VALUES 
(27, 60, 22, 0),
(32, 1, 39, 0);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_replacing`
-- 

CREATE TABLE IF NOT EXISTS `oe_replacing` (
  `re_key` int(11) NOT NULL auto_increment COMMENT 'table key',
  `re_name` varchar(255) NOT NULL default '' COMMENT 'search value for static export',
  `re_value` varchar(255) NOT NULL default '' COMMENT 'relace value for static export',
  PRIMARY KEY  (`re_key`)
) TYPE=MyISAM  AUTO_INCREMENT=15 ;

-- 
-- Daten für Tabelle `oe_replacing`
-- 

INSERT INTO `oe_replacing` (`re_key`, `re_name`, `re_value`) VALUES 
(8, '../html/img/', '../img/'),
(12, 'openengine/index.php', '../../cms/openengine'),
(10, '../html/style/', '../style/'),
(11, '../html/script/', '../script/'),
(13, '/cms../html', '/html'),
(14, '/cms/', '/html/pages/');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_rss`
-- 

CREATE TABLE IF NOT EXISTS `oe_rss` (
  `rss_key` int(11) NOT NULL auto_increment COMMENT 'table key',
  `page_key` int(11) NOT NULL default '0' COMMENT 'page key',
  `rss_title` varchar(255) NOT NULL default '' COMMENT 'title of rss newsfeed',
  `rss_description` text COMMENT 'description of rss newsfeed',
  `rss_size` int(11) NOT NULL default '0' COMMENT 'number of items in rss newsfeed',
  `rss_order` varchar(255) NOT NULL default '' COMMENT 'order of rss items',
  `rss_export` int(11) NOT NULL default '0' COMMENT 'flag for static export; 0: no export; 1: enable static export',
  PRIMARY KEY  (`rss_key`)
) TYPE=MyISAM  AUTO_INCREMENT=5 ;

-- 
-- Daten für Tabelle `oe_rss`
-- 

INSERT INTO `oe_rss` (`rss_key`, `page_key`, `rss_title`, `rss_description`, `rss_size`, `rss_order`, `rss_export`) VALUES 
(4, 135, 'Test', 'asdasdasd', 10, 'page_order', 1);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_settings`
-- 

CREATE TABLE IF NOT EXISTS `oe_settings` (
  `settings_key` int(11) NOT NULL auto_increment COMMENT 'table key',
  `site_url` varchar(255) NOT NULL default '' COMMENT 'url to folder /cms',
  `site_name` varchar(255) NOT NULL default '' COMMENT 'name of website',
  `site_admin` varchar(255) NOT NULL default '' COMMENT 'email adress of site admin',
  `system_directory` varchar(255) NOT NULL default '' COMMENT 'server directory of the openEngine installation',
  `lang_default` varchar(255) NOT NULL default '' COMMENT 'default language for admin interface',
  `lang_list` varchar(255) NOT NULL default '' COMMENT 'list of available languages',
  `account_register` int(11) NOT NULL default '0' COMMENT 'flag for direct registration of external user',
  `site_staging` int(11) NOT NULL default '0' COMMENT 'flag for stating content; 0: no staging; 1: enable staging',
  `site_css` text COMMENT 'stylesheet for wysiwyg-editor',
  `site_help` varchar(255) NOT NULL default '' COMMENT 'url for openEngine inline help',
  `menu_top` int(11) NOT NULL default '0' COMMENT 'top position of openEngine Admin Menu Starter',
  `nl_stepsize` int(11) NOT NULL default '50' COMMENT 'stepsize for newsletter sending',
  `nl_timer` int(11) NOT NULL default '5' COMMENT 'time window for newsletter sending steps',
  `nl_encoding` varchar(255) NOT NULL default '' COMMENT 'newsletter encoding',
  `export_timer` int(11) NOT NULL default '5' COMMENT 'time window for static export steps',
  `export_stepsize` int(11) NOT NULL default '50' COMMENT 'export step size',
  `tree_static` int(11) NOT NULL default '0' COMMENT 'static tree visualization',
  `check_useragent` int(11) NOT NULL default '0' COMMENT 'check useragent for security',
  `log_path` varchar(255) NOT NULL default '' COMMENT 'server path to save logfile',
  `button_style` text COMMENT 'CSS for openEngine Edit Buttons',
  `template_location` int(11) NOT NULL default '0' COMMENT 'flag to enable database templates',
  `non_cookie` int(11) NOT NULL default '0' COMMENT 'flag for non-cookie support',
  `direct_delete` int(11) NOT NULL default '1' COMMENT 'allow direct delete of web pages',
  `tree_currentlang` int(11) NOT NULL default '0' COMMENT 'tree current lang',
  `upload_chmod` varchar(255) NOT NULL default '' COMMENT 'file permission for file upload',
  `site_pool` varchar(255) NOT NULL default '' COMMENT 'server path to filepool',
  `template_path` varchar(255) NOT NULL default '' COMMENT 'server path to template directory',
  `default_type` varchar(255) NOT NULL default '' COMMENT 'default filetype for web pages',
  `debugging` int(11) NOT NULL default '0' COMMENT 'flag to enable debugging informations',
  `module_path` varchar(255) NOT NULL default '' COMMENT 'server path to module folder',
  `edit_scroll` int(11) NOT NULL default '0' COMMENT 'flag to enable content scroller to edit button',
  `cache_path` varchar(255) NOT NULL default '' COMMENT 'server path to cache directory',
  `page_permissions` int(11) NOT NULL default '0' COMMENT 'flag to enable page permission and filepool permission',
  `menu_mode` int(11) NOT NULL default '0' COMMENT 'flag for openEngine menu mode; 0: drag&drop menu; 1: static menu',
  `system_theme` varchar(255) NOT NULL default 'grey' COMMENT 'theme for admin interface',
  `company_logo` varchar(255) NOT NULL default '' COMMENT 'path to company logo for login formular',
  `export_mode` int(11) NOT NULL default '0' COMMENT 'flag to define the export mode; 0: export to single folder; 1: export to directory system',
  `site_meta1` varchar(255) NOT NULL default '' COMMENT 'individial meta information',
  `site_meta2` varchar(255) NOT NULL default '' COMMENT 'individial meta information',
  `site_meta3` varchar(255) NOT NULL default '' COMMENT 'individial meta information',
  `site_meta4` varchar(255) NOT NULL default '' COMMENT 'individial meta information',
  `page_meta1` varchar(255) NOT NULL default '' COMMENT 'individial meta information',
  `page_meta2` varchar(255) NOT NULL default '' COMMENT 'individial meta information',
  `page_meta3` varchar(255) NOT NULL default '' COMMENT 'individial meta information',
  `page_meta4` varchar(255) NOT NULL default '' COMMENT 'individial meta information',
  `page_meta5` varchar(100) NOT NULL,
  `page_meta6` varchar(100) NOT NULL,
  `page_meta7` varchar(100) NOT NULL,
  `page_meta8` varchar(100) NOT NULL,
  `page_meta9` varchar(100) NOT NULL,
  `page_meta10` varchar(100) NOT NULL,
  `filepool_mode` int(11) NOT NULL default '0',
  `field_list` varchar(255) NOT NULL default '',
  `site_authurl` varchar(255) NOT NULL default '',
  `password_length` int(11) NOT NULL default '3',
  `password_complexity` int(11) NOT NULL default '0',
  `lock_system` int(11) NOT NULL default '0',
  PRIMARY KEY  (`settings_key`)
) TYPE=MyISAM  AUTO_INCREMENT=2 ;

-- 
-- Daten für Tabelle `oe_settings`
-- 

INSERT INTO `oe_settings` (`settings_key`, `site_url`, `site_name`, `site_admin`, `system_directory`, `lang_default`, `lang_list`, `account_register`, `site_staging`, `site_css`, `site_help`, `menu_top`, `nl_stepsize`, `nl_timer`, `nl_encoding`, `export_timer`, `export_stepsize`, `tree_static`, `check_useragent`, `log_path`, `button_style`, `template_location`, `non_cookie`, `direct_delete`, `tree_currentlang`, `upload_chmod`, `site_pool`, `template_path`, `default_type`, `debugging`, `module_path`, `edit_scroll`, `cache_path`, `page_permissions`, `menu_mode`, `system_theme`, `company_logo`, `export_mode`, `site_meta1`, `site_meta2`, `site_meta3`, `site_meta4`, `page_meta1`, `page_meta2`, `page_meta3`, `page_meta4`, `page_meta5`, `page_meta6`, `page_meta7`, `page_meta8`, `page_meta9`, `page_meta10`, `filepool_mode`, `field_list`, `site_authurl`, `password_length`, `password_complexity`, `lock_system`) VALUES 
(1, 'http://localhost/openengine20/cms', 'openEngine Demo-Site', 'mail@yoursite.de', '/srv/www/htdocs/openengine19', 'de', 'de,en', 0, 1, 'body {\r\nbackground-color: #fff;\r\nfont-size: 11px;\r\nfont-family: verdana,arial,helvetica,sans-serif;\r\n}\r\n', 'http://www.openengine.de/docs', 0, 50, 5, 'iso-8859-1', 5, 20, 0, 0, '', 'float:left;margin-right:3px;', 0, 0, 0, 0, '', '../html/img/pool', 'templates', '.htm', 0, '../html/modules', 1, '../html/img/cache', 1, 0, 'black', 'system/img/oes_logo.png', 1, '', '', '', '', '', '', '', '', '', '', '', '', '', '', 1, '', '', 3, 0, 0);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_stage`
-- 

CREATE TABLE IF NOT EXISTS `oe_stage` (
  `stage_key` int(11) NOT NULL auto_increment COMMENT 'table key',
  `page_key` int(11) NOT NULL default '0' COMMENT 'page key',
  `stage_edit` varchar(255) NOT NULL default '' COMMENT 'text block',
  `stage_input` text COMMENT 'content',
  PRIMARY KEY  (`stage_key`)
) TYPE=MyISAM  AUTO_INCREMENT=188 ;

-- 
-- Daten für Tabelle `oe_stage`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_stringpool`
-- 

CREATE TABLE IF NOT EXISTS `oe_stringpool` (
  `str_key` int(11) NOT NULL auto_increment COMMENT 'table key',
  `str_name` varchar(255) NOT NULL default '' COMMENT 'variable',
  `str_select` varchar(255) NOT NULL default '' COMMENT 'selector',
  `str_value` text COMMENT 'output value',
  PRIMARY KEY  (`str_key`),
  KEY `str_name` (`str_name`),
  KEY `str_select` (`str_select`)
) TYPE=MyISAM  AUTO_INCREMENT=7 ;

-- 
-- Daten für Tabelle `oe_stringpool`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_task`
-- 

CREATE TABLE IF NOT EXISTS `oe_task` (
  `task_key` int(11) NOT NULL auto_increment COMMENT 'table key',
  `task_name` varchar(255) NOT NULL default '' COMMENT 'individual task name',
  `task_description` text COMMENT 'individual task description',
  `task_page` varchar(255) NOT NULL default '' COMMENT 'page location',
  `task_date` varchar(255) NOT NULL default '' COMMENT 'task date',
  PRIMARY KEY  (`task_key`)
) TYPE=MyISAM  AUTO_INCREMENT=2 ;

-- 
-- Daten für Tabelle `oe_task`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_template`
-- 

CREATE TABLE IF NOT EXISTS `oe_template` (
  `template_key` int(11) NOT NULL auto_increment COMMENT 'table key',
  `template_name` varchar(255) NOT NULL default '' COMMENT 'template short name',
  `template_description` text COMMENT 'template description',
  `template_select` varchar(255) NOT NULL default '' COMMENT 'list of template short names for subpages',
  `template_hide` int(11) NOT NULL default '0' COMMENT 'flag to hide html header and footer',
  `template_short` varchar(255) NOT NULL default '' COMMENT 'individual template name',
  `template_lockexport` int(11) NOT NULL default '0' COMMENT 'lock pages by template',
  `template_source` text COMMENT 'database template source code',
  `template_backup1` text COMMENT 'database template backup',
  `template_backup2` text COMMENT 'database template backup',
  `template_backup3` text COMMENT 'database template backup',
  `template_include` int(11) NOT NULL default '0' COMMENT 'template type',
  `template_permission` int(11) NOT NULL default '0',
  PRIMARY KEY  (`template_key`),
  KEY `template_name` (`template_name`)
) TYPE=MyISAM  AUTO_INCREMENT=41 ;

-- 
-- Daten für Tabelle `oe_template`
-- 

INSERT INTO `oe_template` (`template_key`, `template_name`, `template_description`, `template_select`, `template_hide`, `template_short`, `template_lockexport`, `template_source`, `template_backup1`, `template_backup2`, `template_backup3`, `template_include`, `template_permission`) VALUES 
(27, 'homepage', 'Template der Homepage mit Newsliste', '', 0, 'Homepage', 0, NULL, NULL, NULL, NULL, 0, 0),
(37, 'default', 'Template', '', 0, 'Default', 0, NULL, NULL, NULL, NULL, 0, 0),
(38, 'list', 'Template zur Generierung von Unterseiten', '', 0, 'Liste', 0, NULL, NULL, NULL, NULL, 0, 0),
(39, 'news', 'News', '', 0, 'News', 0, NULL, NULL, NULL, NULL, 0, 0),
(40, 'page', 'Standard', '', 0, 'Page', 0, NULL, NULL, NULL, NULL, 0, 0);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_thumbnails`
-- 

CREATE TABLE IF NOT EXISTS `oe_thumbnails` (
  `thumb_key` int(11) NOT NULL auto_increment,
  `thumb_name` varchar(255) default NULL,
  `thumb_width` int(11) NOT NULL,
  `thumb_height` int(11) NOT NULL,
  PRIMARY KEY  (`thumb_key`)
) TYPE=MyISAM  AUTO_INCREMENT=5 ;

-- 
-- Daten für Tabelle `oe_thumbnails`
-- 

INSERT INTO `oe_thumbnails` (`thumb_key`, `thumb_name`, `thumb_width`, `thumb_height`) VALUES 
(1, 'thumb102_', 102, 0),
(2, 'thumb144_', 144, 0);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `oe_treelink`
-- 

CREATE TABLE IF NOT EXISTS `oe_treelink` (
  `treelink_key` int(11) NOT NULL auto_increment COMMENT 'table key',
  `treelink_type` int(11) NOT NULL default '0' COMMENT 'treelink type',
  PRIMARY KEY  (`treelink_key`)
) TYPE=MyISAM  AUTO_INCREMENT=23 ;

-- 
-- Daten für Tabelle `oe_treelink`
-- 

